#line 1 "ad_x86_misc.cpp"
//
// Copyright (c) 2003, 2023, Oracle and/or its affiliates. All rights reserved.
// DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
//
// This code is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 2 only, as
// published by the Free Software Foundation.
//
// This code is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// version 2 for more details (a copy is included in the LICENSE file that
// accompanied this code).
//
// You should have received a copy of the GNU General Public License version
// 2 along with this work; if not, write to the Free Software Foundation,
// Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
//
// Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
// or visit www.oracle.com if you need additional information or have any
// questions.
//
//

// Machine Generated File.  Do Not Edit!

#include "precompiled.hpp"
#include "adfiles/ad_x86.hpp"
const RegMask &MoveF2VLNode::out_RegMask() const { return (FLOAT_REG_VL_mask()); }
const RegMask &MoveF2LEGNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &MoveVL2FNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &MoveLEG2FNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &MoveD2VLNode::out_RegMask() const { return (DOUBLE_REG_VL_mask()); }
const RegMask &MoveD2LEGNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &MoveVL2DNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &MoveLEG2DNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &loadBNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadB2LNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadUBNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadUB2LNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadUB2L_immINode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadSNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadS2BNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadS2LNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadUSNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadUS2BNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadUS2LNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadUS2L_immI_255Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadUS2L_immINode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadI2BNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadI2UBNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadI2SNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadI2USNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadI2LNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadI2L_immI_255Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadI2L_immI_65535Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadI2L_immU31Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadUI2LNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadRangeNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &loadNNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadKlassNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &loadNKlassNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadFNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &loadD_partialNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &loadDNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &maxF_regNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &maxF_reduction_regNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &maxD_regNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &maxD_reduction_regNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minF_regNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minF_reduction_regNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minD_regNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minD_reduction_regNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &leaP8Node::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaP32Node::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPIdxOffNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPIdxScaleNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPPosIdxScaleNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPIdxScaleOffNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPPosIdxOffNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPPosIdxScaleOffNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPCompressedOopOffsetNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaP8NarrowNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaP32NarrowNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPIdxOffNarrowNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPIdxScaleNarrowNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPIdxScaleOffNarrowNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPPosIdxOffNarrowNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &leaPPosIdxScaleOffNarrowNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &loadConINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadConI0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadConLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadConL0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadConUL32Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadConL32Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadConPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &loadConP0Node::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &loadConP31Node::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &loadConFNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &loadConN0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadConNNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadConNKlassNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadConF0Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &loadConDNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &loadConD0Node::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &loadSSINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &loadSSLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &loadSSPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &loadSSFNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &loadSSDNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &prefetchAllocNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &prefetchAllocNTANode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &prefetchAllocT0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &prefetchAllocT2Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeBNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeCNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeINode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeLNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storePNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmP0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmPNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeNNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeNKlassNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmN0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmNNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmNKlassNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmI0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmINode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmL0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmLNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmC0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmI16Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmB0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmBNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmCM0_regNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeImmCM0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeFNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeF0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeF_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeDNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeD0_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeD0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &storeSSINode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &storeSSLNode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &storeSSPNode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &storeSSFNode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &storeSSDNode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &cacheWBNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &cacheWBPreSyncNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &cacheWBPostSyncNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &bytes_reverse_intNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &bytes_reverse_longNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &bytes_reverse_unsigned_shortNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &bytes_reverse_shortNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countLeadingZerosINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countLeadingZerosI_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countLeadingZerosI_bsrNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countLeadingZerosLNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countLeadingZerosL_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countLeadingZerosL_bsrNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countTrailingZerosINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countTrailingZerosI_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countTrailingZerosI_bsfNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countTrailingZerosLNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countTrailingZerosL_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &countTrailingZerosL_bsfNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &bytes_reversebit_intNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &bytes_reversebit_int_gfniNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &bytes_reversebit_longNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &bytes_reversebit_long_gfniNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &popCountINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &popCountI_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &popCountLNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &popCountL_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &membar_acquireNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &membar_acquire_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &membar_acquire_lockNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &membar_releaseNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &membar_release_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &membar_release_lockNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &membar_volatileNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &unnecessary_membar_volatileNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &membar_storestoreNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &membar_storestore_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &castX2PNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &castP2XNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &convP2INode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &convN2INode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &encodeHeapOopNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &encodeHeapOop_not_nullNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &decodeHeapOopNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &decodeHeapOop_not_nullNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &encodeKlass_not_nullNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &decodeKlass_not_nullNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &jumpXtnd_offsetNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jumpXtnd_addrNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jumpXtndNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &cmovI_imm_01Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_imm_01UNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_regUNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_imm_01UCFNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_regUCFNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_regUCF2_neNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_regUCF2_eqNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_memUNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_memUCFNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovN_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovN_regUNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovN_regUCFNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovN_regUCF2_neNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovN_regUCF2_eqNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovP_regNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &cmovP_regUNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &cmovP_regUCFNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &cmovP_regUCF2_neNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &cmovP_regUCF2_eqNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &cmovL_imm_01Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_imm_01UNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_regUNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_imm_01UCFNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_regUCFNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_regUCF2_neNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_regUCF2_eqNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_memUNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovL_memUCFNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &cmovF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &cmovF_regUNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &cmovF_regUCFNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &cmovD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &cmovD_regUNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &cmovD_regUCFNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &addI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &addI_rReg_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &addI_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &addI_rReg_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &addI_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &addI_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &addI_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &incI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &incI_memNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &decI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &decI_memNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &leaI_rReg_immI2_immINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &leaI_rReg_rReg_immINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &leaI_rReg_rReg_immI2Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &leaI_rReg_rReg_immI2_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &leaI_rReg_rReg_immI2_immINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &leaI_rReg_rReg_immI2_immI_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &addL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &addL_rReg_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &addL_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &addL_rReg_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &addL_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &addL_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &addL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &incL_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &incL_memNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &decL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &decL_memNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &leaL_rReg_immI2_immL32Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &leaL_rReg_rReg_immL32Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &leaL_rReg_rReg_immI2Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &leaL_rReg_rReg_immI2_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &leaL_rReg_rReg_immI2_immL32Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &leaL_rReg_rReg_immI2_immL32_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &addP_rRegNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &addP_rReg_immNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &checkCastPPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &castPPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &castIINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &castLLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &castFFNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &castDDNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &compareAndSwapPNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapP_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapLNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapL_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapI_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapBNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapB_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapSNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapS_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapNNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapN_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndExchangeBNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &compareAndExchangeSNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &compareAndExchangeINode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &compareAndExchangeLNode::out_RegMask() const { return (LONG_RAX_REG_mask()); }
const RegMask &compareAndExchangeNNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &compareAndExchangePNode::out_RegMask() const { return (PTR_RAX_REG_mask()); }
const RegMask &xaddB_no_resNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xaddBNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xaddS_no_resNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xaddSNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xaddI_no_resNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xaddINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xaddL_no_resNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xaddLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &xchgBNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xchgSNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xchgINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xchgLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &xchgPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &xchgNNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &absI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &absL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &subI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &subI_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &subI_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &subL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &subL_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &subL_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &subP_rRegNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &negI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &negI_rReg_2Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &negI_memNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &negL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &negL_rReg_2Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &negL_memNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &mulI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &mulI_rReg_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &mulI_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &mulI_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &mulI_mem_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &mulAddS2I_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &mulL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &mulL_rReg_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &mulL_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &mulL_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &mulL_mem_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &mulHiL_rRegNode::out_RegMask() const { return (LONG_RDX_REG_mask()); }
const RegMask &umulHiL_rRegNode::out_RegMask() const { return (LONG_RDX_REG_mask()); }
const RegMask &divI_rRegNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &divL_rRegNode::out_RegMask() const { return (LONG_RAX_REG_mask()); }
const RegMask &udivI_rRegNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &udivL_rRegNode::out_RegMask() const { return (LONG_RAX_REG_mask()); }
const RegMask &divModI_rReg_divmodNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &divModL_rReg_divmodNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &udivModI_rReg_divmodNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &udivModL_rReg_divmodNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &modI_rRegNode::out_RegMask() const { return (INT_RDX_REG_mask()); }
const RegMask &modL_rRegNode::out_RegMask() const { return (LONG_RDX_REG_mask()); }
const RegMask &umodI_rRegNode::out_RegMask() const { return (INT_RDX_REG_mask()); }
const RegMask &umodL_rRegNode::out_RegMask() const { return (LONG_RDX_REG_mask()); }
const RegMask &salI_rReg_immI2Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &salI_rReg_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &salI_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &salI_rReg_CLNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &salI_mem_CLNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &salI_rReg_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &salI_mem_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &sarI_rReg_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &sarI_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &sarI_rReg_CLNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &sarI_mem_CLNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &sarI_rReg_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &sarI_mem_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &shrI_rReg_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &shrI_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &shrI_rReg_CLNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &shrI_mem_CLNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &shrI_rReg_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &shrI_mem_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &salL_rReg_immI2Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &salL_rReg_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &salL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &salL_rReg_CLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &salL_mem_CLNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &salL_rReg_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &salL_mem_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &sarL_rReg_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &sarL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &sarL_rReg_CLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &sarL_mem_CLNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &sarL_rReg_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &sarL_mem_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &shrL_rReg_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &shrL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &shrL_rReg_CLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &shrL_mem_CLNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &shrL_rReg_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &shrL_mem_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &i2bNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &i2sNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rolI_immI8_legacyNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rolI_immI8Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rolI_mem_immI8Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rolI_rReg_VarNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rorI_immI8_legacyNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rorI_immI8Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rorI_mem_immI8Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rorI_rReg_VarNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &rolL_immI8_legacyNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &rolL_immI8Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &rolL_mem_immI8Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &rolL_rReg_VarNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &rorL_immI8_legacyNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &rorL_immI8Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &rorL_mem_immI8Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &rorL_rReg_VarNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &compressBitsL_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &expandBitsL_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &compressBitsL_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &expandBitsL_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andI_rReg_imm255Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andI2L_rReg_imm255Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andI_rReg_imm65535Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andI2L_rReg_imm65535Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &convI2LAndI_reg_immIbitmaskNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andI_rReg_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andI_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andI_rReg_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andB_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andB_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andI_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andI_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andI_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andnI_rReg_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andnI_rReg_rReg_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andnI_rReg_rReg_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &andnI_rReg_rReg_rReg_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsiI_rReg_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsiI_rReg_rReg_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsiI_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsiI_rReg_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsmskI_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsmskI_rReg_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsmskI_rReg_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsmskI_rReg_rReg_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsrI_rReg_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsrI_rReg_rReg_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsrI_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &blsrI_rReg_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &orI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &orI_rReg_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &orI_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &orI_rReg_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &orB_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &orB_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &orI_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &orI_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &orI_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xorI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xorI_rReg_im1Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xorI_rReg_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xorI_rReg_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xorI_rReg_mem_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xorB_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xorB_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xorI_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xorI_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xorI_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andL_rReg_imm255Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andL_rReg_imm65535Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andL_rReg_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andL_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andL_rReg_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andL_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andL_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &btrL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &andnL_rReg_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andnL_rReg_rReg_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andnL_rReg_rReg_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &andnL_rReg_rReg_rReg_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsiL_rReg_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsiL_rReg_rReg_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsiL_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsiL_rReg_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsmskL_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsmskL_rReg_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsmskL_rReg_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsmskL_rReg_rReg_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsrL_rReg_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsrL_rReg_rReg_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsrL_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &blsrL_rReg_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &orL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &orL_rReg_castP2XNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &orL_rReg_castP2X_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &orL_rReg_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &orL_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &orL_rReg_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &orL_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &orL_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &orL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &btsL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xorL_rRegNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &xorL_rReg_im1Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &xorL_rReg_immNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &xorL_rReg_memNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &xorL_rReg_mem_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &xorL_mem_rRegNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xorL_mem_rReg_0Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &xorL_mem_immNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &cmpLTMaskNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpLTMask0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cadd_cmpLTMaskNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cadd_cmpLTMask_1Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cadd_cmpLTMask_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cadd_cmpLTMask_2Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &and_cmpLTMaskNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &and_cmpLTMask_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpF_cc_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpF_cc_reg_CFNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpF_cc_memCFNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpF_cc_immCFNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpD_cc_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpD_cc_reg_CFNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpD_cc_memCFNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpD_cc_immCFNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpF_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpF_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpF_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpD_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpD_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpD_immNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &convF2D_reg_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &convF2D_reg_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &convD2F_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &convD2F_reg_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &convF2I_reg_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &convF2L_reg_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &convD2I_reg_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &convD2L_reg_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &round_double_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &round_float_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &convI2F_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &convI2F_reg_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &convI2D_reg_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &convI2D_reg_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &convXI2F_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &convXI2D_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &convL2F_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &convL2F_reg_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &convL2D_reg_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &convL2D_reg_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &convI2L_reg_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &convI2L_reg_reg_zexNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &convI2L_reg_mem_zexNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &zerox_long_reg_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &convL2I_reg_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &MoveF2I_stack_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &MoveI2F_stack_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &MoveD2L_stack_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &MoveL2D_stack_reg_partialNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &MoveL2D_stack_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &MoveF2I_reg_stackNode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &MoveI2F_reg_stackNode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &MoveD2L_reg_stackNode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &MoveL2D_reg_stackNode::out_RegMask() const { return ((Compile::current()->FIRST_STACK_mask())); }
const RegMask &MoveF2I_reg_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &MoveD2L_reg_regNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &MoveI2F_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &MoveL2D_reg_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &rep_stosNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &rep_stos_evexNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &rep_stos_largeNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &rep_stos_large_evexNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &rep_stos_imNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &string_compareLNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compareL_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compareUNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compareU_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compareLUNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compareLU_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compareULNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compareUL_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_indexof_conLNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &string_indexof_conUNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &string_indexof_conULNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &string_indexofLNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &string_indexofUNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &string_indexofULNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &string_indexof_charNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &stringL_indexof_charNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &string_equalsNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_equals_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &array_equalsBNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &array_equalsB_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &array_equalsCNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &array_equalsC_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &arrays_hashcodeNode::out_RegMask() const { return (INT_RBX_REG_mask()); }
const RegMask &count_positivesNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &count_positives_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compressNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_compress_evexNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &string_inflateNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &string_inflate_evexNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &encode_iso_arrayNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &encode_ascii_arrayNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &overflowAddI_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowAddI_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowAddL_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowAddL_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowSubI_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowSubI_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowSubL_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowSubL_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowNegI_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowNegL_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowMulI_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowMulI_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowMulL_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &overflowMulL_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compI_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compI_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compI_rReg_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testI_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testI_reg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testI_reg_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testI_reg_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testI_reg_mem_0Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compU_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compU_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compU_rReg_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testU_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compP_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compP_rReg_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compP_mem_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testP_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testP_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testP_mem_reg0Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compN_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compN_rReg_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compN_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compN_mem_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compN_rReg_imm_klassNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compN_mem_imm_klassNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testN_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testN_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testN_mem_reg0Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compL_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compL_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compL_rReg_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testL_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testL_reg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testL_reg_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testL_reg_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testL_reg_mem_0Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testL_reg_mem2Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testL_reg_mem2_0Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpU3_reg_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpL3_reg_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmpUL3_reg_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compUL_rRegNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compUL_rReg_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compUL_rReg_memNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testUL_regNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &compB_mem_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testUB_mem_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &testB_mem_immNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmovI_reg_gNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &minI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &cmovI_reg_lNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &maxI_rRegNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &jmpDirNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpConNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpLoopEndNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpConUNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpConUCFNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpConUCF2Node::out_RegMask() const { return (RegMask::Empty); }
const RegMask &partialSubtypeCheckNode::out_RegMask() const { return (PTR_RDI_REG_mask()); }
const RegMask &partialSubtypeCheck_vs_ZeroNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &jmpDir_shortNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpCon_shortNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpLoopEnd_shortNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpConU_shortNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpConUCF_shortNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &jmpConUCF2_shortNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &cmpFastLockRTMNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpFastLockNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &cmpFastUnlockNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &safePoint_poll_tlsNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &mask_all_evexLNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &mask_all_evexI_GT32Node::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &CallStaticJavaDirectNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &CallDynamicJavaDirectNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &CallRuntimeDirectNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &CallLeafDirectNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &CallLeafDirectVectorNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &CallLeafNoFPDirectNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &RetNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &TailCalljmpIndNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &tailjmpIndNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &CreateExceptionNode::out_RegMask() const { return (PTR_RAX_REG_mask()); }
const RegMask &RethrowExceptionNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &tlsLoadPNode::out_RegMask() const { return (PTR_R15_REG_mask()); }
const RegMask &leaI_rReg_rReg_peepNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &leaI_rReg_immI_peepNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &leaI_rReg_immI2_peepNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &leaL_rReg_rReg_peepNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &leaL_rReg_immL32_peepNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &leaL_rReg_immI2_peepNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &ShouldNotReachHereNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &addF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &addF_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &addF_mem_0Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &addF_immNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &addF_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &addF_reg_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &addF_reg_mem_0Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &addF_reg_immNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &addD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &addD_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &addD_mem_0Node::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &addD_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &addD_reg_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &addD_reg_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &addD_reg_mem_0Node::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &addD_reg_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &subF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &subF_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &subF_immNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &subF_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &subF_reg_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &subF_reg_immNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &subD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &subD_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &subD_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &subD_reg_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &subD_reg_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &subD_reg_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &mulF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &mulF_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &mulF_mem_0Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &mulF_immNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &mulF_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &mulF_reg_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &mulF_reg_mem_0Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &mulF_reg_immNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &mulD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &mulD_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &mulD_mem_0Node::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &mulD_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &mulD_reg_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &mulD_reg_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &mulD_reg_mem_0Node::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &mulD_reg_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &divF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &divF_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &divF_immNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &divF_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &divF_reg_memNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &divF_reg_immNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &divD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &divD_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &divD_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &divD_reg_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &divD_reg_memNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &divD_reg_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &absF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &absF_reg_regNode::out_RegMask() const { return (FLOAT_REG_VL_mask()); }
const RegMask &absD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &absD_reg_regNode::out_RegMask() const { return (DOUBLE_REG_VL_mask()); }
const RegMask &negF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &negF_reg_regNode::out_RegMask() const { return (FLOAT_REG_VL_mask()); }
const RegMask &negD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &negD_reg_regNode::out_RegMask() const { return (DOUBLE_REG_VL_mask()); }
const RegMask &sqrtF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &sqrtD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &convF2HF_reg_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &convF2HF_mem_regNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &vconvF2HFNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vconvF2HF_mem_regNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &convHF2F_reg_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &vconvHF2F_reg_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vconvHF2FNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &reinterpret_maskNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &reinterpret_mask_W2BNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &reinterpret_mask_D2BNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &reinterpret_mask_Q2BNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &reinterpretNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &reinterpret_expandNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vreinterpret_expand4Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vreinterpret_expandNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &reinterpret_shrinkNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &roundD_regNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &roundD_memNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &roundD_immNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &vroundD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vround8D_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vroundD_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vround8D_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &onspinwaitNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &fmaD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &fmaF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &MoveVec2LegNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &MoveLeg2VecNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadVNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &storeVNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &gatherNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evgatherNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evgather_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &scatterNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &scatter_maskedNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &vReplB_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplB_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplB_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vReplS_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplS_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplS_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_immNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_imm_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_imm_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_zeroNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_zero_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_zero_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_M1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_M1_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplI_M1_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplL_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplL_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplL_immNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplL_zeroNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplL_M1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vReplF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplF_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplF_immNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplF_zeroNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vReplD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplD_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplD_immNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &ReplD_zeroNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insertNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insert32Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insert64Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insert2LNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insert4LNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insert8LNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insertFNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vinsertFNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insert2DNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insert4DNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &insert8DNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &reductionINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionI_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionI_1Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionI_2Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionI_3Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionI_4Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionI_5Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_1Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_2Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_3Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_4Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_5Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_avx512dqNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_avx512dq_0Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_avx512dq_1Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_avx512dq_2Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_avx512dq_3Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_avx512dq_4Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionL_avx512dq_5Node::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &reductionF128Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &reductionF128_0Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &reduction8FNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &reduction8F_0Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &reduction16FNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &reduction16F_0Node::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &reduction2DNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &reduction2D_0Node::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &reduction4DNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &reduction4D_0Node::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &reduction8DNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &reduction8D_0Node::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &reductionBNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_1Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_2Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_3Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_4Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_avx512bwNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_avx512bw_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_avx512bw_1Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_avx512bw_2Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_avx512bw_3Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionB_avx512bw_4Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionSNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionS_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionS_1Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionS_2Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionS_3Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionS_4Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &reductionS_5Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &mul_reductionBNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &mul_reduction64BNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &minmax_reduction2FNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minmax_reduction2F_0Node::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minmax_reductionFNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minmax_reductionF_0Node::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minmax_reduction2F_avNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minmax_reduction2F_av_0Node::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minmax_reductionF_avNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minmax_reductionF_av_0Node::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &minmax_reduction2DNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minmax_reduction2D_0Node::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minmax_reductionDNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minmax_reductionD_0Node::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minmax_reduction2D_avNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minmax_reduction2D_av_0Node::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minmax_reductionD_avNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &minmax_reductionD_av_0Node::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &vaddBNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddB_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddB_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddB_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddSNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddS_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddS_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddS_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddINode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddI_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddI_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddI_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddLNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddL_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddL_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddL_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddFNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddF_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddF_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddDNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddD_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vaddD_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubBNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubB_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubB_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubSNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubS_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubS_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubINode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubI_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubI_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubLNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubL_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubL_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubFNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubF_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubDNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsubD_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul8BNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulBNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulB_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulSNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulS_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulS_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulS_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulINode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulI_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulI_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulI_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evmulL_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evmulL_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evmulL_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulLNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulL_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulFNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulF_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulF_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulDNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulD_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmulD_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdivFNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdivF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdivF_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdivDNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdivD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdivD_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &minmax_reg_sseNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &minmax_reg_sse_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vminmax_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vminmax_reg_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &minmaxL_reg_sseNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &minmaxL_reg_sse_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vminmaxL_reg_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vminmaxL_reg_avx_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vminmaxL_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vminmaxL_reg_evex_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &minmaxFP_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &minmaxFP_reg_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evminmaxFP_reg_eavxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evminmaxFP_reg_eavx_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &signumF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &signumD_regNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &signumV_reg_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &signumV_reg_avx_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &signumV_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &signumV_reg_evex_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &copySignF_regNode::out_RegMask() const { return (FLOAT_REG_mask()); }
const RegMask &copySignD_immNode::out_RegMask() const { return (DOUBLE_REG_mask()); }
const RegMask &compressBitsI_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &expandBitsI_regNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compressBitsI_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &expandBitsI_memNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vsqrtF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsqrtF_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsqrtD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsqrtD_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftcntNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftcnt_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftBNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftB_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftB_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16BNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16B_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16B_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16B_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16B_avx_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16B_avx_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift32B_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift32B_avx_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift32B_avx_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift64B_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift64B_avx_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift64B_avx_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftSNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftS_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftS_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftINode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftI_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftI_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftI_immNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftI_imm_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftI_imm_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftLNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_immNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_imm_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_arith_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_arith_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift8B_var_nobwNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift8B_var_nobw_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift8B_var_nobw_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16B_var_nobwNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16B_var_nobw_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16B_var_nobw_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift32B_var_nobwNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift32B_var_nobw_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift32B_var_nobw_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftB_var_evex_bwNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftB_var_evex_bw_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftB_var_evex_bw_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift64B_var_evex_bwNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift64B_var_evex_bw_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift64B_var_evex_bw_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift8S_var_nobwNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift8S_var_nobw_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift8S_var_nobw_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16S_var_nobwNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16S_var_nobw_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16S_var_nobw_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16S_var_evex_bwNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16S_var_evex_bw_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshift16S_var_evex_bw_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftI_varNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftI_var_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftI_var_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_varNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_var_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_arith_varNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vshiftL_arith_var_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vandNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vand_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vand_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vand_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vorNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vor_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vor_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vor_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vxorNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vxor_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vxor_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vxor_mem_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastBtoXNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &castStoXNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastStoXNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastStoX_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &castItoXNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastItoXNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastItoX_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastLtoBSNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastLtoX_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastFtoD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &castFtoX_reg_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &castFtoX_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcastDtoF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &castDtoX_reg_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &castDtoX_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vucastNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vucast_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vucast_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vround_float_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vround_float_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vround_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcmpFDNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evcmpFD64Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evcmpFDNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &vcmp_directNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcmp_negateNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcmpuNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcmp64Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evcmpNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &extractINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &extractI_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &extractI_1Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vextractINode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vextractI_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vextractI_1Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &extractLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &vextractLNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &extractFNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &vextractFNode::out_RegMask() const { return (FLOAT_REG_LEGACY_mask()); }
const RegMask &extractDNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &vextractDNode::out_RegMask() const { return (DOUBLE_REG_LEGACY_mask()); }
const RegMask &blendvpNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vblendvpINode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vblendvpFDNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evblendvp64Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evblendvp64_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsB_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsS_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsI_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsL_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsnegFNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsnegF_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsneg4FNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsneg4F_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsnegDNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabsnegD_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vptest_lt16Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &vptest_ge16Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &ktest_alltrue_le8Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &ktest_anytrue_le8Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &ktest_ge8Node::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &loadMaskNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadMask64Node::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &loadMask_evexNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &vstoreMask1BNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vstoreMask2BNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vstoreMask4BNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &storeMask8BNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &storeMask8B_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vstoreMask4B_evex_novectmaskNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vstoreMask8B_evex_novectmaskNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vstoreMask_evex_vectmaskNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vstoreMask_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmaskcast_evexNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &vmaskcastNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmaskcast_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadIotaIndicesNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &VectorPopulateIndexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &VectorPopulateLIndexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadShuffleBNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeBNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeB_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeB_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeB_evex_vbmiNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadShuffleSNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeSNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeS_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadShuffleS_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeS_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadShuffleINode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeINode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadShuffleI_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeI_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadShuffleLNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeLNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &loadShuffleL_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &rearrangeL_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vfmaF_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vfmaF_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vfmaD_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vfmaD_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmuladdS2I_reg_sseNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmuladdS2I_reg_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmuladdaddS2I_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmuladdaddS2I_reg_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vpopcount_integral_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vpopcount_integral_reg_evex_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vpopcount_integral_reg_evex_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vpopcount_integral_reg_evex_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vpopcount_avx_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vpopcount_avx_reg_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_trailing_zeros_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_trailing_zeros_short_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_trailing_zeros_byte_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_trailing_zeros_reg_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vpternlogNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vpternlog_memNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vprotate_immI8Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vprotate_immI8_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vprorateNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vprorate_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmasked_load_avx_non_subwordNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmasked_load_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmasked_store_avx_non_subwordNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &vmasked_store_evexNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &vmask_cmp_nodeNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_genNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &vmask_gen_immNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &vmask_tolong_evexNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &vmask_tolong_boolNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &vmask_tolong_avxNode::out_RegMask() const { return (LONG_REG_mask()); }
const RegMask &vmask_truecount_evexNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_truecount_boolNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_truecount_avxNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_first_or_last_true_evexNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_first_or_last_true_evex_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_first_or_last_true_boolNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_first_or_last_true_bool_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_first_or_last_true_avxNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vmask_first_or_last_true_avx_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &vcompress_expand_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcompress_expand_reg_evex_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcompress_mask_reg_evexNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &vreverse_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vreverse_reg_gfniNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vreverse_byte_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vreverse_byte64_regNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_leading_zeros_IL_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_leading_zeros_IL_reg_evex_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_leading_zeros_short_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_leading_zeros_byte_reg_evexNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_leading_zeros_int_reg_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vcount_leading_zeros_reg_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_reg_masked_2Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_reg_masked_3Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_reg_masked_4Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_mem_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_mem_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_mem_masked_2Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_mem_masked_3Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vadd_mem_masked_4Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vxor_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vxor_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vor_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vor_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vand_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vand_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_reg_masked_2Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_reg_masked_3Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_reg_masked_4Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_mem_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_mem_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_mem_masked_2Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_mem_masked_3Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsub_mem_masked_4Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_reg_masked_2Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_reg_masked_3Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_mem_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_mem_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_mem_masked_2Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmul_mem_masked_3Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsqrt_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vsqrt_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdiv_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdiv_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdiv_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vdiv_mem_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrol_imm_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrol_imm_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrol_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrol_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_imm_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_imm_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_imm_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshiftv_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshiftv_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshiftv_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_mem_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vlshift_mem_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_imm_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_imm_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_imm_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshiftv_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshiftv_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshiftv_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_mem_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrshift_mem_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_imm_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_imm_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_imm_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshiftv_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshiftv_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshiftv_reg_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_mem_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vurshift_mem_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmaxv_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vmaxv_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vminv_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vminv_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vrearrangev_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabs_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabs_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabs_masked_1Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vabs_masked_2Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vfma_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vfma_reg_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vfma_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vfma_mem_masked_0Node::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &evcmp_maskedNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &mask_all_evexI_LE32Node::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &mask_not_immLT8Node::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &mask_not_immNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &long_to_maskLE8_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &long_to_maskGT8_avxNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &long_to_mask_evexNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &mask_opers_evexNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &mask_opers_evex_0Node::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &mask_opers_evex_1Node::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &vternlog_reg_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &vternlogd_mem_maskedNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &castMMNode::out_RegMask() const { return (VECTMASK_REG_mask()); }
const RegMask &castVVNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &castVVLegNode::out_RegMask() const { return (*_opnds[0]->in_RegMask(0)); }
const RegMask &FloatClassCheck_reg_reg_vfpclassNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &DoubleClassCheck_reg_reg_vfpclassNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapP_shenandoahNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapP_shenandoah_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapN_shenandoahNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndSwapN_shenandoah_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &compareAndExchangeN_shenandoahNode::out_RegMask() const { return (INT_RAX_REG_mask()); }
const RegMask &compareAndExchangeP_shenandoahNode::out_RegMask() const { return (PTR_RAX_REG_mask()); }
const RegMask &xLoadPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &xCompareAndExchangePNode::out_RegMask() const { return (PTR_RAX_REG_mask()); }
const RegMask &xCompareAndSwapPNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xCompareAndSwapP_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &xXChgPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &zLoadPNode::out_RegMask() const { return (PTR_REG_mask()); }
const RegMask &zLoadPNullCheckNode::out_RegMask() const { return (INT_FLAGS_mask()); }
const RegMask &zStorePNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &zStorePNullNode::out_RegMask() const { return (RegMask::Empty); }
const RegMask &zCompareAndExchangePNode::out_RegMask() const { return (PTR_RAX_REG_mask()); }
const RegMask &zCompareAndSwapPNode::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &zCompareAndSwapP_0Node::out_RegMask() const { return (INT_REG_mask()); }
const RegMask &zXChgPNode::out_RegMask() const { return (PTR_REG_mask()); }
// Check consistency of C++ compilation with ADLC options:
// Check adlc -DLINUX=1
#ifndef LINUX
#  error "LINUX must be defined"
#endif // LINUX
// Check adlc -D_GNU_SOURCE=1
#ifndef _GNU_SOURCE
#  error "_GNU_SOURCE must be defined"
#endif // _GNU_SOURCE
// Check adlc -DAMD64=1
#ifndef AMD64
#  error "AMD64 must be defined"
#endif // AMD64
// Check adlc -D_LP64=1
#ifndef _LP64
#  error "_LP64 must be defined"
#endif // _LP64
