#line 1 "dfa_x86.cpp"
//
// Copyright (c) 2003, 2023, Oracle and/or its affiliates. All rights reserved.
// DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
//
// This code is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 2 only, as
// published by the Free Software Foundation.
//
// This code is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// version 2 for more details (a copy is included in the LICENSE file that
// accompanied this code).
//
// You should have received a copy of the GNU General Public License version
// 2 along with this work; if not, write to the Free Software Foundation,
// Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
//
// Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
// or visit www.oracle.com if you need additional information or have any
// questions.
//
//

// Machine Generated File.  Do Not Edit!

#include "precompiled.hpp"
#include "adfiles/ad_x86.hpp"
#include "oops/compressedOops.hpp"
#include "opto/cfgnode.hpp"
#include "opto/intrinsicnode.hpp"
#include "opto/matcher.hpp"
#include "opto/narrowptrnode.hpp"
#include "opto/opcodes.hpp"
#include "opto/convertnode.hpp"
#include "opto/superword.hpp"
#include "utilities/powerOfTwo.hpp"

//------------------------- Source -----------------------------------------

//------------------------- Attributes -------------------------------------

// AttributeForm 
static const int op_cost = 0;

// AttributeForm 
static const int ins_cost = 100;

// AttributeForm 
static const int ins_size = 8;

// AttributeForm 
static const int ins_short_branch = 0;

// AttributeForm 
static const int ins_alignment = 1;

//------------------------- Macros -----------------------------------------
#define DFA_PRODUCTION(result, rule, cost)\
  assert(rule < (1 << 15), "too many rules"); _cost[ (result) ] = cost; _rule[ (result) ] = (rule << 1) | 0x1;

//------------------------- DFA --------------------------------------------
// DFA is a large switch with case statements for each ideal opcode encountered
// in any match rule in the ad file.  Each case has a series of if's to handle
// the match or fail decisions.  The matches test the cost function of that
// rule, and prune any cases which are higher cost for the same reduction.
// In order to generate the DFA we walk the table of ideal opcode/MatchList
// pairs generated by the ADLC front end to build the contents of the case
// statements (a series of if statements).


void  State::_sub_Op_RegN(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RAX_REGN, rax_RegN_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RREGN, rRegN_rule, c)
    }
}
void  State::_sub_Op_RegI(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(NO_RBP_R13_REGI, no_rbp_r13_RegI_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(NO_RAX_RDX_REGI, no_rax_rdx_RegI_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RDI_REGI, rdi_RegI_rule, c)
        DFA_PRODUCTION(RREGI, rRegI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, rax_RegI_rule, c)
        DFA_PRODUCTION(RBX_REGI, rbx_RegI_rule, c)
        DFA_PRODUCTION(RCX_REGI, rcx_RegI_rule, c)
        DFA_PRODUCTION(RDX_REGI, rdx_RegI_rule, c)
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
}
void  State::_sub_Op_RegP(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(R15_REGP, r15_RegP_rule, c)
        DFA_PRODUCTION(ANY_REGP, any_RegP_rule, c)
        DFA_PRODUCTION(INDIRECT, indirect_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RREGP, rRegP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(RAX_REGP, rax_RegP_rule, c)
        DFA_PRODUCTION(RBX_REGP, rbx_RegP_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, no_rax_RegP_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, no_rbp_RegP_rule, c)
        DFA_PRODUCTION(RSI_REGP, rsi_RegP_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, no_rax_rbx_RegP_rule, c)
        DFA_PRODUCTION(RBP_REGP, rbp_RegP_rule, c)
        DFA_PRODUCTION(RDI_REGP, rdi_RegP_rule, c)
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
}
void  State::_sub_Op_RegF(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VLREGF, vlRegF_rule, c)
        DFA_PRODUCTION(REGF, MoveVL2F_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGREGF, legRegF_rule, c)	  // overwrites higher cost rule
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(REGF, regF_rule, c)	  // overwrites higher cost rule
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_RegD(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VLREGD, vlRegD_rule, c)
        DFA_PRODUCTION(REGD, MoveVL2D_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGREGD, legRegD_rule, c)	  // overwrites higher cost rule
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(REGD, regD_rule, c)	  // overwrites higher cost rule
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_RegL(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(NO_RBP_R13_REGL, no_rbp_r13_RegL_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RDX_REGL, rdx_RegL_rule, c)
        DFA_PRODUCTION(RREGL, rRegL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, no_rax_rdx_RegL_rule, c)
        DFA_PRODUCTION(RAX_REGL, rax_RegL_rule, c)
        DFA_PRODUCTION(RCX_REGL, rcx_RegL_rule, c)
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
    {
      unsigned int c = 0;
    }
}
void  State::_sub_Op_VecS(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECS, legVecS_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECS, vecS_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_VecD(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECD, legVecD_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECD, vecD_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_VecX(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECX, legVecX_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECX, vecX_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RXMM0, rxmm0_rule, c)
    }
}
void  State::_sub_Op_VecY(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECY, legVecY_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECY, vecY_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_VecZ(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECZ, legVecZ_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECZ, vecZ_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_RegVectMask(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K7, kReg_K7_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K6, kReg_K6_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K5, kReg_K5_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K4, kReg_K4_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K3, kReg_K3_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K2, kReg_K2_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K1, kReg_K1_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG, kReg_rule, c)
    }
}
void  State::_sub_Op_RegFlags(const Node *n){
    if(         
#line 3763 "src/hotspot/cpu/x86/x86_64.ad"
false
#line 367 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(RFLAGSREGUCF, rFlagsRegUCF_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RFLAGSREGU, rFlagsRegU_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RFLAGSREG, rFlagsReg_rule, c)
    }
}
void  State::_sub_Op_AbsD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VLREGD) &&
        (
#line 3543 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 386 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGD]+150;
        DFA_PRODUCTION(VLREGD, absD_reg_reg_rule, c)
        DFA_PRODUCTION(REGD, MoveVL2D_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 3531 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 398 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, absD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_AbsF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VLREGF) &&
        (
#line 3518 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 420 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGF]+150;
        DFA_PRODUCTION(VLREGF, absF_reg_reg_rule, c)
        DFA_PRODUCTION(REGF, MoveVL2F_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 3507 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 432 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, absF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_AbsI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, absI_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, absI_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, absI_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, absI_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, absI_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, absI_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, absI_rReg_rule, c)
    }
}
void  State::_sub_Op_AbsL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGL, absL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, absL_rReg_rule, c)
        DFA_PRODUCTION(RAX_REGL, absL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, absL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, absL_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGL, absL_rReg_rule, c)
    }
}
void  State::_sub_Op_AddD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3069 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 480 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
        DFA_PRODUCTION(REGD, addD_reg_imm_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3057 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 492 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3057 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 512 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3045 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 532 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3034 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 552 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3022 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 572 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3022 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 592 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3010 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 612 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_AddF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 2998 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 634 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
        DFA_PRODUCTION(REGF, addF_reg_imm_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2986 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 646 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 2986 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 666 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2974 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 686 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 2963 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 706 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2951 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 726 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 2951 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 746 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2939 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 766 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_AddI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 13650 "src/hotspot/cpu/x86/x86_64.ad"
false
#line 788 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(RREGI, leaI_rReg_immI_peep_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_immI_peep_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_immI_peep_rule, c)
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_immI_peep_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_immI_peep_rule, c)
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_immI_peep_rule, c)
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_immI_peep_rule, c)
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_immI_peep_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 13631 "src/hotspot/cpu/x86/x86_64.ad"
false
#line 805 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, leaI_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_rReg_peep_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBI_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _ANDI_RREGI__CMPLTMASK_RREGI_RREGI) &&
        /*p*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) && /*q*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBI_RREGI_RREGI]+_kids[1]->_cost[_ANDI_RREGI__CMPLTMASK_RREGI_RREGI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cadd_cmpLTMask_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cadd_cmpLTMask_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cadd_cmpLTMask_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cadd_cmpLTMask_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cadd_cmpLTMask_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cadd_cmpLTMask_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cadd_cmpLTMask_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cadd_cmpLTMask_2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI__CMPLTMASK_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_RREGI_RREGI) &&
        /*p*/(_kids[0]->_kids[1]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*q*/(_kids[0]->_kids[1]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI__CMPLTMASK_RREGI_RREGI]+_kids[1]->_cost[_SUBI_RREGI_RREGI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cadd_cmpLTMask_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBI_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _ANDI__CMPLTMASK_RREGI_RREGI_RREGI) &&
        /*p*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) && /*q*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[0]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBI_RREGI_RREGI]+_kids[1]->_cost[_ANDI__CMPLTMASK_RREGI_RREGI_RREGI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cadd_cmpLTMask_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__CMPLTMASK_RREGI_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_RREGI_RREGI) &&
        /*p*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*q*/(_kids[0]->_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__CMPLTMASK_RREGI_RREGI_RREGI]+_kids[1]->_cost[_SUBI_RREGI_RREGI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cadd_cmpLTMask_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1];
        DFA_PRODUCTION(_ADDI_RREGI_IMMI_M1, _AddI_rRegI_immI_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI__LSHIFTI_RREGI_IMMI2_RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7807 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_3op_lea()
#line 968 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ADDI__LSHIFTI_RREGI_IMMI2_RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, leaI_rReg_rReg_immI2_immI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_rReg_immI2_immI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_rReg_immI2_immI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_rReg_immI2_immI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_rReg_immI2_immI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_rReg_immI2_immI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_rReg_immI2_immI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_rReg_immI2_immI_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_RREGI_IMMI2) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_RREGI_IMMI2]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ADDI__LSHIFTI_RREGI_IMMI2_RREGI, _AddI__LShiftI_rRegI_immI2_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI_RREGI__LSHIFTI_RREGI_IMMI2) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7807 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_3op_lea()
#line 1007 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ADDI_RREGI__LSHIFTI_RREGI_IMMI2]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, leaI_rReg_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_rReg_immI2_immI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_RREGI_IMMI2) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LSHIFTI_RREGI_IMMI2];
        DFA_PRODUCTION(_ADDI_RREGI__LSHIFTI_RREGI_IMMI2, _AddI_rRegI__LShiftI_rRegI_immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_RREGI_IMMI2) && STATE__VALID_CHILD(_kids[1], NO_RBP_R13_REGI) &&
        (
#line 7794 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_2op_lea()
#line 1046 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_RREGI_IMMI2]+_kids[1]->_cost[NO_RBP_R13_REGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, leaI_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_rReg_immI2_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], NO_RBP_R13_REGI) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_RREGI_IMMI2) &&
        (
#line 7794 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_2op_lea()
#line 1081 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[NO_RBP_R13_REGI]+_kids[1]->_cost[_LSHIFTI_RREGI_IMMI2]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, leaI_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_rReg_immI2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7782 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_3op_lea()
#line 1116 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ADDI_RREGI_RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, leaI_rReg_rReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_rReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_rReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_rReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_rReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_rReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_rReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_rReg_immI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ADDI_RREGI_RREGI, _AddI_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_RREGI_IMMI2) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7769 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_2op_lea()
#line 1155 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_RREGI_IMMI2]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, leaI_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_immI2_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_immI2_immI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_M1];
        DFA_PRODUCTION(_ADDI__LOADI_MEMORY__IMMI_M1, _AddI__LoadI_memory__immI_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) &&
        (
#line 7741 "src/hotspot/cpu/x86/x86_64.ad"
UseIncDec
#line 1194 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, decI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, decI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, decI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, decI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, decI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, decI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, decI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, decI_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_1];
        DFA_PRODUCTION(_ADDI__LOADI_MEMORY__IMMI_1, _AddI__LoadI_memory__immI_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_1) &&
        (
#line 7713 "src/hotspot/cpu/x86/x86_64.ad"
UseIncDec
#line 1233 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, incI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, incI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, incI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, incI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, incI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, incI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, incI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, incI_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ADDI__LOADI_MEMORY__IMMI, _AddI__LoadI_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_ADDI_RREGI__LOADI_MEMORY_, _AddI_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ADDI__LOADI_MEMORY__RREGI, _AddI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+150;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, addI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, addI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, addI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, addI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, addI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, addI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, addI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, addI_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, addI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, addI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, addI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, addI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, addI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, addI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, addI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, addI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, addI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, addI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, addI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, addI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, addI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, addI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, addI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, addI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, addI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, addI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, addI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, addI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, addI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, addI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, addI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, addI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_AddL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        (
#line 13697 "src/hotspot/cpu/x86/x86_64.ad"
false
#line 1402 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
        DFA_PRODUCTION(RREGL, leaL_rReg_immL32_peep_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_immL32_peep_rule, c)
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_immL32_peep_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_immL32_peep_rule, c)
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_immL32_peep_rule, c)
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_immL32_peep_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) &&
        (
#line 13678 "src/hotspot/cpu/x86/x86_64.ad"
false
#line 1417 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, leaL_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_rReg_peep_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_rReg_peep_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML_M1];
        DFA_PRODUCTION(_ADDL_RREGL_IMML_M1, _AddL_rRegL_immL_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL__LSHIFTL_RREGL_IMMI2_RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        (
#line 7977 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_3op_lea()
#line 1450 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ADDL__LSHIFTL_RREGL_IMMI2_RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, leaL_rReg_rReg_immI2_immL32_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_rReg_immI2_immL32_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_rReg_immI2_immL32_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_rReg_immI2_immL32_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_rReg_immI2_immL32_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_rReg_immI2_immL32_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTL_RREGL_IMMI2) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTL_RREGL_IMMI2]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_ADDL__LSHIFTL_RREGL_IMMI2_RREGL, _AddL__LShiftL_rRegL_immI2_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL_RREGL__LSHIFTL_RREGL_IMMI2) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        (
#line 7977 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_3op_lea()
#line 1483 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ADDL_RREGL__LSHIFTL_RREGL_IMMI2]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, leaL_rReg_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_rReg_immI2_immL32_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LSHIFTL_RREGL_IMMI2) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LSHIFTL_RREGL_IMMI2];
        DFA_PRODUCTION(_ADDL_RREGL__LSHIFTL_RREGL_IMMI2, _AddL_rRegL__LShiftL_rRegL_immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTL_RREGL_IMMI2) && STATE__VALID_CHILD(_kids[1], NO_RBP_R13_REGL) &&
        (
#line 7964 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_2op_lea()
#line 1516 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTL_RREGL_IMMI2]+_kids[1]->_cost[NO_RBP_R13_REGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, leaL_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_rReg_immI2_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_rReg_immI2_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], NO_RBP_R13_REGL) && STATE__VALID_CHILD(_kids[1], _LSHIFTL_RREGL_IMMI2) &&
        (
#line 7964 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_2op_lea()
#line 1545 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[NO_RBP_R13_REGL]+_kids[1]->_cost[_LSHIFTL_RREGL_IMMI2]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, leaL_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_rReg_immI2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL_RREGL_RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        (
#line 7952 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_3op_lea()
#line 1574 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ADDL_RREGL_RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, leaL_rReg_rReg_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_rReg_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_rReg_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_rReg_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_rReg_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_rReg_immL32_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_ADDL_RREGL_RREGL, _AddL_rRegL_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTL_RREGL_IMMI2) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        (
#line 7939 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_fast_2op_lea()
#line 1607 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTL_RREGL_IMMI2]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, leaL_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_immI2_immL32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_immI2_immL32_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML_M1) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML_M1];
        DFA_PRODUCTION(_ADDL__LOADL_MEMORY__IMML_M1, _AddL__LoadL_memory__immL_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML_M1) &&
        (
#line 7911 "src/hotspot/cpu/x86/x86_64.ad"
UseIncDec
#line 1640 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML_M1]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, decL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, decL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, decL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, decL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, decL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, decL_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML1) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML1];
        DFA_PRODUCTION(_ADDL__LOADL_MEMORY__IMML1, _AddL__LoadL_memory__immL1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMML1) &&
        (
#line 7883 "src/hotspot/cpu/x86/x86_64.ad"
UseIncDec
#line 1673 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMML1]+100;
        DFA_PRODUCTION(RREGI, incL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, incL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, incL_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, incL_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, incL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, incL_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, incL_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, incL_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML32];
        DFA_PRODUCTION(_ADDL__LOADL_MEMORY__IMML32, _AddL__LoadL_memory__immL32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_];
        DFA_PRODUCTION(_ADDL_RREGL__LOADL_MEMORY_, _AddL_rRegL__LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_ADDL__LOADL_MEMORY__RREGL, _AddL__LoadL_memory__rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL]+150;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, addL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, addL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, addL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, addL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, addL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, addL_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, addL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, addL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, addL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, addL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, addL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, addL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, addL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, addL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, addL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, addL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, addL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, addL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, addL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, addL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, addL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, addL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, addL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, addL_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTL_RREGL_IMMI2) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTL_RREGL_IMMI2]+_kids[1]->_cost[IMML32];
        DFA_PRODUCTION(_ADDL__LSHIFTL_RREGL_IMMI2_IMML32, _AddL__LShiftL_rRegL_immI2_immL32_rule, c)
    }
}
void  State::_sub_Op_AddP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0_RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[_SUBI_IMMI_0_RREGI]+100;
        DFA_PRODUCTION(RREGP, subP_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(INDIRECT, subP_rReg_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(RSI_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(RBP_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGP, subP_rReg_rule, c)
        DFA_PRODUCTION(R15_REGP, subP_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, addP_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, addP_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, addP_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, addP_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP__DECODEN_RREGN___LSHIFTL__CONVI2L_RREGI__IMMI2) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        
#line 4152 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0 && n->in(2)->in(3)->in(1)->as_Type()->type()->is_long()->_lo >= 0
#line 1911 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_ADDP__DECODEN_RREGN___LSHIFTL__CONVI2L_RREGI__IMMI2]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDPOSINDEXSCALEOFFSETNARROW, indPosIndexScaleOffsetNarrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indPosIndexScaleOffsetNarrow_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPPosIdxScaleOffNarrow_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], _LSHIFTL__CONVI2L_RREGI__IMMI2) ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[_LSHIFTL__CONVI2L_RREGI__IMMI2];
        DFA_PRODUCTION(_ADDP__DECODEN_RREGN___LSHIFTL__CONVI2L_RREGI__IMMI2, _AddP__DecodeN_rRegN___LShiftL__ConvI2L_rRegI__immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP__DECODEN_RREGN___CONVI2L_RREGI_) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        
#line 4135 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0 && n->in(2)->in(3)->as_Type()->type()->is_long()->_lo >= 0
#line 1969 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_ADDP__DECODEN_RREGN___CONVI2L_RREGI_]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDPOSINDEXOFFSETNARROW, indPosIndexOffsetNarrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indPosIndexOffsetNarrow_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPPosIdxOffNarrow_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], _CONVI2L_RREGI_) ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[_CONVI2L_RREGI_];
        DFA_PRODUCTION(_ADDP__DECODEN_RREGN___CONVI2L_RREGI_, _AddP__DecodeN_rRegN___ConvI2L_rRegI__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP__DECODEN_RREGN___LSHIFTL_RREGL_IMMI2) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        
#line 4117 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0
#line 2027 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_ADDP__DECODEN_RREGN___LSHIFTL_RREGL_IMMI2]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDINDEXSCALEOFFSETNARROW, indIndexScaleOffsetNarrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexScaleOffsetNarrow_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPIdxScaleOffNarrow_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], _LSHIFTL_RREGL_IMMI2) ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[_LSHIFTL_RREGL_IMMI2];
        DFA_PRODUCTION(_ADDP__DECODEN_RREGN___LSHIFTL_RREGL_IMMI2, _AddP__DecodeN_rRegN___LShiftL_rRegL_immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], _LSHIFTL_RREGL_IMMI2) &&
        
#line 4100 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0
#line 2085 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[_LSHIFTL_RREGL_IMMI2]+10;
        DFA_PRODUCTION(INDINDEXSCALENARROW, indIndexScaleNarrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexScaleNarrow_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPIdxScaleNarrow_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], RREGL) &&
        
#line 4083 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0
#line 2139 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[RREGL]+10;
        DFA_PRODUCTION(INDINDEXNARROW, indIndexNarrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexNarrow_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP__DECODEN_RREGN__RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        
#line 4066 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0
#line 2151 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_ADDP__DECODEN_RREGN__RREGL]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDINDEXOFFSETNARROW, indIndexOffsetNarrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexOffsetNarrow_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPIdxOffNarrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPIdxOffNarrow_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_ADDP__DECODEN_RREGN__RREGL, _AddP__DecodeN_rRegN__rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        
#line 4050 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0
#line 2209 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[IMML32];
        DFA_PRODUCTION(INDOFFSET32NARROW, indOffset32Narrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indOffset32Narrow_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaP32Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaP32Narrow_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], IMML8) &&
        
#line 4034 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0
#line 2263 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[IMML8];
        DFA_PRODUCTION(INDOFFSET8NARROW, indOffset8Narrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indOffset8Narrow_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaP8Narrow_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaP8Narrow_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        
#line 4001 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::shift() == Address::times_8)
#line 2317 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDCOMPRESSEDOOPOFFSET, indCompressedOopOffset_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indCompressedOopOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPCompressedOopOffset_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPCompressedOopOffset_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP_ANY_REGP__LSHIFTL__CONVI2L_RREGI__IMMI2) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        
#line 3984 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(3)->in(1)->as_Type()->type()->is_long()->_lo >= 0
#line 2371 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_ADDP_ANY_REGP__LSHIFTL__CONVI2L_RREGI__IMMI2]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDPOSINDEXSCALEOFFSET, indPosIndexScaleOffset_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indPosIndexScaleOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPPosIdxScaleOff_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], _LSHIFTL__CONVI2L_RREGI__IMMI2) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[_LSHIFTL__CONVI2L_RREGI__IMMI2];
        DFA_PRODUCTION(_ADDP_ANY_REGP__LSHIFTL__CONVI2L_RREGI__IMMI2, _AddP_any_RegP__LShiftL__ConvI2L_rRegI__immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP_ANY_REGP__CONVI2L_RREGI_) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        
#line 3967 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(3)->as_Type()->type()->is_long()->_lo >= 0
#line 2429 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[_ADDP_ANY_REGP__CONVI2L_RREGI_]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDPOSINDEXOFFSET, indPosIndexOffset_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indPosIndexOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPPosIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPPosIdxOff_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], _CONVI2L_RREGI_) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[_CONVI2L_RREGI_];
        DFA_PRODUCTION(_ADDP_ANY_REGP__CONVI2L_RREGI_, _AddP_any_RegP__ConvI2L_rRegI__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP_ANY_REGP__LSHIFTL_RREGL_IMMI2) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[_ADDP_ANY_REGP__LSHIFTL_RREGL_IMMI2]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDINDEXSCALEOFFSET, indIndexScaleOffset_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexScaleOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPIdxScaleOff_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], _LSHIFTL_RREGL_IMMI2) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[_LSHIFTL_RREGL_IMMI2];
        DFA_PRODUCTION(_ADDP_ANY_REGP__LSHIFTL_RREGL_IMMI2, _AddP_any_RegP__LShiftL_rRegL_immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], _LSHIFTL__CONVI2L_RREGI__IMMI2) &&
        
#line 3934 "src/hotspot/cpu/x86/x86_64.ad"
n->in(3)->in(1)->as_Type()->type()->is_long()->_lo >= 0
#line 2540 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[_LSHIFTL__CONVI2L_RREGI__IMMI2]+10;
        DFA_PRODUCTION(INDPOSINDEXSCALE, indPosIndexScale_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indPosIndexScale_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPPosIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPPosIdxScale_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], _LSHIFTL_RREGL_IMMI2) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[_LSHIFTL_RREGL_IMMI2]+10;
        DFA_PRODUCTION(INDINDEXSCALE, indIndexScale_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexScale_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPIdxScale_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[RREGL]+10;
        DFA_PRODUCTION(INDINDEX, indIndex_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP_ANY_REGP_RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[_ADDP_ANY_REGP_RREGL]+_kids[1]->_cost[IMML32]+10;
        DFA_PRODUCTION(INDINDEXOFFSET, indIndexOffset_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaPIdxOff_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_ADDP_ANY_REGP_RREGL, _AddP_any_RegP_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[IMML32];
        DFA_PRODUCTION(INDOFFSET32, indOffset32_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indOffset32_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaP32_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) && STATE__VALID_CHILD(_kids[1], IMML8) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP]+_kids[1]->_cost[IMML8];
        DFA_PRODUCTION(INDOFFSET8, indOffset8_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indOffset8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+110) {
        DFA_PRODUCTION(ANY_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+110) {
        DFA_PRODUCTION(RAX_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+110) {
        DFA_PRODUCTION(RBX_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+110) {
        DFA_PRODUCTION(NO_RBP_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+110) {
        DFA_PRODUCTION(RSI_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+110) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+110) {
        DFA_PRODUCTION(RBP_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+110) {
        DFA_PRODUCTION(RDI_REGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+110) {
        DFA_PRODUCTION(R15_REGP, leaP8_rule, c+110)
      }
    }
}
void  State::_sub_Op_AndI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_ANDI__LOADB_MEMORY__IMMI8, _AndI__LoadB_memory__immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUB_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMU7) ) {
      unsigned int c = _kids[0]->_cost[_LOADUB_MEMORY_]+_kids[1]->_cost[IMMU7];
        DFA_PRODUCTION(_ANDI__LOADUB_MEMORY__IMMU7, _AndI__LoadUB_memory__immU7_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ANDI_RREGI_RREGI, _AndI_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ANDI_RREGI_IMMI, _AndI_rRegI_immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _CMPLTMASK_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_CMPLTMASK_RREGI_RREGI]+300;
        DFA_PRODUCTION(RREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, and_cmpLTMask_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CMPLTMASK_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_CMPLTMASK_RREGI_RREGI]+_kids[1]->_cost[RREGI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, and_cmpLTMask_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _CMPLTMASK_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_CMPLTMASK_RREGI_RREGI];
        DFA_PRODUCTION(_ANDI_RREGI__CMPLTMASK_RREGI_RREGI, _AndI_rRegI__CmpLTMask_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CMPLTMASK_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_CMPLTMASK_RREGI_RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ANDI__CMPLTMASK_RREGI_RREGI_RREGI, _AndI__CmpLTMask_rRegI_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI_M1) &&
        (
#line 10031 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 2869 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsrI_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI__LOADI_MEMORY__IMMI_M1) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 10031 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 2904 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsrI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _ADDI_RREGI_IMMI_M1) &&
        (
#line 10016 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 2939 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_ADDI_RREGI_IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsrI_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 10016 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 2974 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDI_RREGI_IMMI_M1]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsrI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0__LOADI_MEMORY_) &&
        (
#line 9971 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3009 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[_SUBI_IMMI_0__LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsiI_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBI_IMMI_0__LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 9971 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3044 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[1]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBI_IMMI_0__LOADI_MEMORY_]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsiI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0_RREGI) &&
        (
#line 9958 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3079 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_SUBI_IMMI_0_RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsiI_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBI_IMMI_0_RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9958 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3114 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBI_IMMI_0_RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsiI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _XORI_RREGI_IMMI_M1) &&
        (
#line 9945 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3149 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_XORI_RREGI_IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _XORI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9945 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3184 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_XORI_RREGI_IMMI_M1]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andnI_rReg_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _XORI_RREGI_IMMI_M1) &&
        (
#line 9931 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3219 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[_XORI_RREGI_IMMI_M1]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andnI_rReg_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _XORI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 9931 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3254 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_XORI_RREGI_IMMI_M1]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andnI_rReg_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__IMMI, _AndI__LoadI_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_ANDI_RREGI__LOADI_MEMORY_, _AndI_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__RREGI, _AndI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADB_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADB_MEMORY_];
        DFA_PRODUCTION(_ANDI_RREGI__LOADB_MEMORY_, _AndI_rRegI__LoadB_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ANDI__LOADB_MEMORY__RREGI, _AndI__LoadB_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+150;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andI_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_POW2M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_POW2M1];
        DFA_PRODUCTION(_ANDI_RREGI_IMMI_POW2M1, _AndI_rRegI_immI_Pow2M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_65535];
        DFA_PRODUCTION(_ANDI_RREGI_IMMI_65535, _AndI_rRegI_immI_65535_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_65535]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andI_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andI_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andI_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andI_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andI_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andI_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andI_rReg_imm65535_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_255];
        DFA_PRODUCTION(_ANDI_RREGI_IMMI_255, _AndI_rRegI_immI_255_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_255]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andI_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andI_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andI_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andI_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andI_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andI_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andI_rReg_imm255_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, andI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, andI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, andI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, andI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, andI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, andI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, andI_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMU31) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMU31];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__IMMU31, _AndI__LoadI_memory__immU31_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_65535];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__IMMI_65535, _AndI__LoadI_memory__immI_65535_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_255];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__IMMI_255, _AndI__LoadI_memory__immI_255_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_65535]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, loadI2US_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_255]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, loadI2UB_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUS_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADUS_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ANDI__LOADUS_MEMORY__IMMI, _AndI__LoadUS_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUS_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_LOADUS_MEMORY_]+_kids[1]->_cost[IMMI_255];
        DFA_PRODUCTION(_ANDI__LOADUS_MEMORY__IMMI_255, _AndI__LoadUS_memory__immI_255_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUB_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADUB_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ANDI__LOADUB_MEMORY__IMMI, _AndI__LoadUB_memory__immI_rule, c)
    }
}
void  State::_sub_Op_AndL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _CASTP2X_RREGP_) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_CASTP2X_RREGP_];
        DFA_PRODUCTION(_ANDL__LOADL_MEMORY___CASTP2X_RREGP_, _AndL__LoadL_memory___CastP2X_rRegP__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CASTP2X_RREGP_) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_CASTP2X_RREGP_]+_kids[1]->_cost[_LOADL_MEMORY_];
        DFA_PRODUCTION(_ANDL__CASTP2X_RREGP___LOADL_MEMORY_, _AndL__CastP2X_rRegP___LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_ANDL_RREGL_RREGL, _AndL_rRegL_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32];
        DFA_PRODUCTION(_ANDL_RREGL_IMML32, _AndL_rRegL_immL32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML_32BITS) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML_32BITS]+100;
        DFA_PRODUCTION(RREGL, zerox_long_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, zerox_long_reg_reg_rule, c)
        DFA_PRODUCTION(RAX_REGL, zerox_long_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, zerox_long_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGL, zerox_long_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGL, zerox_long_reg_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L_RREGI_) && STATE__VALID_CHILD(_kids[1], IMML_32BITS) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L_RREGI_]+_kids[1]->_cost[IMML_32BITS]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, convI2L_reg_reg_zex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, convI2L_reg_reg_zex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, convI2L_reg_reg_zex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, convI2L_reg_reg_zex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, convI2L_reg_reg_zex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, convI2L_reg_reg_zex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _ADDL__LOADL_MEMORY__IMML_M1) &&
        (
#line 10437 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3637 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsrL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsrL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsrL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsrL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsrL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsrL_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL__LOADL_MEMORY__IMML_M1) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 10437 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3666 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+_kids[1]->_cost[_LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsrL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsrL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsrL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsrL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsrL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsrL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _ADDL_RREGL_IMML_M1) &&
        (
#line 10422 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3695 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_ADDL_RREGL_IMML_M1]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsrL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsrL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsrL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsrL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsrL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsrL_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL_RREGL_IMML_M1) && STATE__VALID_CHILD(_kids[1], RREGL) &&
        (
#line 10422 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3724 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDL_RREGL_IMML_M1]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsrL_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _SUBL_IMML0__LOADL_MEMORY_) &&
        (
#line 10377 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3753 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_SUBL_IMML0__LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsiL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsiL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsiL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsiL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsiL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsiL_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBL_IMML0__LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 10377 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3782 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[1]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBL_IMML0__LOADL_MEMORY_]+_kids[1]->_cost[_LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsiL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsiL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsiL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsiL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsiL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsiL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _SUBL_IMML0_RREGL) &&
        (
#line 10364 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3811 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_SUBL_IMML0_RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsiL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsiL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsiL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsiL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsiL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsiL_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBL_IMML0_RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) &&
        (
#line 10364 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3840 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBL_IMML0_RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsiL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsiL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsiL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsiL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsiL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsiL_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _XORL_RREGL_IMML_M1) &&
        (
#line 10351 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3869 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_XORL_RREGL_IMML_M1]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andnL_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andnL_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andnL_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andnL_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andnL_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andnL_rReg_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _XORL_RREGL_IMML_M1) && STATE__VALID_CHILD(_kids[1], RREGL) &&
        (
#line 10351 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3898 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_XORL_RREGL_IMML_M1]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andnL_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andnL_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andnL_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andnL_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andnL_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andnL_rReg_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _XORL_RREGL_IMML_M1) &&
        (
#line 10337 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3927 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_XORL_RREGL_IMML_M1]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andnL_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andnL_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andnL_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andnL_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andnL_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andnL_rReg_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _XORL_RREGL_IMML_M1) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 10337 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 3956 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_XORL_RREGL_IMML_M1]+_kids[1]->_cost[_LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andnL_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andnL_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andnL_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andnL_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andnL_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andnL_rReg_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML_NOTPOW2) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML_NOTPOW2];
        DFA_PRODUCTION(_ANDL__LOADL_MEMORY__IMML_NOTPOW2, _AndL__LoadL_memory__immL_NotPow2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML32];
        DFA_PRODUCTION(_ANDL__LOADL_MEMORY__IMML32, _AndL__LoadL_memory__immL32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_];
        DFA_PRODUCTION(_ANDL_RREGL__LOADL_MEMORY_, _AndL_rRegL__LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_ANDL__LOADL_MEMORY__RREGL, _AndL__LoadL_memory__rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL]+150;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andL_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML_65535) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML_65535]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andL_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andL_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andL_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andL_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andL_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andL_rReg_imm65535_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML_255) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML_255]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andL_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andL_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andL_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andL_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andL_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andL_rReg_imm255_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andL_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L__LOADI_MEMORY__) && STATE__VALID_CHILD(_kids[1], IMML_32BITS) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L__LOADI_MEMORY__]+_kids[1]->_cost[IMML_32BITS]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadUI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadUI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadUI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadUI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadUI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadUI2L_rule, c)
      }
    }
}
void  State::_sub_Op_AryEq(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RDI_REGP) && STATE__VALID_CHILD(_kids[1], RSI_REGP) &&
        (
#line 12020 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && ((AryEqNode*)n)->encoding() == StrIntrinsicNode::UU
#line 4171 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RDI_REGP]+_kids[1]->_cost[RSI_REGP]+100;
        DFA_PRODUCTION(RAX_REGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(RREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(RCX_REGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(RDX_REGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(RDI_REGI, array_equalsC_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RDI_REGP) && STATE__VALID_CHILD(_kids[1], RSI_REGP) &&
        (
#line 12004 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() && ((AryEqNode*)n)->encoding() == StrIntrinsicNode::UU
#line 4188 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RDI_REGP]+_kids[1]->_cost[RSI_REGP]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, array_equalsC_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RDI_REGP) && STATE__VALID_CHILD(_kids[1], RSI_REGP) &&
        (
#line 11988 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && ((AryEqNode*)n)->encoding() == StrIntrinsicNode::LL
#line 4223 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RDI_REGP]+_kids[1]->_cost[RSI_REGP]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, array_equalsB_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RDI_REGP) && STATE__VALID_CHILD(_kids[1], RSI_REGP) &&
        (
#line 11972 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() && ((AryEqNode*)n)->encoding() == StrIntrinsicNode::LL
#line 4258 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RDI_REGP]+_kids[1]->_cost[RSI_REGP]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, array_equalsB_rule, c)
      }
    }
}
void  State::_sub_Op_Binary(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGP) && STATE__VALID_CHILD(_kids[1], NO_RAX_REGP) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGP]+_kids[1]->_cost[NO_RAX_REGP];
        DFA_PRODUCTION(_BINARY_RAX_REGP_NO_RAX_REGP, _Binary_rax_RegP_no_rax_RegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_MEMORY__BINARY_IMMU8_KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_MEMORY__BINARY_IMMU8_KREG];
        DFA_PRODUCTION(_BINARY_VEC__BINARY_MEMORY__BINARY_IMMU8_KREG, _Binary_vec__Binary_memory__Binary_immU8_kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMU8_KREG) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_IMMU8_KREG];
        DFA_PRODUCTION(_BINARY_MEMORY__BINARY_IMMU8_KREG, _Binary_memory__Binary_immU8_kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC__BINARY_IMMU8_KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC__BINARY_IMMU8_KREG];
        DFA_PRODUCTION(_BINARY_VEC__BINARY_VEC__BINARY_IMMU8_KREG, _Binary_vec__Binary_vec__Binary_immU8_kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMU8_KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_IMMU8_KREG];
        DFA_PRODUCTION(_BINARY_VEC__BINARY_IMMU8_KREG, _Binary_vec__Binary_immU8_kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMU8) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[IMMU8]+_kids[1]->_cost[KREG];
        DFA_PRODUCTION(_BINARY_IMMU8_KREG, _Binary_immU8_kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI8) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[IMMI8]+_kids[1]->_cost[KREG];
        DFA_PRODUCTION(_BINARY_IMMI8_KREG, _Binary_immI8_kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG];
        DFA_PRODUCTION(_BINARY__LOADVECTOR_MEMORY__KREG, _Binary__LoadVector_memory__kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _RSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_RSHIFTCNTV_IMMI8_];
        DFA_PRODUCTION(_BINARY_VEC__RSHIFTCNTV_IMMI8_, _Binary_vec__RShiftCntV_immI8__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LSHIFTCNTV_IMMI8_];
        DFA_PRODUCTION(_BINARY_VEC__LSHIFTCNTV_IMMI8_, _Binary_vec__LShiftCntV_immI8__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_BINARY_VEC_IMMI8, _Binary_vec_immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMU8) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[IMMU8];
        DFA_PRODUCTION(_BINARY__LOADVECTOR_MEMORY__IMMU8, _Binary__LoadVector_memory__immU8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMU8) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMU8];
        DFA_PRODUCTION(_BINARY_VEC_IMMU8, _Binary_vec_immU8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_];
        DFA_PRODUCTION(_BINARY_VEC__LOADVECTOR_MEMORY_, _Binary_vec__LoadVector_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC];
        DFA_PRODUCTION(_BINARY_LEGVEC_LEGVEC, _Binary_legVec_legVec_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD];
        DFA_PRODUCTION(_BINARY_REGD_IMMD, _Binary_regD_immD_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], REGD) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[REGD];
        DFA_PRODUCTION(_BINARY_VEC_REGD, _Binary_vec_regD_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[REGF];
        DFA_PRODUCTION(_BINARY_VEC_REGF, _Binary_vec_regF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_BINARY_VEC_RREGL, _Binary_vec_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_BINARY_VEC_RREGI, _Binary_vec_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_KREG];
        DFA_PRODUCTION(_BINARY_VEC__BINARY_VEC_KREG, _Binary_vec__Binary_vec_kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC];
        DFA_PRODUCTION(_BINARY_VEC_VEC, _Binary_vec_vec_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG];
        DFA_PRODUCTION(_BINARY_VEC_KREG, _Binary_vec_kReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RBX_REGI) && STATE__VALID_CHILD(_kids[1], IMMU8) ) {
      unsigned int c = _kids[0]->_cost[RBX_REGI]+_kids[1]->_cost[IMMU8];
        DFA_PRODUCTION(_BINARY_RBX_REGI_IMMU8, _Binary_rbx_RegI_immU8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RDI_REGP) && STATE__VALID_CHILD(_kids[1], RSI_REGP) ) {
      unsigned int c = _kids[0]->_cost[RDI_REGP]+_kids[1]->_cost[RSI_REGP];
        DFA_PRODUCTION(_BINARY_RDI_REGP_RSI_REGP, _Binary_rdi_RegP_rsi_RegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], RAX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[RAX_REGI];
        DFA_PRODUCTION(_BINARY_RSI_REGP_RAX_REGI, _Binary_rsi_RegP_rax_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_BINARY_RSI_REGP_IMMI, _Binary_rsi_RegP_immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RDI_REGP) && STATE__VALID_CHILD(_kids[1], RDX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RDI_REGP]+_kids[1]->_cost[RDX_REGI];
        DFA_PRODUCTION(_BINARY_RDI_REGP_RDX_REGI, _Binary_rdi_RegP_rdx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], RDX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[RDX_REGI];
        DFA_PRODUCTION(_BINARY_RSI_REGP_RDX_REGI, _Binary_rsi_RegP_rdx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RDI_REGP) && STATE__VALID_CHILD(_kids[1], RCX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RDI_REGP]+_kids[1]->_cost[RCX_REGI];
        DFA_PRODUCTION(_BINARY_RDI_REGP_RCX_REGI, _Binary_rdi_RegP_rcx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RAX_REGN) && STATE__VALID_CHILD(_kids[1], RREGN) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGN]+_kids[1]->_cost[RREGN];
        DFA_PRODUCTION(_BINARY_RAX_REGN_RREGN, _Binary_rax_RegN_rRegN_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_BINARY_RAX_REGI_RREGI, _Binary_rax_RegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_BINARY_RAX_REGL_RREGL, _Binary_rax_RegL_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RAX_REGP) && STATE__VALID_CHILD(_kids[1], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGP]+_kids[1]->_cost[RREGP];
        DFA_PRODUCTION(_BINARY_RAX_REGP_RREGP, _Binary_rax_RegP_rRegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD];
        DFA_PRODUCTION(_BINARY_REGD_REGD, _Binary_regD_regD_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF];
        DFA_PRODUCTION(_BINARY_REGF_REGF, _Binary_regF_regF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_];
        DFA_PRODUCTION(_BINARY_RREGL__LOADL_MEMORY_, _Binary_rRegL__LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_BINARY_RREGL_RREGL, _Binary_rRegL_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_1) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[IMMI_1]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_BINARY_IMMI_1_RREGL, _Binary_immI_1_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[RREGP];
        DFA_PRODUCTION(_BINARY_RREGP_RREGP, _Binary_rRegP_rRegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) && STATE__VALID_CHILD(_kids[1], RREGN) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+_kids[1]->_cost[RREGN];
        DFA_PRODUCTION(_BINARY_RREGN_RREGN, _Binary_rRegN_rRegN_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_BINARY_RREGI__LOADI_MEMORY_, _Binary_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF2) && STATE__VALID_CHILD(_kids[1], RFLAGSREGUCF) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF2]+_kids[1]->_cost[RFLAGSREGUCF];
        DFA_PRODUCTION(_BINARY_CMPOPUCF2_RFLAGSREGUCF, _Binary_cmpOpUCF2_rFlagsRegUCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF) && STATE__VALID_CHILD(_kids[1], RFLAGSREGUCF) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF]+_kids[1]->_cost[RFLAGSREGUCF];
        DFA_PRODUCTION(_BINARY_CMPOPUCF_RFLAGSREGUCF, _Binary_cmpOpUCF_rFlagsRegUCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU) && STATE__VALID_CHILD(_kids[1], RFLAGSREGU) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU]+_kids[1]->_cost[RFLAGSREGU];
        DFA_PRODUCTION(_BINARY_CMPOPU_RFLAGSREGU, _Binary_cmpOpU_rFlagsRegU_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_BINARY_RREGI_RREGI, _Binary_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_1) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_1]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_BINARY_IMMI_1_RREGI, _Binary_immI_1_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], RFLAGSREG) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[RFLAGSREG];
        DFA_PRODUCTION(_BINARY_CMPOP_RFLAGSREG, _Binary_cmpOp_rFlagsReg_rule, c)
    }
}
void  State::_sub_Op_Bool(const Node *n){
    if(         
#line 4318 "src/hotspot/cpu/x86/x86_64.ad"
(n->as_Bool()->_test._test == BoolTest::ne ||
             n->as_Bool()->_test._test == BoolTest::eq) &&
            n->in(1)->in(1) != n->in(1)->in(2)
#line 4490 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOPUCF2, cmpOpUCF2_rule, c)
    }
    if(         
#line 4296 "src/hotspot/cpu/x86/x86_64.ad"
n->as_Bool()->_test._test == BoolTest::lt ||
            n->as_Bool()->_test._test == BoolTest::ge ||
            n->as_Bool()->_test._test == BoolTest::le ||
            n->as_Bool()->_test._test == BoolTest::gt ||
            n->in(1)->in(1) == n->in(1)->in(2)
#line 4502 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOPUCF, cmpOpUCF_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOPU, cmpOpU_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOP, cmpOp_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(RBX_REGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(RCX_REGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(RDX_REGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(RDI_REGI, bytes_reverse_int_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGL, bytes_reverse_long_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, bytes_reverse_long_rule, c)
        DFA_PRODUCTION(RAX_REGL, bytes_reverse_long_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, bytes_reverse_long_rule, c)
        DFA_PRODUCTION(RCX_REGL, bytes_reverse_long_rule, c)
        DFA_PRODUCTION(RDX_REGL, bytes_reverse_long_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesUS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(RBX_REGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(RCX_REGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(RDX_REGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(RDI_REGI, bytes_reverse_unsigned_short_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(RBX_REGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(RCX_REGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(RDX_REGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(RDI_REGI, bytes_reverse_short_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9233 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512bw() && Matcher::vector_length_in_bytes(n) == 64
#line 4575 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vreverse_byte64_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9220 "src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512bw() || Matcher::vector_length_in_bytes(n) < 64
#line 4585 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vreverse_byte_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_CacheWB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) &&
        (
#line 6457 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_data_cache_line_flush()
#line 4601 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+100;
        DFA_PRODUCTION(UNIVERSE, cacheWB_rule, c)
    }
}
void  State::_sub_Op_CacheWBPreSync(const Node *n){
    if(         (
#line 6472 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_data_cache_line_flush()
#line 4611 "dfa_x86.cpp"
) ) {
      unsigned int c = 100;
        DFA_PRODUCTION(UNIVERSE, cacheWBPreSync_rule, c)
    }
}
void  State::_sub_Op_CacheWBPostSync(const Node *n){
    if(         (
#line 6485 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_data_cache_line_flush()
#line 4621 "dfa_x86.cpp"
) ) {
      unsigned int c = 100;
        DFA_PRODUCTION(UNIVERSE, cacheWBPostSync_rule, c)
    }
}
void  State::_sub_Op_CallDynamicJava(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallDynamicJavaDirect_rule, c)
    }
}
void  State::_sub_Op_CallLeaf(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallLeafDirect_rule, c)
    }
}
void  State::_sub_Op_CallLeafNoFP(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallLeafNoFPDirect_rule, c)
    }
}
void  State::_sub_Op_CallLeafVector(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallLeafDirectVector_rule, c)
    }
}
void  State::_sub_Op_CallRuntime(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallRuntimeDirect_rule, c)
    }
}
void  State::_sub_Op_CallStaticJava(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallStaticJavaDirect_rule, c)
    }
}
void  State::_sub_Op_CastDD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD];
        DFA_PRODUCTION(REGD, castDD_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
}
void  State::_sub_Op_CastFF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF];
        DFA_PRODUCTION(REGF, castFF_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
}
void  State::_sub_Op_CastII(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI];
        DFA_PRODUCTION(RREGI, castII_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, castII_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, castII_rule, c)
        DFA_PRODUCTION(RBX_REGI, castII_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, castII_rule, c)
        DFA_PRODUCTION(RCX_REGI, castII_rule, c)
        DFA_PRODUCTION(RDX_REGI, castII_rule, c)
        DFA_PRODUCTION(RDI_REGI, castII_rule, c)
    }
}
void  State::_sub_Op_CastLL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL];
        DFA_PRODUCTION(RREGL, castLL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, castLL_rule, c)
        DFA_PRODUCTION(RAX_REGL, castLL_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, castLL_rule, c)
        DFA_PRODUCTION(RCX_REGL, castLL_rule, c)
        DFA_PRODUCTION(RDX_REGL, castLL_rule, c)
    }
}
void  State::_sub_Op_CastVV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC];
        DFA_PRODUCTION(LEGVEC, castVVLeg_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC];
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, castVV_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) ) {
      unsigned int c = _kids[0]->_cost[KREG];
        DFA_PRODUCTION(KREG, castMM_rule, c)
    }
}
void  State::_sub_Op_CastX2P(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGP, castX2P_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, castX2P_rule, c)
        DFA_PRODUCTION(INDIRECT, castX2P_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, castX2P_rule, c)
        DFA_PRODUCTION(RBX_REGP, castX2P_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, castX2P_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, castX2P_rule, c)
        DFA_PRODUCTION(RSI_REGP, castX2P_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, castX2P_rule, c)
        DFA_PRODUCTION(RBP_REGP, castX2P_rule, c)
        DFA_PRODUCTION(RDI_REGP, castX2P_rule, c)
        DFA_PRODUCTION(R15_REGP, castX2P_rule, c)
    }
}
void  State::_sub_Op_CastP2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ANY_REGP) ) {
      unsigned int c = _kids[0]->_cost[ANY_REGP];
        DFA_PRODUCTION(_CASTP2X_ANY_REGP_, _CastP2X_any_RegP__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _DECODEN_RREGN_) ) {
      unsigned int c = _kids[0]->_cost[_DECODEN_RREGN_];
        DFA_PRODUCTION(_CASTP2X__DECODEN_RREGN__, _CastP2X__DecodeN_rRegN___rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP];
        DFA_PRODUCTION(_CASTP2X_RREGP_, _CastP2X_rRegP__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+100;
        DFA_PRODUCTION(RREGL, castP2X_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, castP2X_rule, c)
        DFA_PRODUCTION(RAX_REGL, castP2X_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, castP2X_rule, c)
        DFA_PRODUCTION(RCX_REGL, castP2X_rule, c)
        DFA_PRODUCTION(RDX_REGL, castP2X_rule, c)
    }
}
void  State::_sub_Op_CastPP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+100;
        DFA_PRODUCTION(RREGP, castPP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, castPP_rule, c)
        DFA_PRODUCTION(INDIRECT, castPP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, castPP_rule, c)
        DFA_PRODUCTION(RBX_REGP, castPP_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, castPP_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, castPP_rule, c)
        DFA_PRODUCTION(RSI_REGP, castPP_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, castPP_rule, c)
        DFA_PRODUCTION(RBP_REGP, castPP_rule, c)
        DFA_PRODUCTION(RDI_REGP, castPP_rule, c)
        DFA_PRODUCTION(R15_REGP, castPP_rule, c)
    }
}
void  State::_sub_Op_CheckCastPP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+100;
        DFA_PRODUCTION(RREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(INDIRECT, checkCastPP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(RBX_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(RSI_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(RBP_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(RDI_REGP, checkCastPP_rule, c)
        DFA_PRODUCTION(R15_REGP, checkCastPP_rule, c)
    }
}
void  State::_sub_Op_ClearArray(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMML) && STATE__VALID_CHILD(_kids[1], RREGP) &&
        (
#line 11629 "src/hotspot/cpu/x86/x86_64.ad"
!((ClearArrayNode*)n)->is_large() &&
              ((UseAVX > 2) && VM_Version::supports_avx512vlbw())
#line 4814 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMML]+_kids[1]->_cost[RREGP]+100;
        DFA_PRODUCTION(UNIVERSE, rep_stos_im_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RCX_REGL) && STATE__VALID_CHILD(_kids[1], RDI_REGP) &&
        (
#line 11579 "src/hotspot/cpu/x86/x86_64.ad"
(UseAVX > 2) && ((ClearArrayNode*)n)->is_large()
#line 4823 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RCX_REGL]+_kids[1]->_cost[RDI_REGP]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, rep_stos_large_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RCX_REGL) && STATE__VALID_CHILD(_kids[1], RDI_REGP) &&
        (
#line 11528 "src/hotspot/cpu/x86/x86_64.ad"
(UseAVX <=2) && ((ClearArrayNode*)n)->is_large()
#line 4834 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RCX_REGL]+_kids[1]->_cost[RDI_REGP]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, rep_stos_large_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RCX_REGL) && STATE__VALID_CHILD(_kids[1], RDI_REGP) &&
        (
#line 11467 "src/hotspot/cpu/x86/x86_64.ad"
!((ClearArrayNode*)n)->is_large() && (UseAVX > 2)
#line 4845 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RCX_REGL]+_kids[1]->_cost[RDI_REGP]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, rep_stos_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RCX_REGL) && STATE__VALID_CHILD(_kids[1], RDI_REGP) &&
        (
#line 11407 "src/hotspot/cpu/x86/x86_64.ad"
!((ClearArrayNode*)n)->is_large() && (UseAVX <= 2)
#line 4856 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RCX_REGL]+_kids[1]->_cost[RDI_REGP]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, rep_stos_rule, c)
      }
    }
}
void  State::_sub_Op_CompressBits(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 6265 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_int()
#line 4869 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+100;
        DFA_PRODUCTION(RREGI, compressBitsI_mem_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compressBitsI_mem_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compressBitsI_mem_rule, c)
        DFA_PRODUCTION(RBX_REGI, compressBitsI_mem_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compressBitsI_mem_rule, c)
        DFA_PRODUCTION(RCX_REGI, compressBitsI_mem_rule, c)
        DFA_PRODUCTION(RDX_REGI, compressBitsI_mem_rule, c)
        DFA_PRODUCTION(RDI_REGI, compressBitsI_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 6245 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_int()
#line 4886 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, compressBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, compressBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, compressBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, compressBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compressBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, compressBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, compressBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, compressBitsI_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 9759 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->isa_long()
#line 4921 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+100;
        DFA_PRODUCTION(RREGL, compressBitsL_mem_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, compressBitsL_mem_rule, c)
        DFA_PRODUCTION(RAX_REGL, compressBitsL_mem_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, compressBitsL_mem_rule, c)
        DFA_PRODUCTION(RCX_REGL, compressBitsL_mem_rule, c)
        DFA_PRODUCTION(RDX_REGL, compressBitsL_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) &&
        (
#line 9739 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->isa_long()
#line 4936 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, compressBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, compressBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, compressBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, compressBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, compressBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, compressBitsL_reg_rule, c)
      }
    }
}
void  State::_sub_Op_ExpandBits(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 6275 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_int()
#line 4967 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+100;
        DFA_PRODUCTION(RREGI, expandBitsI_mem_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, expandBitsI_mem_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, expandBitsI_mem_rule, c)
        DFA_PRODUCTION(RBX_REGI, expandBitsI_mem_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, expandBitsI_mem_rule, c)
        DFA_PRODUCTION(RCX_REGI, expandBitsI_mem_rule, c)
        DFA_PRODUCTION(RDX_REGI, expandBitsI_mem_rule, c)
        DFA_PRODUCTION(RDI_REGI, expandBitsI_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 6255 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_int()
#line 4984 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, expandBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, expandBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, expandBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, expandBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, expandBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, expandBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, expandBitsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, expandBitsI_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 9769 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->isa_long()
#line 5019 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+100;
        DFA_PRODUCTION(RREGL, expandBitsL_mem_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, expandBitsL_mem_rule, c)
        DFA_PRODUCTION(RAX_REGL, expandBitsL_mem_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, expandBitsL_mem_rule, c)
        DFA_PRODUCTION(RCX_REGL, expandBitsL_mem_rule, c)
        DFA_PRODUCTION(RDX_REGL, expandBitsL_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) &&
        (
#line 9749 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->isa_long()
#line 5034 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, expandBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, expandBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, expandBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, expandBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, expandBitsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, expandBitsL_reg_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
        DFA_PRODUCTION(REGD, cmovD_regUCF_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, cmovD_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, cmovD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_CMoveF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
        DFA_PRODUCTION(REGF, cmovF_regUCF_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, cmovF_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, cmovF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_CMoveI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
        DFA_PRODUCTION(RREGI, cmovI_memUCF_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, cmovI_memUCF_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_memUCF_rule, c)
        DFA_PRODUCTION(RBX_REGI, cmovI_memUCF_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_memUCF_rule, c)
        DFA_PRODUCTION(RCX_REGI, cmovI_memUCF_rule, c)
        DFA_PRODUCTION(RDX_REGI, cmovI_memUCF_rule, c)
        DFA_PRODUCTION(RDI_REGI, cmovI_memUCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_memU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF2_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 7208 "src/hotspot/cpu/x86/x86_64.ad"
n->in(1)->in(1)->as_Bool()->_test._test == BoolTest::eq
#line 5215 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF2_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_regUCF2_eq_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF2_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 7192 "src/hotspot/cpu/x86/x86_64.ad"
n->in(1)->in(1)->as_Bool()->_test._test == BoolTest::ne
#line 5250 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF2_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_regUCF2_ne_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_regUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMI_1_RREGI) &&
        (
#line 7171 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(2)->is_Con() && n->in(2)->in(2)->get_int() == 0
#line 5315 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_IMMI_1_RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_imm_01UCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_regU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMI_1_RREGI) &&
        (
#line 7146 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(2)->is_Con() && n->in(2)->in(2)->get_int() == 0
#line 5380 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_IMMI_1_RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_imm_01U_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMI_1_RREGI) &&
        (
#line 7120 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(2)->is_Con() && n->in(2)->in(2)->get_int() == 0
#line 5445 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_IMMI_1_RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmovI_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmovI_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmovI_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmovI_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmovI_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmovI_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmovI_imm_01_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGL__LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGL__LOADL_MEMORY_]+200;
        DFA_PRODUCTION(RREGL, cmovL_memUCF_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_memUCF_rule, c)
        DFA_PRODUCTION(RAX_REGL, cmovL_memUCF_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_memUCF_rule, c)
        DFA_PRODUCTION(RCX_REGL, cmovL_memUCF_rule, c)
        DFA_PRODUCTION(RDX_REGL, cmovL_memUCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGL__LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGL__LOADL_MEMORY_]+200;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_memU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF2_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGL_RREGL) &&
        (
#line 7512 "src/hotspot/cpu/x86/x86_64.ad"
n->in(1)->in(1)->as_Bool()->_test._test == BoolTest::eq
#line 5516 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF2_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGL_RREGL]+200;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_regUCF2_eq_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_regUCF2_eq_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF2_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGL_RREGL) &&
        (
#line 7496 "src/hotspot/cpu/x86/x86_64.ad"
n->in(1)->in(1)->as_Bool()->_test._test == BoolTest::ne
#line 5545 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF2_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGL_RREGL]+200;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_regUCF2_ne_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGL_RREGL) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGL_RREGL]+200;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_regUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMI_1_RREGL) &&
        (
#line 7475 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(2)->is_Con() && n->in(2)->in(2)->get_long() == 0
#line 5598 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_IMMI_1_RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_imm_01UCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_imm_01UCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGL_RREGL) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGL_RREGL]+200;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_regU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMI_1_RREGL) &&
        (
#line 7449 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(2)->is_Con() && n->in(2)->in(2)->get_long() == 0
#line 5651 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_IMMI_1_RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_imm_01U_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_imm_01U_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGL__LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_RREGL__LOADL_MEMORY_]+200;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGL_RREGL) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_RREGL_RREGL]+200;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMI_1_RREGL) &&
        (
#line 7411 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(2)->is_Con() && n->in(2)->in(2)->get_long() == 0
#line 5728 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_IMMI_1_RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, cmovL_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, cmovL_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, cmovL_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, cmovL_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, cmovL_imm_01_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, cmovL_imm_01_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF2_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGP_RREGP) &&
        (
#line 7369 "src/hotspot/cpu/x86/x86_64.ad"
n->in(1)->in(1)->as_Bool()->_test._test == BoolTest::eq
#line 5759 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF2_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGP_RREGP]+200;
        DFA_PRODUCTION(RREGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(INDIRECT, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(RBX_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(RSI_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(RBP_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(RDI_REGP, cmovP_regUCF2_eq_rule, c)
        DFA_PRODUCTION(R15_REGP, cmovP_regUCF2_eq_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF2_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGP_RREGP) &&
        (
#line 7353 "src/hotspot/cpu/x86/x86_64.ad"
n->in(1)->in(1)->as_Bool()->_test._test == BoolTest::ne
#line 5781 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF2_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGP_RREGP]+200;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, cmovP_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, cmovP_regUCF2_ne_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGP_RREGP) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGP_RREGP]+200;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, cmovP_regUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGP_RREGP) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGP_RREGP]+200;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, cmovP_regU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGP_RREGP) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_RREGP_RREGP]+200;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, cmovP_reg_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF2_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGN_RREGN) &&
        (
#line 7305 "src/hotspot/cpu/x86/x86_64.ad"
n->in(1)->in(1)->as_Bool()->_test._test == BoolTest::eq
#line 5968 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF2_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGN_RREGN]+200;
        DFA_PRODUCTION(RREGN, cmovN_regUCF2_eq_rule, c)
        DFA_PRODUCTION(RAX_REGN, cmovN_regUCF2_eq_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF2_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGN_RREGN) &&
        (
#line 7289 "src/hotspot/cpu/x86/x86_64.ad"
n->in(1)->in(1)->as_Bool()->_test._test == BoolTest::ne
#line 5978 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF2_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGN_RREGN]+200;
      if (STATE__NOT_YET_VALID(RREGN) || _cost[RREGN] > c) {
        DFA_PRODUCTION(RREGN, cmovN_regUCF2_ne_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGN) || _cost[RAX_REGN] > c) {
        DFA_PRODUCTION(RAX_REGN, cmovN_regUCF2_ne_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_RFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_RFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGN_RREGN]+200;
      if (STATE__NOT_YET_VALID(RREGN) || _cost[RREGN] > c) {
        DFA_PRODUCTION(RREGN, cmovN_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGN) || _cost[RAX_REGN] > c) {
        DFA_PRODUCTION(RAX_REGN, cmovN_regUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_RFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_RFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGN_RREGN]+200;
      if (STATE__NOT_YET_VALID(RREGN) || _cost[RREGN] > c) {
        DFA_PRODUCTION(RREGN, cmovN_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGN) || _cost[RAX_REGN] > c) {
        DFA_PRODUCTION(RAX_REGN, cmovN_regU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_RFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_RFLAGSREG]+_kids[1]->_cost[_BINARY_RREGN_RREGN]+200;
      if (STATE__NOT_YET_VALID(RREGN) || _cost[RREGN] > c) {
        DFA_PRODUCTION(RREGN, cmovN_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGN) || _cost[RAX_REGN] > c) {
        DFA_PRODUCTION(RAX_REGN, cmovN_reg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADN_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMN0) &&
        (
#line 12677 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::base() == NULL
#line 6021 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADN_MEMORY_]+_kids[1]->_cost[IMMN0]+100;
        DFA_PRODUCTION(RFLAGSREG, testN_mem_reg0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADN_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMN0) &&
        (
#line 12664 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::base() != NULL
#line 6030 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADN_MEMORY_]+_kids[1]->_cost[IMMN0]+500;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testN_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) && STATE__VALID_CHILD(_kids[1], IMMN0) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+_kids[1]->_cost[IMMN0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testN_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMNKLASS) && STATE__VALID_CHILD(_kids[1], _LOADNKLASS_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[IMMNKLASS]+_kids[1]->_cost[_LOADNKLASS_MEMORY_]+100;
        DFA_PRODUCTION(RFLAGSREGU, compN_mem_imm_klass_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) && STATE__VALID_CHILD(_kids[1], IMMNKLASS) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+_kids[1]->_cost[IMMNKLASS]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compN_rReg_imm_klass_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMN) && STATE__VALID_CHILD(_kids[1], _LOADN_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[IMMN]+_kids[1]->_cost[_LOADN_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compN_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) && STATE__VALID_CHILD(_kids[1], IMMN) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+_kids[1]->_cost[IMMN]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compN_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) && STATE__VALID_CHILD(_kids[1], _LOADN_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+_kids[1]->_cost[_LOADN_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compN_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) && STATE__VALID_CHILD(_kids[1], RREGN) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+_kids[1]->_cost[RREGN]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compN_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+100;
        DFA_PRODUCTION(RFLAGSREGUCF, cmpD_cc_immCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGUCF) || _cost[RFLAGSREGUCF] > c) {
        DFA_PRODUCTION(RFLAGSREGUCF, cmpD_cc_memCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGUCF) || _cost[RFLAGSREGUCF] > c) {
        DFA_PRODUCTION(RFLAGSREGUCF, cmpD_cc_reg_CF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+500;
        DFA_PRODUCTION(RFLAGSREGU, cmpD_cc_reg_rule, c)
    }
}
void  State::_sub_Op_CmpD3(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+275;
        DFA_PRODUCTION(RREGI, cmpD_imm_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, cmpD_imm_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpD_imm_rule, c)
        DFA_PRODUCTION(RBX_REGI, cmpD_imm_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpD_imm_rule, c)
        DFA_PRODUCTION(RCX_REGI, cmpD_imm_rule, c)
        DFA_PRODUCTION(RDX_REGI, cmpD_imm_rule, c)
        DFA_PRODUCTION(RDI_REGI, cmpD_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+275;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmpD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmpD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmpD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmpD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmpD_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+275;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmpD_reg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+100;
        DFA_PRODUCTION(RFLAGSREGUCF, cmpF_cc_immCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGUCF) || _cost[RFLAGSREGUCF] > c) {
        DFA_PRODUCTION(RFLAGSREGUCF, cmpF_cc_memCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGUCF) || _cost[RFLAGSREGUCF] > c) {
        DFA_PRODUCTION(RFLAGSREGUCF, cmpF_cc_reg_CF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+500;
        DFA_PRODUCTION(RFLAGSREGU, cmpF_cc_reg_rule, c)
    }
}
void  State::_sub_Op_CmpF3(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+275;
        DFA_PRODUCTION(RREGI, cmpF_imm_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, cmpF_imm_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpF_imm_rule, c)
        DFA_PRODUCTION(RBX_REGI, cmpF_imm_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpF_imm_rule, c)
        DFA_PRODUCTION(RCX_REGI, cmpF_imm_rule, c)
        DFA_PRODUCTION(RDX_REGI, cmpF_imm_rule, c)
        DFA_PRODUCTION(RDI_REGI, cmpF_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+275;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmpF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmpF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmpF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmpF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmpF_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+275;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmpF_reg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADB_MEMORY__IMMI8) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADB_MEMORY__IMMI8]+_kids[1]->_cost[IMMI_0]+125;
        DFA_PRODUCTION(RFLAGSREG, testB_mem_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADUB_MEMORY__IMMU7) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADUB_MEMORY__IMMU7]+_kids[1]->_cost[IMMI_0]+125;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testUB_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+_kids[1]->_cost[IMMI8]+125;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, compB_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADI_MEMORY__RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADI_MEMORY__RREGI]+_kids[1]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testI_reg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI__LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI__LOADI_MEMORY_]+_kids[1]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testI_reg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI_RREGI]+_kids[1]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testI_reg_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI_IMMI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI_IMMI]+_kids[1]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testI_reg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testI_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, compI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, compI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, compI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _ANDL__LOADL_MEMORY___CASTP2X_RREGP_) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[_ANDL__LOADL_MEMORY___CASTP2X_RREGP_]+_kids[1]->_cost[IMML0]+100;
        DFA_PRODUCTION(RFLAGSREG, testL_reg_mem2_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDL__CASTP2X_RREGP___LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[_ANDL__CASTP2X_RREGP___LOADL_MEMORY_]+_kids[1]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testL_reg_mem2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDL__LOADL_MEMORY__RREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[_ANDL__LOADL_MEMORY__RREGL]+_kids[1]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testL_reg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDL_RREGL__LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[_ANDL_RREGL__LOADL_MEMORY_]+_kids[1]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testL_reg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDL_RREGL_RREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[_ANDL_RREGL_RREGL]+_kids[1]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testL_reg_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDL_RREGL_IMML32) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[_ANDL_RREGL_IMML32]+_kids[1]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testL_reg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testL_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, compL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, compL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, compL_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpL3(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+275;
        DFA_PRODUCTION(RREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, cmpL3_reg_reg_rule, c)
    }
}
void  State::_sub_Op_CmpLTMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_CMPLTMASK_RREGI_RREGI, _CmpLTMask_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_0]+100;
        DFA_PRODUCTION(RREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(RBX_REGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(RCX_REGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(RDX_REGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(RDI_REGI, cmpLTMask0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+400;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, cmpLTMask_rule, c)
      }
    }
}
void  State::_sub_Op_CmpP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADP_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMP0) &&
        (
#line 122 "src/hotspot/cpu/x86/gc/z/z_x86_64.ad"
UseZGC && ZGenerational && n->in(1)->as_Load()->barrier_data() != 0
#line 6463 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADP_MEMORY_]+_kids[1]->_cost[IMMP0]+500;
        DFA_PRODUCTION(RFLAGSREG, zLoadPNullCheck_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _PARTIALSUBTYPECHECK_RSI_REGP_RAX_REGP) && STATE__VALID_CHILD(_kids[1], IMMP0) ) {
      unsigned int c = _kids[0]->_cost[_PARTIALSUBTYPECHECK_RSI_REGP_RAX_REGP]+_kids[1]->_cost[IMMP0]+1000;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, partialSubtypeCheck_vs_Zero_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADP_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMP0) &&
        (
#line 12581 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL) &&
            n->in(1)->as_Load()->barrier_data() == 0
#line 6479 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADP_MEMORY_]+_kids[1]->_cost[IMMP0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testP_mem_reg0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADP_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMP0) &&
        (
#line 12567 "src/hotspot/cpu/x86/x86_64.ad"
(!UseCompressedOops || (CompressedOops::base() != NULL)) &&
            n->in(1)->as_Load()->barrier_data() == 0
#line 6491 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADP_MEMORY_]+_kids[1]->_cost[IMMP0]+500;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testP_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], IMMP0) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[IMMP0]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, testP_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], _LOADP_MEMORY_) &&
        (
#line 12539 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->in(2)->bottom_type()->reloc() == relocInfo::none &&
            n->in(2)->as_Load()->barrier_data() == 0
#line 6509 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[_LOADP_MEMORY_]+100;
        DFA_PRODUCTION(RFLAGSREGU, compP_mem_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], _LOADP_MEMORY_) &&
        (
#line 12512 "src/hotspot/cpu/x86/x86_64.ad"
n->in(2)->as_Load()->barrier_data() == 0
#line 6518 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[_LOADP_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compP_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[RREGP]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compP_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpU(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_0]+100;
        DFA_PRODUCTION(RFLAGSREGU, testU_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compU_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compU_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compU_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpU3(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+275;
        DFA_PRODUCTION(RREGI, cmpU3_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, cmpU3_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpU3_reg_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, cmpU3_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpU3_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, cmpU3_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, cmpU3_reg_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, cmpU3_reg_reg_rule, c)
    }
}
void  State::_sub_Op_CmpUL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML0]+100;
        DFA_PRODUCTION(RFLAGSREGU, testUL_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compUL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compUL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, compUL_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpUL3(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+275;
        DFA_PRODUCTION(RREGI, cmpUL3_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, cmpUL3_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, cmpUL3_reg_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, cmpUL3_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, cmpUL3_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, cmpUL3_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, cmpUL3_reg_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, cmpUL3_reg_reg_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapB_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapS_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapI_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGL_RREGL) &&
        (
#line 8107 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_cx8()
#line 6655 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGL_RREGL]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapL_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 196 "src/hotspot/cpu/x86/gc/z/z_x86_64.ad"
UseZGC && ZGenerational && n->as_LoadStore()->barrier_data() != 0
#line 6674 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
        DFA_PRODUCTION(RREGI, zCompareAndSwapP_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, zCompareAndSwapP_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, zCompareAndSwapP_rule, c)
        DFA_PRODUCTION(RBX_REGI, zCompareAndSwapP_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, zCompareAndSwapP_rule, c)
        DFA_PRODUCTION(RCX_REGI, zCompareAndSwapP_rule, c)
        DFA_PRODUCTION(RDX_REGI, zCompareAndSwapP_rule, c)
        DFA_PRODUCTION(RDI_REGI, zCompareAndSwapP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 124 "src/hotspot/cpu/x86/gc/x/x_x86_64.ad"
UseZGC && !ZGenerational && n->as_LoadStore()->barrier_data() == XLoadBarrierStrong
#line 6691 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xCompareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, xCompareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, xCompareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, xCompareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xCompareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, xCompareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, xCompareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, xCompareAndSwapP_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 8084 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_cx8() && n->as_LoadStore()->barrier_data() == 0
#line 6726 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, compareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, compareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, compareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, compareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, compareAndSwapP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, compareAndSwapP_rule, c)
      }
    }
}
void  State::_sub_Op_CompareAndSwapN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGN_RREGN]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapN_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapN_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapN_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapN_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapN_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapN_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapN_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapN_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapB_0_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapS_0_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapI_0_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGL_RREGL) &&
        (
#line 8107 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_cx8()
#line 6819 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGL_RREGL]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapL_0_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 196 "src/hotspot/cpu/x86/gc/z/z_x86_64.ad"
UseZGC && ZGenerational && n->as_LoadStore()->barrier_data() != 0
#line 6838 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
        DFA_PRODUCTION(RREGI, zCompareAndSwapP_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, zCompareAndSwapP_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, zCompareAndSwapP_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, zCompareAndSwapP_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, zCompareAndSwapP_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, zCompareAndSwapP_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, zCompareAndSwapP_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, zCompareAndSwapP_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 124 "src/hotspot/cpu/x86/gc/x/x_x86_64.ad"
UseZGC && !ZGenerational && n->as_LoadStore()->barrier_data() == XLoadBarrierStrong
#line 6855 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xCompareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, xCompareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, xCompareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, xCompareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xCompareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, xCompareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, xCompareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, xCompareAndSwapP_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 8084 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_cx8() && n->as_LoadStore()->barrier_data() == 0
#line 6890 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, compareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, compareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, compareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, compareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, compareAndSwapP_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, compareAndSwapP_0_rule, c)
      }
    }
}
void  State::_sub_Op_WeakCompareAndSwapN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGN_RREGN]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapN_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapN_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapN_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapN_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapN_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapN_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapN_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapN_0_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RAX_REGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(RREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndExchangeB_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RAX_REGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(RREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndExchangeS_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGI_RREGI]+100;
        DFA_PRODUCTION(RAX_REGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(RREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndExchangeI_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGL_RREGL) &&
        (
#line 8268 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_cx8()
#line 6983 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGL_RREGL]+100;
        DFA_PRODUCTION(RAX_REGL, compareAndExchangeL_rule, c)
        DFA_PRODUCTION(RREGL, compareAndExchangeL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, compareAndExchangeL_rule, c)
        DFA_PRODUCTION(RCX_REGL, compareAndExchangeL_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, compareAndExchangeL_rule, c)
        DFA_PRODUCTION(RDX_REGL, compareAndExchangeL_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_NO_RAX_REGP) &&
        (
#line 173 "src/hotspot/cpu/x86/gc/z/z_x86_64.ad"
UseZGC && ZGenerational && n->as_LoadStore()->barrier_data() != 0
#line 7000 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+_kids[1]->_cost[_BINARY_RAX_REGP_NO_RAX_REGP]+100;
        DFA_PRODUCTION(RAX_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(ANY_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(INDIRECT, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RREGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(RBX_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(RSI_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(RBP_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(RDI_REGP, zCompareAndExchangeP_rule, c)
        DFA_PRODUCTION(R15_REGP, zCompareAndExchangeP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 107 "src/hotspot/cpu/x86/gc/x/x_x86_64.ad"
UseZGC && !ZGenerational && n->as_LoadStore()->barrier_data() == XLoadBarrierStrong
#line 7022 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, xCompareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, xCompareAndExchangeP_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 8302 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_cx8() && n->as_LoadStore()->barrier_data() == 0
#line 7072 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, compareAndExchangeP_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, compareAndExchangeP_rule, c)
      }
    }
}
void  State::_sub_Op_CompareAndExchangeN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGN_RREGN]+100;
        DFA_PRODUCTION(RAX_REGN, compareAndExchangeN_rule, c)
    }
}
void  State::_sub_Op_GetAndAddB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xaddB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, xaddB_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, xaddB_rule, c)
        DFA_PRODUCTION(RBX_REGI, xaddB_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xaddB_rule, c)
        DFA_PRODUCTION(RCX_REGI, xaddB_rule, c)
        DFA_PRODUCTION(RDX_REGI, xaddB_rule, c)
        DFA_PRODUCTION(RDI_REGI, xaddB_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 8316 "src/hotspot/cpu/x86/x86_64.ad"
n->as_LoadStore()->result_not_used()
#line 7142 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(UNIVERSE, xaddB_no_res_rule, c)
    }
}
void  State::_sub_Op_GetAndAddS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xaddS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, xaddS_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, xaddS_rule, c)
        DFA_PRODUCTION(RBX_REGI, xaddS_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xaddS_rule, c)
        DFA_PRODUCTION(RCX_REGI, xaddS_rule, c)
        DFA_PRODUCTION(RDX_REGI, xaddS_rule, c)
        DFA_PRODUCTION(RDI_REGI, xaddS_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 8339 "src/hotspot/cpu/x86/x86_64.ad"
n->as_LoadStore()->result_not_used()
#line 7165 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(UNIVERSE, xaddS_no_res_rule, c)
    }
}
void  State::_sub_Op_GetAndAddI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xaddI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, xaddI_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, xaddI_rule, c)
        DFA_PRODUCTION(RBX_REGI, xaddI_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xaddI_rule, c)
        DFA_PRODUCTION(RCX_REGI, xaddI_rule, c)
        DFA_PRODUCTION(RDX_REGI, xaddI_rule, c)
        DFA_PRODUCTION(RDI_REGI, xaddI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 8362 "src/hotspot/cpu/x86/x86_64.ad"
n->as_LoadStore()->result_not_used()
#line 7188 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(UNIVERSE, xaddI_no_res_rule, c)
    }
}
void  State::_sub_Op_GetAndAddL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGL, xaddL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, xaddL_rule, c)
        DFA_PRODUCTION(RAX_REGL, xaddL_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, xaddL_rule, c)
        DFA_PRODUCTION(RCX_REGL, xaddL_rule, c)
        DFA_PRODUCTION(RDX_REGL, xaddL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMML32) &&
        (
#line 8385 "src/hotspot/cpu/x86/x86_64.ad"
n->as_LoadStore()->result_not_used()
#line 7209 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMML32]+100;
        DFA_PRODUCTION(UNIVERSE, xaddL_no_res_rule, c)
    }
}
void  State::_sub_Op_GetAndSetB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xchgB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, xchgB_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, xchgB_rule, c)
        DFA_PRODUCTION(RBX_REGI, xchgB_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xchgB_rule, c)
        DFA_PRODUCTION(RCX_REGI, xchgB_rule, c)
        DFA_PRODUCTION(RDX_REGI, xchgB_rule, c)
        DFA_PRODUCTION(RDI_REGI, xchgB_rule, c)
    }
}
void  State::_sub_Op_GetAndSetS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xchgS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, xchgS_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, xchgS_rule, c)
        DFA_PRODUCTION(RBX_REGI, xchgS_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xchgS_rule, c)
        DFA_PRODUCTION(RCX_REGI, xchgS_rule, c)
        DFA_PRODUCTION(RDX_REGI, xchgS_rule, c)
        DFA_PRODUCTION(RDI_REGI, xchgS_rule, c)
    }
}
void  State::_sub_Op_GetAndSetI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xchgI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, xchgI_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, xchgI_rule, c)
        DFA_PRODUCTION(RBX_REGI, xchgI_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xchgI_rule, c)
        DFA_PRODUCTION(RCX_REGI, xchgI_rule, c)
        DFA_PRODUCTION(RDX_REGI, xchgI_rule, c)
        DFA_PRODUCTION(RDI_REGI, xchgI_rule, c)
    }
}
void  State::_sub_Op_GetAndSetL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGL, xchgL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, xchgL_rule, c)
        DFA_PRODUCTION(RAX_REGL, xchgL_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, xchgL_rule, c)
        DFA_PRODUCTION(RCX_REGL, xchgL_rule, c)
        DFA_PRODUCTION(RDX_REGL, xchgL_rule, c)
    }
}
void  State::_sub_Op_GetAndSetP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) && STATE__VALID_CHILD(_kids[1], RREGP) &&
        (
#line 220 "src/hotspot/cpu/x86/gc/z/z_x86_64.ad"
UseZGC && ZGenerational && n->as_LoadStore()->barrier_data() != 0
#line 7274 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+_kids[1]->_cost[RREGP]+100;
        DFA_PRODUCTION(RREGP, zXChgP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(INDIRECT, zXChgP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(RBX_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(RSI_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(RBP_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(RDI_REGP, zXChgP_rule, c)
        DFA_PRODUCTION(R15_REGP, zXChgP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], INDIRECT) && STATE__VALID_CHILD(_kids[1], RREGP) &&
        (
#line 147 "src/hotspot/cpu/x86/gc/x/x_x86_64.ad"
UseZGC && !ZGenerational && n->as_LoadStore()->barrier_data() != 0
#line 7296 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[INDIRECT]+_kids[1]->_cost[RREGP]+100;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, xXChgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, xXChgP_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGP) &&
        (
#line 8445 "src/hotspot/cpu/x86/x86_64.ad"
n->as_LoadStore()->barrier_data() == 0
#line 7346 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGP]+100;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, xchgP_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, xchgP_rule, c)
      }
    }
}
void  State::_sub_Op_GetAndSetN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGN]+100;
        DFA_PRODUCTION(RREGN, xchgN_rule, c)
        DFA_PRODUCTION(RAX_REGN, xchgN_rule, c)
    }
}
void  State::_sub_Op_ConN(const Node *n){
    if(         
#line 3087 "src/hotspot/cpu/x86/x86_64.ad"
n->get_narrowcon() == 0
#line 7404 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMN0, immN0_rule, c)
        DFA_PRODUCTION(RREGN, loadConN0_rule, c+100)
        DFA_PRODUCTION(RAX_REGN, loadConN0_rule, c+100)
    }
    {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMN, immN_rule, c)
      if (STATE__NOT_YET_VALID(RREGN) || _cost[RREGN] > c+125) {
        DFA_PRODUCTION(RREGN, loadConN_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RAX_REGN) || _cost[RAX_REGN] > c+125) {
        DFA_PRODUCTION(RAX_REGN, loadConN_rule, c+125)
      }
    }
   if ( /* RREGN KNOWN_VALID || */ _cost[RREGN] > 125) {
     DFA_PRODUCTION(RREGN, loadConN_rule, 125)
   }
   if ( /* RAX_REGN KNOWN_VALID || */ _cost[RAX_REGN] > 125) {
     DFA_PRODUCTION(RAX_REGN, loadConN_rule, 125)
   }
}
void  State::_sub_Op_ConNKlass(const Node *n){
    {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMNKLASS, immNKlass_rule, c)
        DFA_PRODUCTION(RREGN, loadConNKlass_rule, c+125)
        DFA_PRODUCTION(RAX_REGN, loadConNKlass_rule, c+125)
    }
     DFA_PRODUCTION(RREGN, loadConNKlass_rule, 125)	  // overwrites higher cost rule
     DFA_PRODUCTION(RAX_REGN, loadConNKlass_rule, 125)	  // overwrites higher cost rule
}
void  State::_sub_Op_ConD(const Node *n){
    {
      unsigned int c = 15;
        DFA_PRODUCTION(IMMD, immD_rule, c)
        DFA_PRODUCTION(REGD, loadConD_rule, c+125)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+125+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+125+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+125+95)
    }
    if(         
#line 3270 "src/hotspot/cpu/x86/x86_64.ad"
jlong_cast(n->getd()) == 0
#line 7450 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMD0, immD0_rule, c)
        DFA_PRODUCTION(REGD, loadConD0_rule, c+100)	  // overwrites higher cost rule
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)	  // overwrites higher cost rule
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100+100)	  // overwrites higher cost rule
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)	  // overwrites higher cost rule
    }
   if ( /* REGD KNOWN_VALID || */ _cost[REGD] > 125) {
     DFA_PRODUCTION(REGD, loadConD_rule, 125)
   }
   if ( /* VLREGD KNOWN_VALID || */ _cost[VLREGD] > 125+100) {
     DFA_PRODUCTION(VLREGD, MoveD2VL_rule, 125+100)
   }
   if ( /* LEGREGD KNOWN_VALID || */ _cost[LEGREGD] > 125+100) {
     DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, 125+100)
   }
   if ( /* STACKSLOTD KNOWN_VALID || */ _cost[STACKSLOTD] > 125+95) {
     DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, 125+95)
   }
}
void  State::_sub_Op_ConF(const Node *n){
    {
      unsigned int c = 15;
        DFA_PRODUCTION(IMMF, immF_rule, c)
        DFA_PRODUCTION(REGF, loadConF_rule, c+125)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+125+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+125+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+125+95)
    }
    if(         
#line 3249 "src/hotspot/cpu/x86/x86_64.ad"
jint_cast(n->getf()) == 0
#line 7484 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMF0, immF0_rule, c)
        DFA_PRODUCTION(REGF, loadConF0_rule, c+100)	  // overwrites higher cost rule
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)	  // overwrites higher cost rule
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100+100)	  // overwrites higher cost rule
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)	  // overwrites higher cost rule
    }
   if ( /* REGF KNOWN_VALID || */ _cost[REGF] > 125) {
     DFA_PRODUCTION(REGF, loadConF_rule, 125)
   }
   if ( /* VLREGF KNOWN_VALID || */ _cost[VLREGF] > 125+100) {
     DFA_PRODUCTION(VLREGF, MoveF2VL_rule, 125+100)
   }
   if ( /* LEGREGF KNOWN_VALID || */ _cost[LEGREGF] > 125+100) {
     DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, 125+100)
   }
   if ( /* STACKSLOTF KNOWN_VALID || */ _cost[STACKSLOTF] > 125+95) {
     DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, 125+95)
   }
}
void  State::_sub_Op_ConI(const Node *n){
    int _n_get_int__ = n->get_int();
    if(         
#line 3322 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 65535
#line 7511 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_65535, immI_65535_rule, c)
    }
    if(         
#line 3312 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 255
#line 7519 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_255, immI_255_rule, c)
    }
    if(         
#line 3302 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 24
#line 7527 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_24, immI_24_rule, c)
    }
    if(         
#line 3293 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 16
#line 7535 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_16, immI_16_rule, c)
    }
    if(         
#line 3237 "src/hotspot/cpu/x86/x86_64.ad"
(_n_get_int__ > 0)
            && is_power_of_2((juint)n->get_int() + 1)
#line 7544 "dfa_x86.cpp"
 ) {
      unsigned int c = 20;
        DFA_PRODUCTION(IMMI_POW2M1, immI_Pow2M1_rule, c)
    }
    if(         
#line 3039 "src/hotspot/cpu/x86/x86_64.ad"
 _n_get_int__ == 64 
#line 7552 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_64, immI_64_rule, c)
    }
    if(         
#line 3028 "src/hotspot/cpu/x86/x86_64.ad"
 _n_get_int__ == 32 
#line 7560 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_32, immI_32_rule, c)
    }
    if(         
#line 3017 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ >= 0
#line 7568 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMU31, immU31_rule, c)
    }
    if(         
#line 3006 "src/hotspot/cpu/x86/x86_64.ad"
(-32768 <= _n_get_int__) && (_n_get_int__ <= 32767)
#line 7576 "dfa_x86.cpp"
 ) {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMI16, immI16_rule, c)
    }
    if(         
#line 2996 "src/hotspot/cpu/x86/x86_64.ad"
(0 <= _n_get_int__) && (_n_get_int__ <= 255)
#line 7584 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMU8, immU8_rule, c)
    }
    if(         
#line 2986 "src/hotspot/cpu/x86/x86_64.ad"
(-0x80 <= _n_get_int__) && (_n_get_int__ < 0x80)
#line 7592 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMI8, immI8_rule, c)
    }
    if(         
#line 2976 "src/hotspot/cpu/x86/x86_64.ad"
(0 <= _n_get_int__) && (_n_get_int__ <= 0x7F)
#line 7600 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMU7, immU7_rule, c)
    }
    if(         
#line 2967 "src/hotspot/cpu/x86/x86_64.ad"
0 <= _n_get_int__ && (_n_get_int__ <= 3)
#line 7608 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI2, immI2_rule, c)
    }
    if(         
#line 2956 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 8
#line 7616 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_8, immI_8_rule, c)
    }
    if(         
#line 2946 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 4
#line 7624 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_4, immI_4_rule, c)
    }
    if(         
#line 2936 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 2
#line 7632 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_2, immI_2_rule, c)
    }
    if(         
#line 2926 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == -1
#line 7640 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_M1, immI_M1_rule, c)
    }
    if(         
#line 2915 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 1
#line 7648 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_1, immI_1_rule, c)
    }
    if(         
#line 2904 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_int__ == 0
#line 7656 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_0, immI_0_rule, c)
        DFA_PRODUCTION(RREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+50+100)
        DFA_PRODUCTION(RAX_REGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(RBX_REGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(RCX_REGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(RDX_REGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(RDI_REGI, loadConI0_rule, c+50)
    }
    {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMI, immI_rule, c)
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c+100) {
        DFA_PRODUCTION(RREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c+100) {
        DFA_PRODUCTION(RAX_REGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c+100) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c+100) {
        DFA_PRODUCTION(RBX_REGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c+100) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c+100) {
        DFA_PRODUCTION(RCX_REGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c+100) {
        DFA_PRODUCTION(RDX_REGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c+100) {
        DFA_PRODUCTION(RDI_REGI, loadConI_rule, c+100)
      }
    }
   if ( /* RREGI KNOWN_VALID || */ _cost[RREGI] > 100) {
     DFA_PRODUCTION(RREGI, loadConI_rule, 100)
   }
   if ( /* STACKSLOTI KNOWN_VALID || */ _cost[STACKSLOTI] > 100+100) {
     DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, 100+100)
   }
   if ( /* RAX_REGI KNOWN_VALID || */ _cost[RAX_REGI] > 100) {
     DFA_PRODUCTION(RAX_REGI, loadConI_rule, 100)
   }
   if ( /* NO_RBP_R13_REGI KNOWN_VALID || */ _cost[NO_RBP_R13_REGI] > 100) {
     DFA_PRODUCTION(NO_RBP_R13_REGI, loadConI_rule, 100)
   }
   if ( /* RBX_REGI KNOWN_VALID || */ _cost[RBX_REGI] > 100) {
     DFA_PRODUCTION(RBX_REGI, loadConI_rule, 100)
   }
   if ( /* NO_RAX_RDX_REGI KNOWN_VALID || */ _cost[NO_RAX_RDX_REGI] > 100) {
     DFA_PRODUCTION(NO_RAX_RDX_REGI, loadConI_rule, 100)
   }
   if ( /* RCX_REGI KNOWN_VALID || */ _cost[RCX_REGI] > 100) {
     DFA_PRODUCTION(RCX_REGI, loadConI_rule, 100)
   }
   if ( /* RDX_REGI KNOWN_VALID || */ _cost[RDX_REGI] > 100) {
     DFA_PRODUCTION(RDX_REGI, loadConI_rule, 100)
   }
   if ( /* RDI_REGI KNOWN_VALID || */ _cost[RDI_REGI] > 100) {
     DFA_PRODUCTION(RDI_REGI, loadConI_rule, 100)
   }
}
void  State::_sub_Op_ConL(const Node *n){
    jlong _n_get_long__ = n->get_long();
    if(         
#line 3342 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == 65535
#line 7734 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML_65535, immL_65535_rule, c)
    }
    if(         
#line 3332 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == 255
#line 7742 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML_255, immL_255_rule, c)
    }
    if(         
#line 3226 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == 0xFFFFFFFFL
#line 7750 "dfa_x86.cpp"
 ) {
      unsigned int c = 20;
        DFA_PRODUCTION(IMML_32BITS, immL_32bits_rule, c)
    }
    if(         
#line 3215 "src/hotspot/cpu/x86/x86_64.ad"
0 <= _n_get_long__ && _n_get_long__ < 0x80
#line 7758 "dfa_x86.cpp"
 ) {
      unsigned int c = 10;
        DFA_PRODUCTION(IMML_127, immL_127_rule, c)
    }
    if(         
#line 3204 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == 10
#line 7766 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML10, immL10_rule, c)
    }
    if(         
#line 3194 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == -1
#line 7774 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML_M1, immL_M1_rule, c)
    }
    if(         
#line 3184 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == 1
#line 7782 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML1, immL1_rule, c)
    }
    if(         
#line 3173 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == 0L
#line 7790 "dfa_x86.cpp"
 ) {
      unsigned int c = 10;
        DFA_PRODUCTION(IMML0, immL0_rule, c)
        DFA_PRODUCTION(RREGL, loadConL0_rule, c+50)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+50+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadConL0_rule, c+50)
        DFA_PRODUCTION(RAX_REGL, loadConL0_rule, c+50)
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadConL0_rule, c+50)
        DFA_PRODUCTION(RCX_REGL, loadConL0_rule, c+50)
        DFA_PRODUCTION(RDX_REGL, loadConL0_rule, c+50)
    }
    if(         
#line 3162 "src/hotspot/cpu/x86/x86_64.ad"
is_power_of_2((julong)~n->get_long())
#line 7805 "dfa_x86.cpp"
 ) {
      unsigned int c = 15;
        DFA_PRODUCTION(IMML_NOTPOW2, immL_NotPow2_rule, c)
    }
    if(         
#line 3152 "src/hotspot/cpu/x86/x86_64.ad"
is_power_of_2((julong)n->get_long())
#line 7813 "dfa_x86.cpp"
 ) {
      unsigned int c = 15;
        DFA_PRODUCTION(IMML_POW2, immL_Pow2_rule, c)
    }
    if(         
#line 3142 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == (int) (_n_get_long__)
#line 7821 "dfa_x86.cpp"
 ) {
      unsigned int c = 15;
        DFA_PRODUCTION(IMML32, immL32_rule, c)
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c+70) {
        DFA_PRODUCTION(RREGL, loadConL32_rule, c+70)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+70+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+70+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c+70) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadConL32_rule, c+70)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c+70) {
        DFA_PRODUCTION(RAX_REGL, loadConL32_rule, c+70)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c+70) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadConL32_rule, c+70)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c+70) {
        DFA_PRODUCTION(RCX_REGL, loadConL32_rule, c+70)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c+70) {
        DFA_PRODUCTION(RDX_REGL, loadConL32_rule, c+70)
      }
    }
    if(         
#line 3131 "src/hotspot/cpu/x86/x86_64.ad"
_n_get_long__ == (unsigned int) (_n_get_long__)
#line 7850 "dfa_x86.cpp"
 ) {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMUL32, immUL32_rule, c)
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c+60) {
        DFA_PRODUCTION(RREGL, loadConUL32_rule, c+60)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+60+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+60+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c+60) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadConUL32_rule, c+60)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c+60) {
        DFA_PRODUCTION(RAX_REGL, loadConUL32_rule, c+60)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c+60) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadConUL32_rule, c+60)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c+60) {
        DFA_PRODUCTION(RCX_REGL, loadConUL32_rule, c+60)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c+60) {
        DFA_PRODUCTION(RDX_REGL, loadConUL32_rule, c+60)
      }
    }
    if(         
#line 3120 "src/hotspot/cpu/x86/x86_64.ad"
-0x80L <= _n_get_long__ && _n_get_long__ < 0x80L
#line 7879 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMML8, immL8_rule, c)
    }
    {
      unsigned int c = 20;
        DFA_PRODUCTION(IMML, immL_rule, c)
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c+150) {
        DFA_PRODUCTION(RREGL, loadConL_rule, c+150)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+150+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+150+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c+150) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadConL_rule, c+150)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c+150) {
        DFA_PRODUCTION(RAX_REGL, loadConL_rule, c+150)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c+150) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadConL_rule, c+150)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c+150) {
        DFA_PRODUCTION(RCX_REGL, loadConL_rule, c+150)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c+150) {
        DFA_PRODUCTION(RDX_REGL, loadConL_rule, c+150)
      }
    }
   if ( /* RREGL KNOWN_VALID || */ _cost[RREGL] > 150) {
     DFA_PRODUCTION(RREGL, loadConL_rule, 150)
   }
   if ( /* STACKSLOTL KNOWN_VALID || */ _cost[STACKSLOTL] > 150+100) {
     DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, 150+100)
   }
   if ( /* NO_RAX_RDX_REGL KNOWN_VALID || */ _cost[NO_RAX_RDX_REGL] > 150) {
     DFA_PRODUCTION(NO_RAX_RDX_REGL, loadConL_rule, 150)
   }
   if ( /* RAX_REGL KNOWN_VALID || */ _cost[RAX_REGL] > 150) {
     DFA_PRODUCTION(RAX_REGL, loadConL_rule, 150)
   }
   if ( /* NO_RBP_R13_REGL KNOWN_VALID || */ _cost[NO_RBP_R13_REGL] > 150) {
     DFA_PRODUCTION(NO_RBP_R13_REGL, loadConL_rule, 150)
   }
   if ( /* RCX_REGL KNOWN_VALID || */ _cost[RCX_REGL] > 150) {
     DFA_PRODUCTION(RCX_REGL, loadConL_rule, 150)
   }
   if ( /* RDX_REGL KNOWN_VALID || */ _cost[RDX_REGL] > 150) {
     DFA_PRODUCTION(RDX_REGL, loadConL_rule, 150)
   }
}
void  State::_sub_Op_ConP(const Node *n){
    if(         
#line 3097 "src/hotspot/cpu/x86/x86_64.ad"
n->as_Type()->type()->reloc() == relocInfo::none
            && (n->get_ptr() >> 31) == 0
#line 7936 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMP31, immP31_rule, c)
        DFA_PRODUCTION(RREGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+60+100)
        DFA_PRODUCTION(ANY_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(INDIRECT, loadConP31_rule, c+60)
        DFA_PRODUCTION(MEMORY, indirect_rule, c+60)
        DFA_PRODUCTION(RAX_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(RBX_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(NO_RAX_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(NO_RBP_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(RSI_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(RBP_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(RDI_REGP, loadConP31_rule, c+60)
        DFA_PRODUCTION(R15_REGP, loadConP31_rule, c+60)
    }
    if(         
#line 3060 "src/hotspot/cpu/x86/x86_64.ad"
n->get_ptr() == 0
#line 7958 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMP0, immP0_rule, c)
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+50) {
        DFA_PRODUCTION(RREGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+50+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+50+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+50) {
        DFA_PRODUCTION(ANY_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+50) {
        DFA_PRODUCTION(INDIRECT, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+50) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+50) {
        DFA_PRODUCTION(RAX_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+50) {
        DFA_PRODUCTION(RBX_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+50) {
        DFA_PRODUCTION(NO_RAX_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+50) {
        DFA_PRODUCTION(NO_RBP_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+50) {
        DFA_PRODUCTION(RSI_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+50) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+50) {
        DFA_PRODUCTION(RBP_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+50) {
        DFA_PRODUCTION(RDI_REGP, loadConP0_rule, c+50)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+50) {
        DFA_PRODUCTION(R15_REGP, loadConP0_rule, c+50)
      }
    }
    {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMP, immP_rule, c)
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+100) {
        DFA_PRODUCTION(RREGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c+100) {
        DFA_PRODUCTION(ANY_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+100) {
        DFA_PRODUCTION(INDIRECT, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+100) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c+100) {
        DFA_PRODUCTION(RAX_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c+100) {
        DFA_PRODUCTION(RBX_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c+100) {
        DFA_PRODUCTION(NO_RAX_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c+100) {
        DFA_PRODUCTION(NO_RBP_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c+100) {
        DFA_PRODUCTION(RSI_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c+100) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c+100) {
        DFA_PRODUCTION(RBP_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c+100) {
        DFA_PRODUCTION(RDI_REGP, loadConP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c+100) {
        DFA_PRODUCTION(R15_REGP, loadConP_rule, c+100)
      }
    }
   if ( /* RREGP KNOWN_VALID || */ _cost[RREGP] > 100) {
     DFA_PRODUCTION(RREGP, loadConP_rule, 100)
   }
   if ( /* STACKSLOTP KNOWN_VALID || */ _cost[STACKSLOTP] > 100+100) {
     DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, 100+100)
   }
   if ( /* ANY_REGP KNOWN_VALID || */ _cost[ANY_REGP] > 100) {
     DFA_PRODUCTION(ANY_REGP, loadConP_rule, 100)
   }
   if ( /* INDIRECT KNOWN_VALID || */ _cost[INDIRECT] > 100) {
     DFA_PRODUCTION(INDIRECT, loadConP_rule, 100)
   }
   if ( /* MEMORY KNOWN_VALID || */ _cost[MEMORY] > 100) {
     DFA_PRODUCTION(MEMORY, indirect_rule, 100)
   }
   if ( /* RAX_REGP KNOWN_VALID || */ _cost[RAX_REGP] > 100) {
     DFA_PRODUCTION(RAX_REGP, loadConP_rule, 100)
   }
   if ( /* RBX_REGP KNOWN_VALID || */ _cost[RBX_REGP] > 100) {
     DFA_PRODUCTION(RBX_REGP, loadConP_rule, 100)
   }
   if ( /* NO_RAX_REGP KNOWN_VALID || */ _cost[NO_RAX_REGP] > 100) {
     DFA_PRODUCTION(NO_RAX_REGP, loadConP_rule, 100)
   }
   if ( /* NO_RBP_REGP KNOWN_VALID || */ _cost[NO_RBP_REGP] > 100) {
     DFA_PRODUCTION(NO_RBP_REGP, loadConP_rule, 100)
   }
   if ( /* RSI_REGP KNOWN_VALID || */ _cost[RSI_REGP] > 100) {
     DFA_PRODUCTION(RSI_REGP, loadConP_rule, 100)
   }
   if ( /* NO_RAX_RBX_REGP KNOWN_VALID || */ _cost[NO_RAX_RBX_REGP] > 100) {
     DFA_PRODUCTION(NO_RAX_RBX_REGP, loadConP_rule, 100)
   }
   if ( /* RBP_REGP KNOWN_VALID || */ _cost[RBP_REGP] > 100) {
     DFA_PRODUCTION(RBP_REGP, loadConP_rule, 100)
   }
   if ( /* RDI_REGP KNOWN_VALID || */ _cost[RDI_REGP] > 100) {
     DFA_PRODUCTION(RDI_REGP, loadConP_rule, 100)
   }
   if ( /* R15_REGP KNOWN_VALID || */ _cost[R15_REGP] > 100) {
     DFA_PRODUCTION(R15_REGP, loadConP_rule, 100)
   }
}
void  State::_sub_Op_ConvD2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+100;
        DFA_PRODUCTION(REGF, convD2F_reg_mem_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, convD2F_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_ConvD2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(RREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, convD2I_reg_reg_rule, c)
    }
}
void  State::_sub_Op_ConvD2L(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(RREGL, convD2L_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, convD2L_reg_reg_rule, c)
        DFA_PRODUCTION(RAX_REGL, convD2L_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, convD2L_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGL, convD2L_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGL, convD2L_reg_reg_rule, c)
    }
}
void  State::_sub_Op_ConvF2D(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+100;
        DFA_PRODUCTION(REGD, convF2D_reg_mem_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, convF2D_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_ConvF2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(RREGI, convF2I_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, convF2I_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, convF2I_reg_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, convF2I_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, convF2I_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, convF2I_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, convF2I_reg_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, convF2I_reg_reg_rule, c)
    }
}
void  State::_sub_Op_ConvF2L(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(RREGL, convF2L_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, convF2L_reg_reg_rule, c)
        DFA_PRODUCTION(RAX_REGL, convF2L_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, convF2L_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGL, convF2L_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGL, convF2L_reg_reg_rule, c)
    }
}
void  State::_sub_Op_ConvI2D(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11113 "src/hotspot/cpu/x86/x86_64.ad"
UseXmmI2D
#line 8199 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(REGD, convXI2D_reg_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, convI2D_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11076 "src/hotspot/cpu/x86/x86_64.ad"
!UseXmmI2D
#line 8226 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, convI2D_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_ConvI2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11099 "src/hotspot/cpu/x86/x86_64.ad"
UseXmmI2F
#line 8248 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(REGF, convXI2F_reg_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, convI2F_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11053 "src/hotspot/cpu/x86/x86_64.ad"
!UseXmmI2F
#line 8275 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, convI2F_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_ConvI2L(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+125;
        DFA_PRODUCTION(RREGL, convI2L_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, convI2L_reg_reg_rule, c)
        DFA_PRODUCTION(RAX_REGL, convI2L_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, convI2L_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGL, convI2L_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGL, convI2L_reg_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI_IMMI_POW2M1) &&
        (
#line 9848 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 8307 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI_IMMI_POW2M1]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, convI2LAndI_reg_immIbitmask_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, convI2LAndI_reg_immIbitmask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, convI2LAndI_reg_immIbitmask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, convI2LAndI_reg_immIbitmask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, convI2LAndI_reg_immIbitmask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, convI2LAndI_reg_immIbitmask_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI_IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI_IMMI_65535]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andI2L_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andI2L_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andI2L_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andI2L_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andI2L_rReg_imm65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andI2L_rReg_imm65535_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI_IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI_IMMI_255]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, andI2L_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, andI2L_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, andI2L_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, andI2L_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, andI2L_rReg_imm255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, andI2L_rReg_imm255_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_CONVI2L__LOADI_MEMORY__, _ConvI2L__LoadI_memory___rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADI_MEMORY__IMMU31) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADI_MEMORY__IMMU31]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadI2L_immU31_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadI2L_immU31_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadI2L_immU31_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadI2L_immU31_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadI2L_immU31_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadI2L_immU31_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADI_MEMORY__IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADI_MEMORY__IMMI_65535]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadI2L_immI_65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadI2L_immI_65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadI2L_immI_65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadI2L_immI_65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadI2L_immI_65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadI2L_immI_65535_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADI_MEMORY__IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADI_MEMORY__IMMI_255]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadI2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadI2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadI2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadI2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadI2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadI2L_immI_255_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadI2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADUS_MEMORY__IMMI) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADUS_MEMORY__IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadUS2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadUS2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadUS2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadUS2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadUS2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadUS2L_immI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADUS_MEMORY__IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADUS_MEMORY__IMMI_255]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadUS2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadUS2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadUS2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadUS2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadUS2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadUS2L_immI_255_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUS_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADUS_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadUS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadUS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadUS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadUS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadUS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadUS2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADS_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADS_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadS2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADUB_MEMORY__IMMI) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADUB_MEMORY__IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadUB2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadUB2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadUB2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadUB2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadUB2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadUB2L_immI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUB_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADUB_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadUB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadUB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadUB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadUB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadUB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadUB2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, loadB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, loadB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, loadB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, loadB2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI];
        DFA_PRODUCTION(_CONVI2L_RREGI_, _ConvI2L_rRegI__rule, c)
    }
}
void  State::_sub_Op_ConvL2D(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+100;
        DFA_PRODUCTION(REGD, convL2D_reg_mem_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, convL2D_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_ConvL2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+100;
        DFA_PRODUCTION(REGF, convL2F_reg_mem_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, convL2F_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_ConvL2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGI, convL2I_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, convL2I_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, convL2I_reg_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, convL2I_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, convL2I_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, convL2I_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, convL2I_reg_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, convL2I_reg_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CASTP2X__DECODEN_RREGN__) &&
        (
#line 6960 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0
#line 8718 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_CASTP2X__DECODEN_RREGN__]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, convN2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, convN2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, convN2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, convN2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, convN2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, convN2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, convN2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, convN2I_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _CASTP2X_RREGP_) ) {
      unsigned int c = _kids[0]->_cost[_CASTP2X_RREGP_]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, convP2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, convP2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, convP2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, convP2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, convP2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, convP2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, convP2I_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, convP2I_rule, c)
      }
    }
}
void  State::_sub_Op_ConvF2HF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF];
        DFA_PRODUCTION(_CONVF2HF_REGF_, _ConvF2HF_regF__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+125;
        DFA_PRODUCTION(RREGI, convF2HF_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, convF2HF_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, convF2HF_reg_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, convF2HF_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, convF2HF_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, convF2HF_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, convF2HF_reg_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, convF2HF_reg_reg_rule, c)
    }
}
void  State::_sub_Op_ConvHF2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(REGF, convHF2F_reg_reg_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
}
void  State::_sub_Op_CountedLoopEnd(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], RFLAGSREG) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[RFLAGSREG]+300;
        DFA_PRODUCTION(UNIVERSE, jmpLoopEnd_rule, c)
    }
}
void  State::_sub_Op_CountLeadingZerosI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 6570 "src/hotspot/cpu/x86/x86_64.ad"
!UseCountLeadingZerosInstruction
#line 8818 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(RBX_REGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(RCX_REGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(RDX_REGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(RDI_REGI, countLeadingZerosI_bsr_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) &&
        (
#line 6558 "src/hotspot/cpu/x86/x86_64.ad"
UseCountLeadingZerosInstruction
#line 8835 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+175;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countLeadingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, countLeadingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, countLeadingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, countLeadingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countLeadingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, countLeadingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, countLeadingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, countLeadingZerosI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 6546 "src/hotspot/cpu/x86/x86_64.ad"
UseCountLeadingZerosInstruction
#line 8870 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, countLeadingZerosI_rule, c)
      }
    }
}
void  State::_sub_Op_CountLeadingZerosL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 6619 "src/hotspot/cpu/x86/x86_64.ad"
!UseCountLeadingZerosInstruction
#line 8907 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(RBX_REGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(RCX_REGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(RDX_REGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(RDI_REGI, countLeadingZerosL_bsr_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) &&
        (
#line 6607 "src/hotspot/cpu/x86/x86_64.ad"
UseCountLeadingZerosInstruction
#line 8924 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+175;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countLeadingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, countLeadingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, countLeadingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, countLeadingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countLeadingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, countLeadingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, countLeadingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, countLeadingZerosL_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 6595 "src/hotspot/cpu/x86/x86_64.ad"
UseCountLeadingZerosInstruction
#line 8959 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, countLeadingZerosL_rule, c)
      }
    }
}
void  State::_sub_Op_CountLeadingZerosV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9324 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(1)) != T_INT &&
            !VM_Version::supports_avx512vl() && Matcher::vector_length_in_bytes(n->in(1)) < 64
#line 8997 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcount_leading_zeros_reg_avx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9309 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(1)) == T_INT &&
            !VM_Version::supports_avx512vl() && Matcher::vector_length_in_bytes(n->in(1)) < 64
#line 9008 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcount_leading_zeros_int_reg_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9294 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(1)) == T_BYTE && VM_Version::supports_avx512vlbw()
#line 9022 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcount_leading_zeros_byte_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9278 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(1)) == T_SHORT &&
            VM_Version::supports_avx512cd() &&
            (VM_Version::supports_avx512vl() || Matcher::vector_length_in_bytes(n) == 64)
#line 9038 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcount_leading_zeros_short_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9263 "src/hotspot/cpu/x86/x86.ad"
is_clz_non_subword_predicate_evex(Matcher::vector_element_basic_type(n->in(1)),
                                              Matcher::vector_length_in_bytes(n->in(1)))
#line 9053 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcount_leading_zeros_IL_reg_evex_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9249 "src/hotspot/cpu/x86/x86.ad"
is_clz_non_subword_predicate_evex(Matcher::vector_element_basic_type(n->in(1)),
                                              Matcher::vector_length_in_bytes(n->in(1)))
#line 9068 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcount_leading_zeros_IL_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_CountTrailingZerosI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 6668 "src/hotspot/cpu/x86/x86_64.ad"
!UseCountTrailingZerosInstruction
#line 9084 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(RBX_REGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(RCX_REGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(RDX_REGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(RDI_REGI, countTrailingZerosI_bsf_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) &&
        (
#line 6656 "src/hotspot/cpu/x86/x86_64.ad"
UseCountTrailingZerosInstruction
#line 9101 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+175;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countTrailingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, countTrailingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, countTrailingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, countTrailingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countTrailingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, countTrailingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, countTrailingZerosI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, countTrailingZerosI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 6644 "src/hotspot/cpu/x86/x86_64.ad"
UseCountTrailingZerosInstruction
#line 9136 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, countTrailingZerosI_rule, c)
      }
    }
}
void  State::_sub_Op_CountTrailingZerosL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 6712 "src/hotspot/cpu/x86/x86_64.ad"
!UseCountTrailingZerosInstruction
#line 9173 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(RBX_REGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(RCX_REGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(RDX_REGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(RDI_REGI, countTrailingZerosL_bsf_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) &&
        (
#line 6700 "src/hotspot/cpu/x86/x86_64.ad"
UseCountTrailingZerosInstruction
#line 9190 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+175;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countTrailingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, countTrailingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, countTrailingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, countTrailingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countTrailingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, countTrailingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, countTrailingZerosL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, countTrailingZerosL_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 6688 "src/hotspot/cpu/x86/x86_64.ad"
UseCountTrailingZerosInstruction
#line 9225 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, countTrailingZerosL_rule, c)
      }
    }
}
void  State::_sub_Op_CountTrailingZerosV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8843 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512vl() && Matcher::vector_length_in_bytes(n->in(1)) < 64
#line 9262 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcount_trailing_zeros_reg_avx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8827 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(1)) == T_BYTE && VM_Version::supports_avx512vlbw()
#line 9272 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+400;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcount_trailing_zeros_byte_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8810 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(1)) == T_SHORT &&
            VM_Version::supports_avx512cd() &&
            (VM_Version::supports_avx512vl() || Matcher::vector_length_in_bytes(n) == 64)
#line 9288 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+400;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcount_trailing_zeros_short_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8794 "src/hotspot/cpu/x86/x86.ad"
is_clz_non_subword_predicate_evex(Matcher::vector_element_basic_type(n->in(1)),
                                              Matcher::vector_length_in_bytes(n->in(1)))
#line 9303 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+400;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcount_trailing_zeros_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_CreateEx(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(RAX_REGP, CreateException_rule, c)
        DFA_PRODUCTION(ANY_REGP, CreateException_rule, c)
        DFA_PRODUCTION(INDIRECT, CreateException_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RREGP, CreateException_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(RBX_REGP, CreateException_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, CreateException_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, CreateException_rule, c)
        DFA_PRODUCTION(RSI_REGP, CreateException_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, CreateException_rule, c)
        DFA_PRODUCTION(RBP_REGP, CreateException_rule, c)
        DFA_PRODUCTION(RDI_REGP, CreateException_rule, c)
        DFA_PRODUCTION(R15_REGP, CreateException_rule, c)
    }
}
void  State::_sub_Op_DecodeN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGN) &&
        (
#line 7016 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->is_ptr()->ptr() == TypePtr::NotNull ||
            n->bottom_type()->is_ptr()->ptr() == TypePtr::Constant
#line 9339 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+100;
        DFA_PRODUCTION(RREGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(INDIRECT, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(RBX_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(RSI_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(RBP_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(RDI_REGP, decodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(R15_REGP, decodeHeapOop_not_null_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) &&
        (
#line 6999 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->is_ptr()->ptr() != TypePtr::NotNull &&
            n->bottom_type()->is_ptr()->ptr() != TypePtr::Constant
#line 9362 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+100;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, decodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, decodeHeapOop_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) &&
        
#line 4018 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::shift() == 0
#line 9412 "dfa_x86.cpp"
 ) {
      unsigned int c = _kids[0]->_cost[RREGN];
        DFA_PRODUCTION(INDIRECTNARROW, indirectNarrow_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirectNarrow_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGN) ) {
      unsigned int c = _kids[0]->_cost[RREGN];
        DFA_PRODUCTION(_DECODEN_RREGN_, _DecodeN_rRegN__rule, c)
    }
}
void  State::_sub_Op_DecodeNKlass(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGN) ) {
      unsigned int c = _kids[0]->_cost[RREGN]+100;
        DFA_PRODUCTION(RREGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(INDIRECT, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(RBX_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(RSI_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(RBP_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(RDI_REGP, decodeKlass_not_null_rule, c)
        DFA_PRODUCTION(R15_REGP, decodeKlass_not_null_rule, c)
    }
}
void  State::_sub_Op_DivD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3495 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 9449 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
        DFA_PRODUCTION(REGD, divD_reg_imm_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3483 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 9461 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3471 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 9481 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3460 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 9501 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3448 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 9521 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3436 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 9541 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_DivF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 3424 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 9563 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
        DFA_PRODUCTION(REGF, divF_reg_imm_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 3412 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 9575 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3400 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 9595 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 3389 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 9615 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 3377 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 9635 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3365 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 9655 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_DivI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[NO_RAX_RDX_REGI]+30*100+10*100;
        DFA_PRODUCTION(RAX_REGI, divI_rReg_rule, c)
        DFA_PRODUCTION(RREGI, divI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, divI_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, divI_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, divI_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, divI_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, divI_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, divI_rReg_rule, c)
    }
}
void  State::_sub_Op_DivL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[NO_RAX_RDX_REGL]+30*100+10*100;
        DFA_PRODUCTION(RAX_REGL, divL_rReg_rule, c)
        DFA_PRODUCTION(RREGL, divL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, divL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, divL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, divL_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGL, divL_rReg_rule, c)
    }
}
void  State::_sub_Op_UDivI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[NO_RAX_RDX_REGI]+300;
        DFA_PRODUCTION(RAX_REGI, udivI_rReg_rule, c)
        DFA_PRODUCTION(RREGI, udivI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, udivI_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, udivI_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, udivI_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, udivI_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, udivI_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, udivI_rReg_rule, c)
    }
}
void  State::_sub_Op_UDivL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[NO_RAX_RDX_REGL]+300;
        DFA_PRODUCTION(RAX_REGL, udivL_rReg_rule, c)
        DFA_PRODUCTION(RREGL, udivL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, udivL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, udivL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, udivL_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGL, udivL_rReg_rule, c)
    }
}
void  State::_sub_Op_DivModI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[NO_RAX_RDX_REGI]+30*100+10*100;
        DFA_PRODUCTION(UNIVERSE, divModI_rReg_divmod_rule, c)
    }
}
void  State::_sub_Op_DivModL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[NO_RAX_RDX_REGL]+30*100+10*100;
        DFA_PRODUCTION(UNIVERSE, divModL_rReg_divmod_rule, c)
    }
}
void  State::_sub_Op_UDivModI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[NO_RAX_RDX_REGI]+300;
        DFA_PRODUCTION(UNIVERSE, udivModI_rReg_divmod_rule, c)
    }
}
void  State::_sub_Op_UDivModL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[NO_RAX_RDX_REGL]+300;
        DFA_PRODUCTION(UNIVERSE, udivModL_rReg_divmod_rule, c)
    }
}
void  State::_sub_Op_EncodeISOArray(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], _BINARY_RDI_REGP_RDX_REGI) &&
        (
#line 12175 "src/hotspot/cpu/x86/x86_64.ad"
((EncodeISOArrayNode*)n)->is_ascii()
#line 9753 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[_BINARY_RDI_REGP_RDX_REGI]+100;
        DFA_PRODUCTION(RAX_REGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(RREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(RCX_REGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(RDX_REGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(RDI_REGI, encode_ascii_array_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], _BINARY_RDI_REGP_RDX_REGI) &&
        (
#line 12158 "src/hotspot/cpu/x86/x86_64.ad"
!((EncodeISOArrayNode*)n)->is_ascii()
#line 9770 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[_BINARY_RDI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, encode_iso_array_rule, c)
      }
    }
}
void  State::_sub_Op_EncodeP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGP) &&
        (
#line 6988 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->make_ptr()->ptr() == TypePtr::NotNull
#line 9807 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+100;
        DFA_PRODUCTION(RREGN, encodeHeapOop_not_null_rule, c)
        DFA_PRODUCTION(RAX_REGN, encodeHeapOop_not_null_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) &&
        (
#line 6972 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->make_ptr()->ptr() != TypePtr::NotNull
#line 9817 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+100;
      if (STATE__NOT_YET_VALID(RREGN) || _cost[RREGN] > c) {
        DFA_PRODUCTION(RREGN, encodeHeapOop_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGN) || _cost[RAX_REGN] > c) {
        DFA_PRODUCTION(RAX_REGN, encodeHeapOop_rule, c)
      }
    }
}
void  State::_sub_Op_EncodePKlass(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+100;
        DFA_PRODUCTION(RREGN, encodeKlass_not_null_rule, c)
        DFA_PRODUCTION(RAX_REGN, encodeKlass_not_null_rule, c)
    }
}
void  State::_sub_Op_FastLock(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], RBX_REGP) &&
        (
#line 13291 "src/hotspot/cpu/x86/x86_64.ad"
!Compile::current()->use_rtm()
#line 9840 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[RBX_REGP]+300;
        DFA_PRODUCTION(RFLAGSREG, cmpFastLock_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], RBX_REGP) &&
        (
#line 13275 "src/hotspot/cpu/x86/x86_64.ad"
Compile::current()->use_rtm()
#line 9849 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[RBX_REGP]+300;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, cmpFastLockRTM_rule, c)
      }
    }
}
void  State::_sub_Op_FastUnlock(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGP) && STATE__VALID_CHILD(_kids[1], RAX_REGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+_kids[1]->_cost[RAX_REGP]+300;
        DFA_PRODUCTION(RFLAGSREG, cmpFastUnlock_rule, c)
    }
}
void  State::_sub_Op_FmaD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) &&
        (
#line 3963 "src/hotspot/cpu/x86/x86.ad"
UseFMA
#line 9868 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_BINARY_REGD_REGD]+150;
        DFA_PRODUCTION(REGD, fmaD_reg_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
}
void  State::_sub_Op_FmaF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) &&
        (
#line 3975 "src/hotspot/cpu/x86/x86.ad"
UseFMA
#line 9882 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_BINARY_REGF_REGF]+150;
        DFA_PRODUCTION(REGF, fmaF_reg_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
}
void  State::_sub_Op_Goto(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, jmpDir_rule, c)
    }
}
void  State::_sub_Op_Halt(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(UNIVERSE, ShouldNotReachHere_rule, c)
    }
}
void  State::_sub_Op_CountPositives(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 12078 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && VM_Version::supports_bmi2()
#line 9908 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[RCX_REGI]+100;
        DFA_PRODUCTION(RAX_REGI, count_positives_evex_rule, c)
        DFA_PRODUCTION(RREGI, count_positives_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, count_positives_evex_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, count_positives_evex_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, count_positives_evex_rule, c)
        DFA_PRODUCTION(RCX_REGI, count_positives_evex_rule, c)
        DFA_PRODUCTION(RDX_REGI, count_positives_evex_rule, c)
        DFA_PRODUCTION(RDI_REGI, count_positives_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 12062 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() || !VM_Version::supports_bmi2()
#line 9925 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, count_positives_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, count_positives_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, count_positives_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, count_positives_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, count_positives_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, count_positives_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, count_positives_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, count_positives_rule, c)
      }
    }
}
void  State::_sub_Op_If(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF2) && STATE__VALID_CHILD(_kids[1], RFLAGSREGUCF) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF2]+_kids[1]->_cost[RFLAGSREGUCF]+200;
        DFA_PRODUCTION(UNIVERSE, jmpConUCF2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF) && STATE__VALID_CHILD(_kids[1], RFLAGSREGUCF) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF]+_kids[1]->_cost[RFLAGSREGUCF]+200;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpConUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU) && STATE__VALID_CHILD(_kids[1], RFLAGSREGU) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU]+_kids[1]->_cost[RFLAGSREGU]+300;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpConU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], RFLAGSREG) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[RFLAGSREG]+300;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpCon_rule, c)
      }
    }
}
void  State::_sub_Op_Jump(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+350;
        DFA_PRODUCTION(UNIVERSE, jumpXtnd_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL__LSHIFTL_RREGL_IMMI2_IMML32) ) {
      unsigned int c = _kids[0]->_cost[_ADDL__LSHIFTL_RREGL_IMMI2_IMML32]+350;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jumpXtnd_addr_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTL_RREGL_IMMI2) &&
        (
#line 7059 "src/hotspot/cpu/x86/x86_64.ad"
false
#line 9996 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTL_RREGL_IMMI2]+350;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jumpXtnd_offset_rule, c)
      }
    }
}
void  State::_sub_Op_LShiftI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI2) &&
        (
#line 13661 "src/hotspot/cpu/x86/x86_64.ad"
false
#line 10009 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI2]+100;
        DFA_PRODUCTION(RREGI, leaI_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, leaI_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, leaI_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(RBX_REGI, leaI_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, leaI_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(RCX_REGI, leaI_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(RDX_REGI, leaI_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(RDI_REGI, leaI_rReg_immI2_peep_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_16) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_16];
        DFA_PRODUCTION(_LSHIFTI_RREGI_IMMI_16, _LShiftI_rRegI_immI_16_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_24) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_24];
        DFA_PRODUCTION(_LSHIFTI_RREGI_IMMI_24, _LShiftI_rRegI_immI_24_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9093 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 10034 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+175;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, salI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, salI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, salI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, salI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, salI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, salI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, salI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, salI_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9081 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 10069 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, salI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, salI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, salI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, salI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, salI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, salI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, salI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, salI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RCX_REGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RCX_REGI];
        DFA_PRODUCTION(_LSHIFTI__LOADI_MEMORY__RCX_REGI, _LShiftI__LoadI_memory__rcx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9054 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 10108 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, salI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, salI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, salI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, salI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, salI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, salI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, salI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, salI_rReg_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_LSHIFTI__LOADI_MEMORY__IMMI8, _LShiftI__LoadI_memory__immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, salI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, salI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, salI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, salI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, salI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, salI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, salI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, salI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI2) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI2]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, salI_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, salI_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, salI_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, salI_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, salI_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, salI_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, salI_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, salI_rReg_immI2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI2) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI2];
        DFA_PRODUCTION(_LSHIFTI_RREGI_IMMI2, _LShiftI_rRegI_immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_16) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_16];
        DFA_PRODUCTION(_LSHIFTI__LOADI_MEMORY__IMMI_16, _LShiftI__LoadI_memory__immI_16_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_24) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_24];
        DFA_PRODUCTION(_LSHIFTI__LOADI_MEMORY__IMMI_24, _LShiftI__LoadI_memory__immI_24_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUS_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_24) ) {
      unsigned int c = _kids[0]->_cost[_LOADUS_MEMORY_]+_kids[1]->_cost[IMMI_24];
        DFA_PRODUCTION(_LSHIFTI__LOADUS_MEMORY__IMMI_24, _LShiftI__LoadUS_memory__immI_24_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADS_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_24) ) {
      unsigned int c = _kids[0]->_cost[_LOADS_MEMORY_]+_kids[1]->_cost[IMMI_24];
        DFA_PRODUCTION(_LSHIFTI__LOADS_MEMORY__IMMI_24, _LShiftI__LoadS_memory__immI_24_rule, c)
    }
}
void  State::_sub_Op_LShiftL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI2) &&
        (
#line 13708 "src/hotspot/cpu/x86/x86_64.ad"
false
#line 10229 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI2]+100;
        DFA_PRODUCTION(RREGL, leaL_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, leaL_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(RAX_REGL, leaL_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, leaL_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(RCX_REGL, leaL_rReg_immI2_peep_rule, c)
        DFA_PRODUCTION(RDX_REGL, leaL_rReg_immI2_peep_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9340 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 10244 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGI]+175;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, salL_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, salL_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, salL_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, salL_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, salL_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, salL_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9328 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 10273 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, salL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, salL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, salL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, salL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, salL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, salL_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RCX_REGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RCX_REGI];
        DFA_PRODUCTION(_LSHIFTL__LOADL_MEMORY__RCX_REGI, _LShiftL__LoadL_memory__rcx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9301 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 10306 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, salL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, salL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, salL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, salL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, salL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, salL_rReg_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_LSHIFTL__LOADL_MEMORY__IMMI8, _LShiftL__LoadL_memory__immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, salL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, salL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, salL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, salL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, salL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, salL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI2) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI2]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, salL_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, salL_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, salL_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, salL_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, salL_rReg_immI2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, salL_rReg_immI2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L_RREGI_) && STATE__VALID_CHILD(_kids[1], IMMI2) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L_RREGI_]+_kids[1]->_cost[IMMI2];
        DFA_PRODUCTION(_LSHIFTL__CONVI2L_RREGI__IMMI2, _LShiftL__ConvI2L_rRegI__immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI2) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI2];
        DFA_PRODUCTION(_LSHIFTL_RREGL_IMMI2, _LShiftL_rRegL_immI2_rule, c)
    }
}
void  State::_sub_Op_LoadB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADB_MEMORY_, _LoadB_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, loadB_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadB_rule, c)
        DFA_PRODUCTION(RBX_REGI, loadB_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadB_rule, c)
        DFA_PRODUCTION(RCX_REGI, loadB_rule, c)
        DFA_PRODUCTION(RDX_REGI, loadB_rule, c)
        DFA_PRODUCTION(RDI_REGI, loadB_rule, c)
    }
}
void  State::_sub_Op_LoadUB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADUB_MEMORY_, _LoadUB_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadUB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, loadUB_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadUB_rule, c)
        DFA_PRODUCTION(RBX_REGI, loadUB_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadUB_rule, c)
        DFA_PRODUCTION(RCX_REGI, loadUB_rule, c)
        DFA_PRODUCTION(RDX_REGI, loadUB_rule, c)
        DFA_PRODUCTION(RDI_REGI, loadUB_rule, c)
    }
}
void  State::_sub_Op_LoadUS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADUS_MEMORY_, _LoadUS_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadUS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, loadUS_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadUS_rule, c)
        DFA_PRODUCTION(RBX_REGI, loadUS_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadUS_rule, c)
        DFA_PRODUCTION(RCX_REGI, loadUS_rule, c)
        DFA_PRODUCTION(RDX_REGI, loadUS_rule, c)
        DFA_PRODUCTION(RDI_REGI, loadUS_rule, c)
    }
}
void  State::_sub_Op_LoadD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADD_MEMORY_, _LoadD_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5356 "src/hotspot/cpu/x86/x86_64.ad"
UseXmmLoadAndClearUpper
#line 10455 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+145;
        DFA_PRODUCTION(REGD, loadD_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5343 "src/hotspot/cpu/x86/x86_64.ad"
!UseXmmLoadAndClearUpper
#line 10467 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+145;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, loadD_partial_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_LoadF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADF_MEMORY_, _LoadF_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+145;
        DFA_PRODUCTION(REGF, loadF_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
}
void  State::_sub_Op_LoadI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADI_MEMORY_, _LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, loadI_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadI_rule, c)
        DFA_PRODUCTION(RBX_REGI, loadI_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadI_rule, c)
        DFA_PRODUCTION(RCX_REGI, loadI_rule, c)
        DFA_PRODUCTION(RDX_REGI, loadI_rule, c)
        DFA_PRODUCTION(RDI_REGI, loadI_rule, c)
    }
}
void  State::_sub_Op_LoadKlass(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGP, loadKlass_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(INDIRECT, loadKlass_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(RBX_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(RSI_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(RBP_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(RDI_REGP, loadKlass_rule, c)
        DFA_PRODUCTION(R15_REGP, loadKlass_rule, c)
    }
}
void  State::_sub_Op_LoadNKlass(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADNKLASS_MEMORY_, _LoadNKlass_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGN, loadNKlass_rule, c)
        DFA_PRODUCTION(RAX_REGN, loadNKlass_rule, c)
    }
}
void  State::_sub_Op_LoadL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADL_MEMORY_, _LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGL, loadL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadL_rule, c)
        DFA_PRODUCTION(RAX_REGL, loadL_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadL_rule, c)
        DFA_PRODUCTION(RCX_REGL, loadL_rule, c)
        DFA_PRODUCTION(RDX_REGL, loadL_rule, c)
    }
}
void  State::_sub_Op_LoadP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 103 "src/hotspot/cpu/x86/gc/z/z_x86_64.ad"
UseZGC && ZGenerational && n->as_Load()->barrier_data() != 0
#line 10566 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGP, zLoadP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANY_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(INDIRECT, zLoadP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RAX_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(RBX_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(RSI_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(RBP_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(RDI_REGP, zLoadP_rule, c)
        DFA_PRODUCTION(R15_REGP, zLoadP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 89 "src/hotspot/cpu/x86/gc/x/x_x86_64.ad"
UseZGC && !ZGenerational && n->as_Load()->barrier_data() != 0
#line 10588 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, xLoadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, xLoadP_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADP_MEMORY_, _LoadP_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5277 "src/hotspot/cpu/x86/x86_64.ad"
n->as_Load()->barrier_data() == 0
#line 10642 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANY_REGP) || _cost[ANY_REGP] > c) {
        DFA_PRODUCTION(ANY_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGP) || _cost[RAX_REGP] > c) {
        DFA_PRODUCTION(RAX_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGP) || _cost[RBX_REGP] > c) {
        DFA_PRODUCTION(RBX_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_REGP) || _cost[NO_RAX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_REGP) || _cost[NO_RBP_REGP] > c) {
        DFA_PRODUCTION(NO_RBP_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RSI_REGP) || _cost[RSI_REGP] > c) {
        DFA_PRODUCTION(RSI_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RBX_REGP) || _cost[NO_RAX_RBX_REGP] > c) {
        DFA_PRODUCTION(NO_RAX_RBX_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBP_REGP) || _cost[RBP_REGP] > c) {
        DFA_PRODUCTION(RBP_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGP) || _cost[RDI_REGP] > c) {
        DFA_PRODUCTION(RDI_REGP, loadP_rule, c)
      }
      if (STATE__NOT_YET_VALID(R15_REGP) || _cost[R15_REGP] > c) {
        DFA_PRODUCTION(R15_REGP, loadP_rule, c)
      }
    }
}
void  State::_sub_Op_LoadN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADN_MEMORY_, _LoadN_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGN, loadN_rule, c)
        DFA_PRODUCTION(RAX_REGN, loadN_rule, c)
    }
}
void  State::_sub_Op_LoadRange(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadRange_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, loadRange_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadRange_rule, c)
        DFA_PRODUCTION(RBX_REGI, loadRange_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadRange_rule, c)
        DFA_PRODUCTION(RCX_REGI, loadRange_rule, c)
        DFA_PRODUCTION(RDX_REGI, loadRange_rule, c)
        DFA_PRODUCTION(RDI_REGI, loadRange_rule, c)
    }
}
void  State::_sub_Op_LoadS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADS_MEMORY_, _LoadS_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, loadS_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadS_rule, c)
        DFA_PRODUCTION(RBX_REGI, loadS_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadS_rule, c)
        DFA_PRODUCTION(RCX_REGI, loadS_rule, c)
        DFA_PRODUCTION(RDX_REGI, loadS_rule, c)
        DFA_PRODUCTION(RDI_REGI, loadS_rule, c)
    }
}
void  State::_sub_Op_MulAddS2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RREGI_RREGI]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+100;
        DFA_PRODUCTION(RREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, mulAddS2I_rReg_rule, c)
    }
}
void  State::_sub_Op_MaxI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+200;
        DFA_PRODUCTION(RREGI, maxI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, maxI_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, maxI_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, maxI_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, maxI_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, maxI_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, maxI_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, maxI_rReg_rule, c)
    }
}
void  State::_sub_Op_MaxD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGREGD) &&
        (
#line 5435 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX > 0 && SuperWord::is_reduction(n)
#line 10765 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGREGD]+100;
        DFA_PRODUCTION(LEGREGD, maxD_reduction_reg_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGREGD) &&
        (
#line 5413 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX > 0 && !SuperWord::is_reduction(n)
#line 10777 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGREGD]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, maxD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
}
void  State::_sub_Op_MaxF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGREGF) &&
        (
#line 5399 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX > 0 && SuperWord::is_reduction(n)
#line 10799 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGREGF]+100;
        DFA_PRODUCTION(LEGREGF, maxF_reduction_reg_rule, c)
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGREGF) &&
        (
#line 5377 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX > 0 && !SuperWord::is_reduction(n)
#line 10811 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGREGF]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, maxF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
}
void  State::_sub_Op_MemBarAcquire(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_acquire_rule, c)
    }
}
void  State::_sub_Op_LoadFence(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_acquire_0_rule, c)
    }
}
void  State::_sub_Op_MemBarAcquireLock(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_acquire_lock_rule, c)
    }
}
void  State::_sub_Op_MemBarRelease(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_release_rule, c)
    }
}
void  State::_sub_Op_StoreFence(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_release_0_rule, c)
    }
}
void  State::_sub_Op_StoreStoreFence(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_storestore_0_rule, c)
    }
}
void  State::_sub_Op_MemBarReleaseLock(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_release_lock_rule, c)
    }
}
void  State::_sub_Op_MemBarVolatile(const Node *n){
    if(         (
#line 6896 "src/hotspot/cpu/x86/x86_64.ad"
Matcher::post_store_load_barrier(n)
#line 10874 "dfa_x86.cpp"
) ) {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, unnecessary_membar_volatile_rule, c)
    }
    {
      unsigned int c = 400;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, membar_volatile_rule, c)
      }
    }
}
void  State::_sub_Op_MemBarStoreStore(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_storestore_rule, c)
    }
}
void  State::_sub_Op_MinI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+200;
        DFA_PRODUCTION(RREGI, minI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, minI_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, minI_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, minI_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, minI_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, minI_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, minI_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, minI_rReg_rule, c)
    }
}
void  State::_sub_Op_MinF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGREGF) &&
        (
#line 5471 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX > 0 && SuperWord::is_reduction(n)
#line 10911 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGREGF]+100;
        DFA_PRODUCTION(LEGREGF, minF_reduction_reg_rule, c)
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGREGF) &&
        (
#line 5449 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX > 0 && !SuperWord::is_reduction(n)
#line 10923 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGREGF]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
}
void  State::_sub_Op_MinD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGREGD) &&
        (
#line 5507 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX > 0 && SuperWord::is_reduction(n)
#line 10945 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGREGD]+100;
        DFA_PRODUCTION(LEGREGD, minD_reduction_reg_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGREGD) &&
        (
#line 5485 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX > 0 && !SuperWord::is_reduction(n)
#line 10957 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGREGD]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
}
void  State::_sub_Op_ModI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[NO_RAX_RDX_REGI]+300;
        DFA_PRODUCTION(RDX_REGI, modI_rReg_rule, c)
        DFA_PRODUCTION(RREGI, modI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, modI_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, modI_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, modI_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, modI_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, modI_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, modI_rReg_rule, c)
    }
}
void  State::_sub_Op_ModL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[NO_RAX_RDX_REGL]+300;
        DFA_PRODUCTION(RDX_REGL, modL_rReg_rule, c)
        DFA_PRODUCTION(RREGL, modL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, modL_rReg_rule, c)
        DFA_PRODUCTION(RAX_REGL, modL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, modL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, modL_rReg_rule, c)
    }
}
void  State::_sub_Op_UModI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[NO_RAX_RDX_REGI]+300;
        DFA_PRODUCTION(RDX_REGI, umodI_rReg_rule, c)
        DFA_PRODUCTION(RREGI, umodI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, umodI_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, umodI_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, umodI_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, umodI_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, umodI_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, umodI_rReg_rule, c)
    }
}
void  State::_sub_Op_UModL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], NO_RAX_RDX_REGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[NO_RAX_RDX_REGL]+300;
        DFA_PRODUCTION(RDX_REGL, umodL_rReg_rule, c)
        DFA_PRODUCTION(RREGL, umodL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, umodL_rReg_rule, c)
        DFA_PRODUCTION(RAX_REGL, umodL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, umodL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, umodL_rReg_rule, c)
    }
}
void  State::_sub_Op_MoveI2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(REGF, MoveI2F_reg_reg_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, MoveI2F_reg_stack_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+125) {
        DFA_PRODUCTION(REGF, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+125+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+125+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+125+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+125+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTI) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTI]+125;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, MoveI2F_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_MoveF2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+85;
        DFA_PRODUCTION(RREGI, MoveF2I_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, MoveF2I_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, MoveF2I_reg_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, MoveF2I_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, MoveF2I_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, MoveF2I_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, MoveF2I_reg_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, MoveF2I_reg_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+95;
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c) {
        DFA_PRODUCTION(STACKSLOTI, MoveF2I_reg_stack_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c+125) {
        DFA_PRODUCTION(RREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c+125) {
        DFA_PRODUCTION(RAX_REGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c+125) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c+125) {
        DFA_PRODUCTION(RBX_REGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c+125) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c+125) {
        DFA_PRODUCTION(RCX_REGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c+125) {
        DFA_PRODUCTION(RDX_REGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c+125) {
        DFA_PRODUCTION(RDI_REGI, loadSSI_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTF) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTF]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, MoveF2I_stack_reg_rule, c)
      }
    }
}
void  State::_sub_Op_MoveL2D(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(REGD, MoveL2D_reg_reg_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c) {
        DFA_PRODUCTION(STACKSLOTD, MoveL2D_reg_stack_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+125) {
        DFA_PRODUCTION(REGD, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+125+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+125+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+125+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+125+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTL) &&
        (
#line 11297 "src/hotspot/cpu/x86/x86_64.ad"
UseXmmLoadAndClearUpper
#line 11166 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTL]+125;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, MoveL2D_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTL) &&
        (
#line 11284 "src/hotspot/cpu/x86/x86_64.ad"
!UseXmmLoadAndClearUpper
#line 11186 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTL]+125;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, MoveL2D_stack_reg_partial_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_MoveD2L(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+85;
        DFA_PRODUCTION(RREGL, MoveD2L_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, MoveD2L_reg_reg_rule, c)
        DFA_PRODUCTION(RAX_REGL, MoveD2L_reg_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, MoveD2L_reg_reg_rule, c)
        DFA_PRODUCTION(RCX_REGL, MoveD2L_reg_reg_rule, c)
        DFA_PRODUCTION(RDX_REGL, MoveD2L_reg_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+95;
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c) {
        DFA_PRODUCTION(STACKSLOTL, MoveD2L_reg_stack_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c+125) {
        DFA_PRODUCTION(RREGL, loadSSL_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c+125) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, loadSSL_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c+125) {
        DFA_PRODUCTION(RAX_REGL, loadSSL_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c+125) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, loadSSL_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c+125) {
        DFA_PRODUCTION(RCX_REGL, loadSSL_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c+125) {
        DFA_PRODUCTION(RDX_REGL, loadSSL_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTD) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTD]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, MoveD2L_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, MoveD2L_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, MoveD2L_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, MoveD2L_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, MoveD2L_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, MoveD2L_stack_reg_rule, c)
      }
    }
}
void  State::_sub_Op_IsInfiniteF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(RREGI, FloatClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, FloatClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, FloatClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(RBX_REGI, FloatClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, FloatClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(RCX_REGI, FloatClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(RDX_REGI, FloatClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(RDI_REGI, FloatClassCheck_reg_reg_vfpclass_rule, c)
    }
}
void  State::_sub_Op_IsInfiniteD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(RREGI, DoubleClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, DoubleClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, DoubleClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(RBX_REGI, DoubleClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, DoubleClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(RCX_REGI, DoubleClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(RDX_REGI, DoubleClassCheck_reg_reg_vfpclass_rule, c)
        DFA_PRODUCTION(RDI_REGI, DoubleClassCheck_reg_reg_vfpclass_rule, c)
    }
}
void  State::_sub_Op_MulD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3353 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11296 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
        DFA_PRODUCTION(REGD, mulD_reg_imm_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3341 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11308 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3341 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11328 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3329 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11348 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3318 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 11368 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3306 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 11388 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3306 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 11408 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3294 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 11428 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_MulF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 3282 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11450 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
        DFA_PRODUCTION(REGF, mulF_reg_imm_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3270 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11462 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 3270 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11482 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3258 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11502 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 3247 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 11522 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3235 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 11542 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 3235 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 11562 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3223 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 11582 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_MulHiL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RAX_REGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RAX_REGL]+300;
        DFA_PRODUCTION(RDX_REGL, mulHiL_rReg_rule, c)
        DFA_PRODUCTION(RREGL, mulHiL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, mulHiL_rReg_rule, c)
        DFA_PRODUCTION(RAX_REGL, mulHiL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, mulHiL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, mulHiL_rReg_rule, c)
    }
}
void  State::_sub_Op_UMulHiL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RAX_REGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RAX_REGL]+300;
        DFA_PRODUCTION(RDX_REGL, umulHiL_rReg_rule, c)
        DFA_PRODUCTION(RREGL, umulHiL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, umulHiL_rReg_rule, c)
        DFA_PRODUCTION(RAX_REGL, umulHiL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, umulHiL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, umulHiL_rReg_rule, c)
    }
}
void  State::_sub_Op_MulI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI]+300;
        DFA_PRODUCTION(RREGI, mulI_mem_imm_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, mulI_mem_imm_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, mulI_mem_imm_rule, c)
        DFA_PRODUCTION(RBX_REGI, mulI_mem_imm_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, mulI_mem_imm_rule, c)
        DFA_PRODUCTION(RCX_REGI, mulI_mem_imm_rule, c)
        DFA_PRODUCTION(RDX_REGI, mulI_mem_imm_rule, c)
        DFA_PRODUCTION(RDI_REGI, mulI_mem_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+350;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, mulI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, mulI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, mulI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, mulI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, mulI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, mulI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, mulI_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+350;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, mulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, mulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, mulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, mulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, mulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, mulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, mulI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, mulI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, mulI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, mulI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, mulI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, mulI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, mulI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, mulI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, mulI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, mulI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, mulI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, mulI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, mulI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, mulI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, mulI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_MulL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML32]+300;
        DFA_PRODUCTION(RREGL, mulL_mem_imm_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, mulL_mem_imm_rule, c)
        DFA_PRODUCTION(RAX_REGL, mulL_mem_imm_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, mulL_mem_imm_rule, c)
        DFA_PRODUCTION(RCX_REGL, mulL_mem_imm_rule, c)
        DFA_PRODUCTION(RDX_REGL, mulL_mem_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL]+350;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, mulL_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, mulL_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, mulL_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, mulL_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, mulL_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, mulL_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+350;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, mulL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, mulL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, mulL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, mulL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, mulL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, mulL_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+300;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, mulL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, mulL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, mulL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, mulL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, mulL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, mulL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+300;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, mulL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, mulL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, mulL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, mulL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, mulL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, mulL_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_NegI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, negI_rReg_2_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, negI_rReg_2_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, negI_rReg_2_rule, c)
        DFA_PRODUCTION(RBX_REGI, negI_rReg_2_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, negI_rReg_2_rule, c)
        DFA_PRODUCTION(RCX_REGI, negI_rReg_2_rule, c)
        DFA_PRODUCTION(RDX_REGI, negI_rReg_2_rule, c)
        DFA_PRODUCTION(RDI_REGI, negI_rReg_2_rule, c)
    }
}
void  State::_sub_Op_NegL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGL, negL_rReg_2_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, negL_rReg_2_rule, c)
        DFA_PRODUCTION(RAX_REGL, negL_rReg_2_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, negL_rReg_2_rule, c)
        DFA_PRODUCTION(RCX_REGL, negL_rReg_2_rule, c)
        DFA_PRODUCTION(RDX_REGL, negL_rReg_2_rule, c)
    }
}
void  State::_sub_Op_NegD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VLREGD) &&
        (
#line 3592 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11896 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGD]+150;
        DFA_PRODUCTION(VLREGD, negD_reg_reg_rule, c)
        DFA_PRODUCTION(REGD, MoveVL2D_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 3580 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 11908 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, negD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_NegF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VLREGF) &&
        (
#line 3568 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11930 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGF]+150;
        DFA_PRODUCTION(VLREGF, negF_reg_reg_rule, c)
        DFA_PRODUCTION(REGF, MoveVL2F_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 3557 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 11942 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, negF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_OnSpinWait(const Node *n){
    {
      unsigned int c = 200;
        DFA_PRODUCTION(UNIVERSE, onspinwait_rule, c)
    }
}
void  State::_sub_Op_OrI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ORI__LOADI_MEMORY__IMMI, _OrI__LoadI_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_ORI_RREGI__LOADI_MEMORY_, _OrI_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ORI__LOADI_MEMORY__RREGI, _OrI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADB_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADB_MEMORY_];
        DFA_PRODUCTION(_ORI_RREGI__LOADB_MEMORY_, _OrI_rRegI__LoadB_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ORI__LOADB_MEMORY__RREGI, _OrI__LoadB_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+150;
        DFA_PRODUCTION(RREGI, orI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, orI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, orI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, orI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, orI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, orI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, orI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, orI_rReg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, orI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, orI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, orI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, orI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, orI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, orI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, orI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, orI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, orI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, orI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, orI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, orI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, orI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, orI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, orI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, orI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, orI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, orI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, orI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, orI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, orI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_OrL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML_POW2) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML_POW2];
        DFA_PRODUCTION(_ORL__LOADL_MEMORY__IMML_POW2, _OrL__LoadL_memory__immL_Pow2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML32];
        DFA_PRODUCTION(_ORL__LOADL_MEMORY__IMML32, _OrL__LoadL_memory__immL32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_];
        DFA_PRODUCTION(_ORL_RREGL__LOADL_MEMORY_, _OrL_rRegL__LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_ORL__LOADL_MEMORY__RREGL, _OrL__LoadL_memory__rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL]+150;
        DFA_PRODUCTION(RREGL, orL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, orL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RAX_REGL, orL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, orL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RCX_REGL, orL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RDX_REGL, orL_rReg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, orL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, orL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, orL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, orL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, orL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, orL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, orL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, orL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, orL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, orL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, orL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, orL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _CASTP2X_ANY_REGP_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_CASTP2X_ANY_REGP_]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, orL_rReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, orL_rReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, orL_rReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, orL_rReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, orL_rReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, orL_rReg_castP2X_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _CASTP2X_ANY_REGP_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_CASTP2X_ANY_REGP_]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, orL_rReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, orL_rReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, orL_rReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, orL_rReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, orL_rReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, orL_rReg_castP2X_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, orL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, orL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, orL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, orL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, orL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, orL_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowAddI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(RFLAGSREG, overflowAddI_rReg_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, overflowAddI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowSubI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], RAX_REGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[RAX_REGI]+100;
        DFA_PRODUCTION(RFLAGSREG, overflowNegI_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, overflowSubI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, overflowSubI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowMulI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(RFLAGSREG, overflowMulI_rReg_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RAX_REGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, overflowMulI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowAddL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[IMML32]+100;
        DFA_PRODUCTION(RFLAGSREG, overflowAddL_rReg_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, overflowAddL_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowSubL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMML0) && STATE__VALID_CHILD(_kids[1], RAX_REGL) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+_kids[1]->_cost[RAX_REGL]+100;
        DFA_PRODUCTION(RFLAGSREG, overflowNegL_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, overflowSubL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, overflowSubL_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowMulL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
        DFA_PRODUCTION(RFLAGSREG, overflowMulL_rReg_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RAX_REGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RAX_REGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREG) || _cost[RFLAGSREG] > c) {
        DFA_PRODUCTION(RFLAGSREG, overflowMulL_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_PartialSubtypeCheck(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], RAX_REGP) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[RAX_REGP];
        DFA_PRODUCTION(_PARTIALSUBTYPECHECK_RSI_REGP_RAX_REGP, _PartialSubtypeCheck_rsi_RegP_rax_RegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], RAX_REGP) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[RAX_REGP]+1100;
        DFA_PRODUCTION(RDI_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(ANY_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(INDIRECT, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(RAX_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(RBX_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(RSI_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(RBP_REGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(R15_REGP, partialSubtypeCheck_rule, c)
    }
}
void  State::_sub_Op_PopCountI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) &&
        (
#line 6791 "src/hotspot/cpu/x86/x86_64.ad"
UsePopCountInstruction
#line 12349 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
        DFA_PRODUCTION(RREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(RBX_REGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(RCX_REGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(RDX_REGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(RDI_REGI, popCountI_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 6779 "src/hotspot/cpu/x86/x86_64.ad"
UsePopCountInstruction
#line 12366 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, popCountI_rule, c)
      }
    }
}
void  State::_sub_Op_PopCountL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) &&
        (
#line 6817 "src/hotspot/cpu/x86/x86_64.ad"
UsePopCountInstruction
#line 12403 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+100;
        DFA_PRODUCTION(RREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(RBX_REGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(RCX_REGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(RDX_REGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(RDI_REGI, popCountL_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 6804 "src/hotspot/cpu/x86/x86_64.ad"
UsePopCountInstruction
#line 12420 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, popCountL_rule, c)
      }
    }
}
void  State::_sub_Op_PopCountVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8776 "src/hotspot/cpu/x86/x86.ad"
!is_vector_popcount_predicate(Matcher::vector_element_basic_type(n->in(1)))
#line 12457 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vpopcount_avx_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 8762 "src/hotspot/cpu/x86/x86.ad"
is_vector_popcount_predicate(Matcher::vector_element_basic_type(n->in(1)))
#line 12467 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vpopcount_integral_reg_evex_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8748 "src/hotspot/cpu/x86/x86.ad"
is_vector_popcount_predicate(Matcher::vector_element_basic_type(n->in(1)))
#line 12481 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vpopcount_integral_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_PopCountVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8776 "src/hotspot/cpu/x86/x86.ad"
!is_vector_popcount_predicate(Matcher::vector_element_basic_type(n->in(1)))
#line 12497 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vpopcount_avx_reg_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 8762 "src/hotspot/cpu/x86/x86.ad"
is_vector_popcount_predicate(Matcher::vector_element_basic_type(n->in(1)))
#line 12507 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vpopcount_integral_reg_evex_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8748 "src/hotspot/cpu/x86/x86.ad"
is_vector_popcount_predicate(Matcher::vector_element_basic_type(n->in(1)))
#line 12521 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vpopcount_integral_reg_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_PopulateIndex(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI_1]+100;
        DFA_PRODUCTION(VEC, VectorPopulateLIndex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, VectorPopulateIndex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_PrefetchAllocation(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 6015 "src/hotspot/cpu/x86/x86_64.ad"
AllocatePrefetchInstr==2
#line 12553 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(UNIVERSE, prefetchAllocT2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 6003 "src/hotspot/cpu/x86/x86_64.ad"
AllocatePrefetchInstr==1
#line 12562 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, prefetchAllocT0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5991 "src/hotspot/cpu/x86/x86_64.ad"
AllocatePrefetchInstr==0
#line 12573 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, prefetchAllocNTA_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5979 "src/hotspot/cpu/x86/x86_64.ad"
AllocatePrefetchInstr==3
#line 12584 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, prefetchAlloc_rule, c)
      }
    }
}
void  State::_sub_Op_RShiftI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_RREGI_IMMI_16) && STATE__VALID_CHILD(_kids[1], IMMI_16) &&
        /*sixteen*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_RREGI_IMMI_16]+_kids[1]->_cost[IMMI_16]+100;
        DFA_PRODUCTION(RREGI, i2s_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, i2s_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, i2s_rule, c)
        DFA_PRODUCTION(RBX_REGI, i2s_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, i2s_rule, c)
        DFA_PRODUCTION(RCX_REGI, i2s_rule, c)
        DFA_PRODUCTION(RDX_REGI, i2s_rule, c)
        DFA_PRODUCTION(RDI_REGI, i2s_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_RREGI_IMMI_24) && STATE__VALID_CHILD(_kids[1], IMMI_24) &&
        /*twentyfour*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_RREGI_IMMI_24]+_kids[1]->_cost[IMMI_24]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, i2b_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9170 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 12641 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+175;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, sarI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, sarI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, sarI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, sarI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, sarI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, sarI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, sarI_mem_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, sarI_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9158 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 12676 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, sarI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, sarI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, sarI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, sarI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, sarI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, sarI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, sarI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, sarI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RCX_REGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RCX_REGI];
        DFA_PRODUCTION(_RSHIFTI__LOADI_MEMORY__RCX_REGI, _RShiftI__LoadI_memory__rcx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9132 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 12715 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, sarI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, sarI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, sarI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, sarI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, sarI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, sarI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, sarI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, sarI_rReg_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_RSHIFTI__LOADI_MEMORY__IMMI8, _RShiftI__LoadI_memory__immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, sarI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, sarI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, sarI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, sarI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, sarI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, sarI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, sarI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, sarI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI__LOADI_MEMORY__IMMI_16) && STATE__VALID_CHILD(_kids[1], IMMI_16) &&
        /*sixteen*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI__LOADI_MEMORY__IMMI_16]+_kids[1]->_cost[IMMI_16]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, loadI2S_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI__LOADI_MEMORY__IMMI_24) && STATE__VALID_CHILD(_kids[1], IMMI_24) &&
        /*twentyfour*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI__LOADI_MEMORY__IMMI_24]+_kids[1]->_cost[IMMI_24]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, loadI2B_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI__LOADUS_MEMORY__IMMI_24) && STATE__VALID_CHILD(_kids[1], IMMI_24) &&
        /*twentyfour*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI__LOADUS_MEMORY__IMMI_24]+_kids[1]->_cost[IMMI_24]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, loadUS2B_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI__LOADS_MEMORY__IMMI_24) && STATE__VALID_CHILD(_kids[1], IMMI_24) &&
        /*twentyfour*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI__LOADS_MEMORY__IMMI_24]+_kids[1]->_cost[IMMI_24]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, loadS2B_rule, c)
      }
    }
}
void  State::_sub_Op_RShiftL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9418 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 12910 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGI]+175;
        DFA_PRODUCTION(RREGL, sarL_mem_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, sarL_mem_rReg_rule, c)
        DFA_PRODUCTION(RAX_REGL, sarL_mem_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, sarL_mem_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, sarL_mem_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGL, sarL_mem_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9406 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 12925 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, sarL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, sarL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, sarL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, sarL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, sarL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, sarL_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RCX_REGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RCX_REGI];
        DFA_PRODUCTION(_RSHIFTL__LOADL_MEMORY__RCX_REGI, _RShiftL__LoadL_memory__rcx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9379 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 12958 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, sarL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, sarL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, sarL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, sarL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, sarL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, sarL_rReg_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_RSHIFTL__LOADL_MEMORY__IMMI, _RShiftL__LoadL_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, sarL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, sarL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, sarL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, sarL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, sarL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, sarL_rReg_imm_rule, c)
      }
    }
}
void  State::_sub_Op_Rethrow(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(UNIVERSE, RethrowException_rule, c)
    }
}
void  State::_sub_Op_Return(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(UNIVERSE, Ret_rule, c)
    }
}
void  State::_sub_Op_ReverseI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 6744 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_gfni()
#line 13029 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, bytes_reversebit_int_gfni_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, bytes_reversebit_int_gfni_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, bytes_reversebit_int_gfni_rule, c)
        DFA_PRODUCTION(RBX_REGI, bytes_reversebit_int_gfni_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, bytes_reversebit_int_gfni_rule, c)
        DFA_PRODUCTION(RCX_REGI, bytes_reversebit_int_gfni_rule, c)
        DFA_PRODUCTION(RDX_REGI, bytes_reversebit_int_gfni_rule, c)
        DFA_PRODUCTION(RDI_REGI, bytes_reversebit_int_gfni_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 6733 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_gfni()
#line 13046 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, bytes_reversebit_int_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, bytes_reversebit_int_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, bytes_reversebit_int_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, bytes_reversebit_int_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, bytes_reversebit_int_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, bytes_reversebit_int_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, bytes_reversebit_int_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, bytes_reversebit_int_rule, c)
      }
    }
}
void  State::_sub_Op_ReverseL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 6766 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_gfni()
#line 13083 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGL, bytes_reversebit_long_gfni_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, bytes_reversebit_long_gfni_rule, c)
        DFA_PRODUCTION(RAX_REGL, bytes_reversebit_long_gfni_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, bytes_reversebit_long_gfni_rule, c)
        DFA_PRODUCTION(RCX_REGL, bytes_reversebit_long_gfni_rule, c)
        DFA_PRODUCTION(RDX_REGL, bytes_reversebit_long_gfni_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 6755 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_gfni()
#line 13098 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, bytes_reversebit_long_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, bytes_reversebit_long_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, bytes_reversebit_long_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, bytes_reversebit_long_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, bytes_reversebit_long_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, bytes_reversebit_long_rule, c)
      }
    }
}
void  State::_sub_Op_ReverseV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9205 "src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_gfni()
#line 13129 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vreverse_reg_gfni_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9191 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_gfni()
#line 13139 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vreverse_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RoundDoubleMode(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], IMMU8) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[IMMU8]+150;
        DFA_PRODUCTION(LEGREGD, roundD_imm_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMU8) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[IMMU8]+150;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, roundD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], IMMU8) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[IMMU8]+150;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, roundD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
}
void  State::_sub_Op_RoundDoubleModeV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 3936 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 8
#line 13194 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[IMMU8]+100;
        DFA_PRODUCTION(VEC, vround8D_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 3924 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) < 8
#line 13204 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vroundD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 3913 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 8
#line 13218 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vround8D_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 3901 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) < 8
#line 13232 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vroundD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
}
void  State::_sub_Op_RotateLeft(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9676 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->basic_type() == T_LONG
#line 13248 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RCX_REGI]+100;
        DFA_PRODUCTION(RREGL, rolL_rReg_Var_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, rolL_rReg_Var_rule, c)
        DFA_PRODUCTION(RAX_REGL, rolL_rReg_Var_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, rolL_rReg_Var_rule, c)
        DFA_PRODUCTION(RCX_REGL, rolL_rReg_Var_rule, c)
        DFA_PRODUCTION(RDX_REGL, rolL_rReg_Var_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9662 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_LONG
#line 13263 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMMI8]+175;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, rolL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, rolL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, rolL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, rolL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, rolL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, rolL_mem_immI8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9650 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_LONG
#line 13292 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, rolL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, rolL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, rolL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, rolL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, rolL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, rolL_immI8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9638 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_LONG
#line 13321 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, rolL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, rolL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, rolL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, rolL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, rolL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, rolL_immI8_legacy_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9575 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->basic_type() == T_INT
#line 13350 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RCX_REGI]+100;
        DFA_PRODUCTION(RREGI, rolI_rReg_Var_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, rolI_rReg_Var_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, rolI_rReg_Var_rule, c)
        DFA_PRODUCTION(RBX_REGI, rolI_rReg_Var_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, rolI_rReg_Var_rule, c)
        DFA_PRODUCTION(RCX_REGI, rolI_rReg_Var_rule, c)
        DFA_PRODUCTION(RDX_REGI, rolI_rReg_Var_rule, c)
        DFA_PRODUCTION(RDI_REGI, rolI_rReg_Var_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9561 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_INT
#line 13367 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI8]+175;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rolI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, rolI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, rolI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, rolI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, rolI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, rolI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, rolI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, rolI_mem_immI8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9549 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_INT
#line 13402 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rolI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, rolI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, rolI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, rolI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, rolI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, rolI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, rolI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, rolI_immI8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9537 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_INT
#line 13437 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rolI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, rolI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, rolI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, rolI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, rolI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, rolI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, rolI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, rolI_immI8_legacy_rule, c)
      }
    }
}
void  State::_sub_Op_RotateLeftV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vrol_reg_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_IMMI8) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_IMMI8]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrol_imm_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vprorate_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vprotate_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RotateRight(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9726 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->basic_type() == T_LONG
#line 13508 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RCX_REGI]+100;
        DFA_PRODUCTION(RREGL, rorL_rReg_Var_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, rorL_rReg_Var_rule, c)
        DFA_PRODUCTION(RAX_REGL, rorL_rReg_Var_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, rorL_rReg_Var_rule, c)
        DFA_PRODUCTION(RCX_REGL, rorL_rReg_Var_rule, c)
        DFA_PRODUCTION(RDX_REGL, rorL_rReg_Var_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9713 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_LONG
#line 13523 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMMI8]+175;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, rorL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, rorL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, rorL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, rorL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, rorL_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, rorL_mem_immI8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9702 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_LONG
#line 13552 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, rorL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, rorL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, rorL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, rorL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, rorL_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, rorL_immI8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9689 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_LONG
#line 13581 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, rorL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, rorL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, rorL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, rorL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, rorL_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, rorL_immI8_legacy_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9625 "src/hotspot/cpu/x86/x86_64.ad"
n->bottom_type()->basic_type() == T_INT
#line 13610 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RCX_REGI]+100;
        DFA_PRODUCTION(RREGI, rorI_rReg_Var_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, rorI_rReg_Var_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, rorI_rReg_Var_rule, c)
        DFA_PRODUCTION(RBX_REGI, rorI_rReg_Var_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, rorI_rReg_Var_rule, c)
        DFA_PRODUCTION(RCX_REGI, rorI_rReg_Var_rule, c)
        DFA_PRODUCTION(RDX_REGI, rorI_rReg_Var_rule, c)
        DFA_PRODUCTION(RDI_REGI, rorI_rReg_Var_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9612 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_INT
#line 13627 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI8]+175;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rorI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, rorI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, rorI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, rorI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, rorI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, rorI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, rorI_mem_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, rorI_mem_immI8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9601 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_INT
#line 13662 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rorI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, rorI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, rorI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, rorI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, rorI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, rorI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, rorI_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, rorI_immI8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 9588 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2() && n->bottom_type()->basic_type() == T_INT
#line 13697 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rorI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, rorI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, rorI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, rorI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, rorI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, rorI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, rorI_immI8_legacy_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, rorI_immI8_legacy_rule, c)
      }
    }
}
void  State::_sub_Op_RotateRightV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vrol_reg_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_IMMI8) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_IMMI8]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrol_imm_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vprorate_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vprotate_immI8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SafePoint(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGP) ) {
      unsigned int c = _kids[0]->_cost[RREGP]+125;
        DFA_PRODUCTION(UNIVERSE, safePoint_poll_tls_rule, c)
    }
}
void  State::_sub_Op_ShenandoahCompareAndExchangeP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 98 "src/hotspot/cpu/x86/gc/shenandoah/shenandoah_x86_64.ad"
VM_Version::supports_cx8()
#line 13774 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+1000;
        DFA_PRODUCTION(RAX_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(ANY_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(INDIRECT, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(RBX_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(RSI_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(RBP_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(RDI_REGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(R15_REGP, compareAndExchangeP_shenandoah_rule, c)
    }
}
void  State::_sub_Op_ShenandoahCompareAndExchangeN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGN_RREGN]+100;
        DFA_PRODUCTION(RAX_REGN, compareAndExchangeN_shenandoah_rule, c)
    }
}
void  State::_sub_Op_ShenandoahCompareAndSwapN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGN_RREGN]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapN_shenandoah_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapN_shenandoah_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapN_shenandoah_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapN_shenandoah_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapN_shenandoah_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapN_shenandoah_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapN_shenandoah_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapN_shenandoah_rule, c)
    }
}
void  State::_sub_Op_ShenandoahCompareAndSwapP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 36 "src/hotspot/cpu/x86/gc/shenandoah/shenandoah_x86_64.ad"
VM_Version::supports_cx8()
#line 13818 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapP_shenandoah_rule, c)
    }
}
void  State::_sub_Op_ShenandoahWeakCompareAndSwapN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGN_RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGN_RREGN]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapN_shenandoah_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapN_shenandoah_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapN_shenandoah_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapN_shenandoah_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapN_shenandoah_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapN_shenandoah_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapN_shenandoah_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapN_shenandoah_0_rule, c)
    }
}
void  State::_sub_Op_ShenandoahWeakCompareAndSwapP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_RAX_REGP_RREGP) &&
        (
#line 36 "src/hotspot/cpu/x86/gc/shenandoah/shenandoah_x86_64.ad"
VM_Version::supports_cx8()
#line 13851 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_RAX_REGP_RREGP]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, compareAndSwapP_shenandoah_0_rule, c)
    }
}
void  State::_sub_Op_CopySignD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_IMMD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_BINARY_REGD_IMMD]+100;
        DFA_PRODUCTION(REGD, copySignD_imm_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
}
void  State::_sub_Op_CopySignF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+100;
        DFA_PRODUCTION(REGF, copySignF_reg_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
}
void  State::_sub_Op_SignumD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_BINARY_REGD_REGD]+100;
        DFA_PRODUCTION(REGD, signumD_reg_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
}
void  State::_sub_Op_SignumF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_BINARY_REGF_REGF]+100;
        DFA_PRODUCTION(REGF, signumF_reg_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
}
void  State::_sub_Op_SignumVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) &&
        (
#line 6180 "src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512vl() || Matcher::vector_length_in_bytes(n) == 64
#line 13906 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_VEC]+100;
        DFA_PRODUCTION(VEC, signumV_reg_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) &&
        (
#line 6165 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512vl() && Matcher::vector_length_in_bytes(n) <= 32
#line 13916 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, signumV_reg_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SignumVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) &&
        (
#line 6180 "src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512vl() || Matcher::vector_length_in_bytes(n) == 64
#line 13932 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_VEC]+100;
        DFA_PRODUCTION(VEC, signumV_reg_evex_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) &&
        (
#line 6165 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512vl() && Matcher::vector_length_in_bytes(n) <= 32
#line 13942 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, signumV_reg_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SqrtD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 3619 "src/hotspot/cpu/x86/x86.ad"
UseSSE>=2
#line 13958 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(REGD, sqrtD_reg_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
}
void  State::_sub_Op_SqrtF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 3607 "src/hotspot/cpu/x86/x86.ad"
UseSSE>=1
#line 13972 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(REGF, sqrtF_reg_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
}
void  State::_sub_Op_RoundF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(RREGI, round_float_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, round_float_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, round_float_reg_rule, c)
        DFA_PRODUCTION(RBX_REGI, round_float_reg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, round_float_reg_rule, c)
        DFA_PRODUCTION(RCX_REGI, round_float_reg_rule, c)
        DFA_PRODUCTION(RDX_REGI, round_float_reg_rule, c)
        DFA_PRODUCTION(RDI_REGI, round_float_reg_rule, c)
    }
}
void  State::_sub_Op_RoundD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(RREGL, round_double_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, round_double_reg_rule, c)
        DFA_PRODUCTION(RAX_REGL, round_double_reg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, round_double_reg_rule, c)
        DFA_PRODUCTION(RCX_REGL, round_double_reg_rule, c)
        DFA_PRODUCTION(RDX_REGL, round_double_reg_rule, c)
    }
}
void  State::_sub_Op_StoreB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORI_RREGI__LOADB_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORI_RREGI__LOADB_MEMORY_]+150;
        DFA_PRODUCTION(UNIVERSE, xorB_mem_rReg_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORI__LOADB_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORI__LOADB_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, xorB_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORI_RREGI__LOADB_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORI_RREGI__LOADB_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orB_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORI__LOADB_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORI__LOADB_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orB_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDI_RREGI__LOADB_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDI_RREGI__LOADB_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andB_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDI__LOADB_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDI__LOADB_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andB_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI8]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmB_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI_0) &&
        (
#line 6270 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL)
#line 14058 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI_0]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmB0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeB_rule, c)
      }
    }
}
void  State::_sub_Op_StoreC(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _CONVF2HF_REGF_) &&
        (
#line 3640 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 2) && VM_Version::supports_avx512vl()
#line 14077 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_CONVF2HF_REGF_]+100;
        DFA_PRODUCTION(UNIVERSE, convF2HF_mem_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI16) &&
        (
#line 6256 "src/hotspot/cpu/x86/x86_64.ad"
UseStoreImmI16
#line 14086 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI16]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmI16_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI_0) &&
        (
#line 6243 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL)
#line 14097 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI_0]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmC0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeC_rule, c)
      }
    }
}
void  State::_sub_Op_StoreCM(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI_0]+150;
        DFA_PRODUCTION(UNIVERSE, storeImmCM0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI_0) &&
        (
#line 6296 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL)
#line 14120 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI_0]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmCM0_reg_rule, c)
      }
    }
}
void  State::_sub_Op_StoreD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMD0) &&
        (
#line 6387 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL)
#line 14133 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMD0]+25;
        DFA_PRODUCTION(UNIVERSE, storeD0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMD0) &&
        (
#line 6374 "src/hotspot/cpu/x86/x86_64.ad"
!UseCompressedOops || (CompressedOops::base() != NULL)
#line 14142 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMD0]+50;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeD0_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], REGD) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[REGD]+95;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeD_rule, c)
      }
    }
}
void  State::_sub_Op_StoreF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMF) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMF]+50;
        DFA_PRODUCTION(UNIVERSE, storeF_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMF0) &&
        (
#line 6335 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL)
#line 14165 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMF0]+25;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeF0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[REGF]+95;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeF_rule, c)
      }
    }
}
void  State::_sub_Op_StoreI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORI__LOADI_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORI__LOADI_MEMORY__IMMI]+125;
        DFA_PRODUCTION(UNIVERSE, xorI_mem_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORI_RREGI__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORI_RREGI__LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, xorI_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, xorI_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORI__LOADI_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORI__LOADI_MEMORY__IMMI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORI_RREGI__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORI_RREGI__LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orI_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orI_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDI__LOADI_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDI__LOADI_MEMORY__IMMI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDI_RREGI__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDI_RREGI__LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andI_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andI_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _URSHIFTI__LOADI_MEMORY__RCX_REGI) &&
        (
#line 9223 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 14245 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_URSHIFTI__LOADI_MEMORY__RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, shrI_mem_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _URSHIFTI__LOADI_MEMORY__IMMI8) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_URSHIFTI__LOADI_MEMORY__IMMI8]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, shrI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _RSHIFTI__LOADI_MEMORY__RCX_REGI) &&
        (
#line 9145 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 14263 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_RSHIFTI__LOADI_MEMORY__RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, sarI_mem_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _RSHIFTI__LOADI_MEMORY__IMMI8) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_RSHIFTI__LOADI_MEMORY__IMMI8]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, sarI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _LSHIFTI__LOADI_MEMORY__RCX_REGI) &&
        (
#line 9068 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 14281 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_LSHIFTI__LOADI_MEMORY__RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, salI_mem_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _LSHIFTI__LOADI_MEMORY__IMMI8) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_LSHIFTI__LOADI_MEMORY__IMMI8]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, salI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_SUBI_IMMI_0__LOADI_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, negI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _SUBI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_SUBI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, subI_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI_M1) &&
        (
#line 7755 "src/hotspot/cpu/x86/x86_64.ad"
UseIncDec
#line 14313 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, decI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI_1) &&
        (
#line 7726 "src/hotspot/cpu/x86/x86_64.ad"
UseIncDec
#line 14324 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI_1]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, incI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI_RREGI__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI_RREGI__LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addI_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addI_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI_0) &&
        (
#line 6191 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL)
#line 14362 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI_0]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmI0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeI_rule, c)
      }
    }
}
void  State::_sub_Op_StoreL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORL__LOADL_MEMORY__IMML32) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORL__LOADL_MEMORY__IMML32]+125;
        DFA_PRODUCTION(UNIVERSE, xorL_mem_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORL_RREGL__LOADL_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORL_RREGL__LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, xorL_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORL__LOADL_MEMORY__RREGL) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORL__LOADL_MEMORY__RREGL]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, xorL_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORL__LOADL_MEMORY__IMML_POW2) &&
        (
#line 10536 "src/hotspot/cpu/x86/x86_64.ad"
log2i_graceful(n->in(3)->in(2)->get_long()) > 31
#line 14400 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORL__LOADL_MEMORY__IMML_POW2]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, btsL_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORL__LOADL_MEMORY__IMML32) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORL__LOADL_MEMORY__IMML32]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orL_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORL_RREGL__LOADL_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORL_RREGL__LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orL_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORL__LOADL_MEMORY__RREGL) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORL__LOADL_MEMORY__RREGL]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orL_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDL__LOADL_MEMORY__IMML_NOTPOW2) &&
        (
#line 10321 "src/hotspot/cpu/x86/x86_64.ad"
log2i_graceful(~n->in(3)->in(2)->get_long()) > 30
#line 14432 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDL__LOADL_MEMORY__IMML_NOTPOW2]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, btrL_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDL__LOADL_MEMORY__IMML32) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDL__LOADL_MEMORY__IMML32]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andL_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDL_RREGL__LOADL_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDL_RREGL__LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andL_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDL__LOADL_MEMORY__RREGL) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDL__LOADL_MEMORY__RREGL]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andL_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _URSHIFTL__LOADL_MEMORY__RCX_REGI) &&
        (
#line 9471 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 14464 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_URSHIFTL__LOADL_MEMORY__RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, shrL_mem_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _URSHIFTL__LOADL_MEMORY__IMMI8) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_URSHIFTL__LOADL_MEMORY__IMMI8]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, shrL_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _RSHIFTL__LOADL_MEMORY__RCX_REGI) &&
        (
#line 9393 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 14482 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_RSHIFTL__LOADL_MEMORY__RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, sarL_mem_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _RSHIFTL__LOADL_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_RSHIFTL__LOADL_MEMORY__IMMI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, sarL_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _LSHIFTL__LOADL_MEMORY__RCX_REGI) &&
        (
#line 9315 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 14500 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_LSHIFTL__LOADL_MEMORY__RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, salL_mem_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _LSHIFTL__LOADL_MEMORY__IMMI8) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_LSHIFTL__LOADL_MEMORY__IMMI8]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, salL_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _SUBL_IMML0__LOADL_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_SUBL_IMML0__LOADL_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, negL_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _SUBL__LOADL_MEMORY__RREGL) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_SUBL__LOADL_MEMORY__RREGL]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, subL_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDL__LOADL_MEMORY__IMML_M1) &&
        (
#line 7925 "src/hotspot/cpu/x86/x86_64.ad"
UseIncDec
#line 14532 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, decL_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDL__LOADL_MEMORY__IMML1) &&
        (
#line 7896 "src/hotspot/cpu/x86/x86_64.ad"
UseIncDec
#line 14543 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDL__LOADL_MEMORY__IMML1]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, incL_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDL__LOADL_MEMORY__IMML32) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDL__LOADL_MEMORY__IMML32]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addL_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDL_RREGL__LOADL_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDL_RREGL__LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addL_mem_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDL__LOADL_MEMORY__RREGL) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDL__LOADL_MEMORY__RREGL]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addL_mem_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMML32]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMML0) &&
        (
#line 6217 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL)
#line 14581 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMML0]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmL0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGL]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeL_rule, c)
      }
    }
}
void  State::_sub_Op_StoreP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMP0) &&
        (
#line 154 "src/hotspot/cpu/x86/gc/z/z_x86_64.ad"
UseZGC && ZGenerational && n->as_Store()->barrier_data() != 0
#line 14600 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMP0]+125;
        DFA_PRODUCTION(UNIVERSE, zStorePNull_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], ANY_REGP) &&
        (
#line 138 "src/hotspot/cpu/x86/gc/z/z_x86_64.ad"
UseZGC && ZGenerational && n->as_Store()->barrier_data() != 0
#line 14609 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[ANY_REGP]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, zStoreP_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMP31) &&
        (
#line 6110 "src/hotspot/cpu/x86/x86_64.ad"
n->as_Store()->barrier_data() == 0
#line 14620 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMP31]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmP_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMP0) &&
        (
#line 6096 "src/hotspot/cpu/x86/x86_64.ad"
UseCompressedOops && (CompressedOops::base() == NULL) && n->as_Store()->barrier_data() == 0
#line 14631 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMP0]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmP0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], ANY_REGP) &&
        (
#line 6083 "src/hotspot/cpu/x86/x86_64.ad"
n->as_Store()->barrier_data() == 0
#line 14642 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[ANY_REGP]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeP_rule, c)
      }
    }
}
void  State::_sub_Op_StoreN(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMN]+150;
        DFA_PRODUCTION(UNIVERSE, storeImmN_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMN0) &&
        (
#line 6148 "src/hotspot/cpu/x86/x86_64.ad"
CompressedOops::base() == NULL
#line 14659 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMN0]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmN0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGN]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeN_rule, c)
      }
    }
}
void  State::_sub_Op_StoreNKlass(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMNKLASS) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMNKLASS]+150;
        DFA_PRODUCTION(UNIVERSE, storeImmNKlass_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGN) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGN]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeNKlass_rule, c)
      }
    }
}
void  State::_sub_Op_StrComp(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RSI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RDI_REGP_RCX_REGI) &&
        (
#line 11756 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::UL
#line 14690 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RSI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RDI_REGP_RCX_REGI]+100;
        DFA_PRODUCTION(RAX_REGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(RREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(RCX_REGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(RDX_REGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(RDI_REGI, string_compareUL_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RSI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RDI_REGP_RCX_REGI) &&
        (
#line 11740 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::UL
#line 14707 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RSI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RDI_REGP_RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_compareUL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RCX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RDX_REGI) &&
        (
#line 11724 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::LU
#line 14742 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RCX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_compareLU_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RCX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RDX_REGI) &&
        (
#line 11708 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::LU
#line 14777 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RCX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_compareLU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RCX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RDX_REGI) &&
        (
#line 11692 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::UU
#line 14812 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RCX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_compareU_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RCX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RDX_REGI) &&
        (
#line 11676 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::UU
#line 14847 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RCX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_compareU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RCX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RDX_REGI) &&
        (
#line 11660 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::LL
#line 14882 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RCX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_compareL_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RCX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RDX_REGI) &&
        (
#line 11644 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::LL
#line 14917 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RCX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_compareL_rule, c)
      }
    }
}
void  State::_sub_Op_StrCompressedCopy(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], _BINARY_RDI_REGP_RDX_REGI) &&
        (
#line 12111 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && VM_Version::supports_bmi2()
#line 14954 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[_BINARY_RDI_REGP_RDX_REGI]+100;
        DFA_PRODUCTION(RAX_REGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(RREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(RCX_REGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(RDX_REGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(RDI_REGI, string_compress_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], _BINARY_RDI_REGP_RDX_REGI) &&
        (
#line 12094 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() || !VM_Version::supports_bmi2()
#line 14971 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[_BINARY_RDI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_compress_rule, c)
      }
    }
}
void  State::_sub_Op_StrEquals(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RSI_REGP) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 11955 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw()
#line 15008 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RSI_REGP]+_kids[1]->_cost[RCX_REGI]+100;
        DFA_PRODUCTION(RAX_REGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(RREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RBX_REGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(RCX_REGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(RDX_REGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(RDI_REGI, string_equals_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RSI_REGP) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 11939 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw()
#line 15025 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RSI_REGP]+_kids[1]->_cost[RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_equals_rule, c)
      }
    }
}
void  State::_sub_Op_StrIndexOf(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RAX_REGI) &&
        (
#line 11893 "src/hotspot/cpu/x86/x86_64.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::UL)
#line 15062 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RAX_REGI]+100;
        DFA_PRODUCTION(RBX_REGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(RREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(RCX_REGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(RDX_REGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(RDI_REGI, string_indexofUL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RAX_REGI) &&
        (
#line 11876 "src/hotspot/cpu/x86/x86_64.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::UU)
#line 15079 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RAX_REGI]+100;
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_indexofU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_RAX_REGI) &&
        (
#line 11859 "src/hotspot/cpu/x86/x86_64.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::LL)
#line 15114 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_RAX_REGI]+100;
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_indexofL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_IMMI) &&
        (
#line 11831 "src/hotspot/cpu/x86/x86_64.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::UL)
#line 15149 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_IMMI]+100;
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_indexof_conUL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_IMMI) &&
        (
#line 11802 "src/hotspot/cpu/x86/x86_64.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::UU)
#line 15184 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_IMMI]+100;
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_indexof_conU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RSI_REGP_IMMI) &&
        (
#line 11773 "src/hotspot/cpu/x86/x86_64.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::LL)
#line 15219 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RSI_REGP_IMMI]+100;
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_indexof_conL_rule, c)
      }
    }
}
void  State::_sub_Op_StrIndexOfChar(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], RAX_REGI) &&
        (
#line 11924 "src/hotspot/cpu/x86/x86_64.ad"
UseSSE42Intrinsics && (((StrIndexOfCharNode*)n)->encoding() == StrIntrinsicNode::L)
#line 15256 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[RAX_REGI]+100;
        DFA_PRODUCTION(RBX_REGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(RREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(RCX_REGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(RDX_REGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(RDI_REGI, stringL_indexof_char_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], RAX_REGI) &&
        (
#line 11910 "src/hotspot/cpu/x86/x86_64.ad"
UseSSE42Intrinsics && (((StrIndexOfCharNode*)n)->encoding() == StrIntrinsicNode::U)
#line 15273 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[RAX_REGI]+100;
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, string_indexof_char_rule, c)
      }
    }
}
void  State::_sub_Op_StrInflatedCopy(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], _BINARY_RDI_REGP_RDX_REGI) &&
        (
#line 12142 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_avx512vlbw() && VM_Version::supports_bmi2()
#line 15310 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[_BINARY_RDI_REGP_RDX_REGI]+100;
        DFA_PRODUCTION(UNIVERSE, string_inflate_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RSI_REGP) && STATE__VALID_CHILD(_kids[1], _BINARY_RDI_REGP_RDX_REGI) &&
        (
#line 12128 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_avx512vlbw() || !VM_Version::supports_bmi2()
#line 15319 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RSI_REGP]+_kids[1]->_cost[_BINARY_RDI_REGP_RDX_REGI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, string_inflate_rule, c)
      }
    }
}
void  State::_sub_Op_SubD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3211 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15332 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
        DFA_PRODUCTION(REGD, subD_reg_imm_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3199 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15344 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3187 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15364 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3176 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 15384 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3164 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 15404 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3152 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 15424 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_SubF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 3140 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15446 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
        DFA_PRODUCTION(REGF, subF_reg_imm_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 3128 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15458 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3116 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15478 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 3105 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 15498 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 3093 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 15518 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3081 "src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 15538 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_SubI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_SUBI_RREGI_RREGI, _SubI_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_SUBI_IMMI_0__LOADI_MEMORY_, _SubI_immI_0__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, negI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, negI_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, negI_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, negI_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, negI_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, negI_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, negI_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, negI_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_SUBI_IMMI_0_RREGI, _SubI_immI_0_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_SUBI__LOADI_MEMORY__RREGI, _SubI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, subI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, subI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, subI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, subI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, subI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, subI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, subI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, subI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, subI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, subI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, subI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, subI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, subI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, subI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, subI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, subI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_SubL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMML0) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_SUBL_IMML0_RREGL, _SubL_immL0_rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMML0) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+_kids[1]->_cost[_LOADL_MEMORY_];
        DFA_PRODUCTION(_SUBL_IMML0__LOADL_MEMORY_, _SubL_immL0__LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMML0) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+_kids[1]->_cost[RREGL]+100;
        DFA_PRODUCTION(RREGL, negL_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, negL_rReg_rule, c)
        DFA_PRODUCTION(RAX_REGL, negL_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, negL_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, negL_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGL, negL_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_SUBL__LOADL_MEMORY__RREGL, _SubL__LoadL_memory__rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, subL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, subL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, subL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, subL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, subL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, subL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, subL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, subL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, subL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, subL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, subL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, subL_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_TailCall(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], NO_RBP_REGP) && STATE__VALID_CHILD(_kids[1], RBX_REGP) ) {
      unsigned int c = _kids[0]->_cost[NO_RBP_REGP]+_kids[1]->_cost[RBX_REGP]+300;
        DFA_PRODUCTION(UNIVERSE, TailCalljmpInd_rule, c)
    }
}
void  State::_sub_Op_TailJump(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], NO_RBP_REGP) && STATE__VALID_CHILD(_kids[1], RAX_REGP) ) {
      unsigned int c = _kids[0]->_cost[NO_RBP_REGP]+_kids[1]->_cost[RAX_REGP]+300;
        DFA_PRODUCTION(UNIVERSE, tailjmpInd_rule, c)
    }
}
void  State::_sub_Op_MacroLogicV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC__BINARY_MEMORY__BINARY_IMMU8_KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC__BINARY_MEMORY__BINARY_IMMU8_KREG]+100;
        DFA_PRODUCTION(VEC, vternlogd_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC__BINARY_VEC__BINARY_IMMU8_KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC__BINARY_VEC__BINARY_IMMU8_KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vternlog_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY__LOADVECTOR_MEMORY__IMMU8) &&
        (
#line 8871 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)->in(1)) > 8
#line 15748 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY__LOADVECTOR_MEMORY__IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vpternlog_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_IMMU8) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY_VEC_IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vpternlog_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ThreadLocal(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(R15_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(ANY_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(INDIRECT, tlsLoadP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(RREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(RAX_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(RBX_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(NO_RAX_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(NO_RBP_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(RSI_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(NO_RAX_RBX_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(RBP_REGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(RDI_REGP, tlsLoadP_rule, c)
    }
}
void  State::_sub_Op_URShiftI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9248 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 15792 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+175;
        DFA_PRODUCTION(RREGI, shrI_mem_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, shrI_mem_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, shrI_mem_rReg_rule, c)
        DFA_PRODUCTION(RBX_REGI, shrI_mem_rReg_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, shrI_mem_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGI, shrI_mem_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGI, shrI_mem_rReg_rule, c)
        DFA_PRODUCTION(RDI_REGI, shrI_mem_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9236 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 15809 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, shrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, shrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, shrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, shrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, shrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, shrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, shrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, shrI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RCX_REGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RCX_REGI];
        DFA_PRODUCTION(_URSHIFTI__LOADI_MEMORY__RCX_REGI, _URShiftI__LoadI_memory__rcx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9209 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 15848 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, shrI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, shrI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, shrI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, shrI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, shrI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, shrI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, shrI_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, shrI_rReg_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_URSHIFTI__LOADI_MEMORY__IMMI8, _URShiftI__LoadI_memory__immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, shrI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, shrI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, shrI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, shrI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, shrI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, shrI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, shrI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, shrI_rReg_imm_rule, c)
      }
    }
}
void  State::_sub_Op_URShiftL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9496 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 15919 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGI]+175;
        DFA_PRODUCTION(RREGL, shrL_mem_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, shrL_mem_rReg_rule, c)
        DFA_PRODUCTION(RAX_REGL, shrL_mem_rReg_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, shrL_mem_rReg_rule, c)
        DFA_PRODUCTION(RCX_REGL, shrL_mem_rReg_rule, c)
        DFA_PRODUCTION(RDX_REGL, shrL_mem_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 9484 "src/hotspot/cpu/x86/x86_64.ad"
VM_Version::supports_bmi2()
#line 15934 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, shrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, shrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, shrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, shrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, shrL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, shrL_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RCX_REGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RCX_REGI];
        DFA_PRODUCTION(_URSHIFTL__LOADL_MEMORY__RCX_REGI, _URShiftL__LoadL_memory__rcx_RegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RCX_REGI) &&
        (
#line 9457 "src/hotspot/cpu/x86/x86_64.ad"
!VM_Version::supports_bmi2()
#line 15967 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RCX_REGI]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, shrL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, shrL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, shrL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, shrL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, shrL_rReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, shrL_rReg_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_URSHIFTL__LOADL_MEMORY__IMMI8, _URShiftL__LoadL_memory__immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, shrL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, shrL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, shrL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, shrL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, shrL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, shrL_rReg_imm_rule, c)
      }
    }
}
void  State::_sub_Op_XorI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_XORI__LOADI_MEMORY__IMMI, _XorI__LoadI_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_XORI_RREGI__LOADI_MEMORY_, _XorI_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_XORI__LOADI_MEMORY__RREGI, _XorI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADB_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADB_MEMORY_];
        DFA_PRODUCTION(_XORI_RREGI__LOADB_MEMORY_, _XorI_rRegI__LoadB_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_XORI__LOADB_MEMORY__RREGI, _XorI__LoadB_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+150;
        DFA_PRODUCTION(RREGI, xorI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, xorI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, xorI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, xorI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xorI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, xorI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, xorI_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, xorI_rReg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xorI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, xorI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, xorI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, xorI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xorI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, xorI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, xorI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, xorI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xorI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, xorI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, xorI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, xorI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xorI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, xorI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, xorI_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, xorI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xorI_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, xorI_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, xorI_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, xorI_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xorI_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, xorI_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, xorI_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, xorI_rReg_im1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xorI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, xorI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, xorI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, xorI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, xorI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, xorI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, xorI_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, xorI_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _ADDI_RREGI_IMMI_M1) &&
        (
#line 10001 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 16178 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_ADDI_RREGI_IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsmskI_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 10001 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 16213 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDI_RREGI_IMMI_M1]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsmskI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI_M1) &&
        (
#line 9986 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 16248 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsmskI_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI__LOADI_MEMORY__IMMI_M1) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 9986 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 16283 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, blsmskI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1];
        DFA_PRODUCTION(_XORI_RREGI_IMMI_M1, _XorI_rRegI_immI_M1_rule, c)
    }
}
void  State::_sub_Op_XorL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML32];
        DFA_PRODUCTION(_XORL__LOADL_MEMORY__IMML32, _XorL__LoadL_memory__immL32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_];
        DFA_PRODUCTION(_XORL_RREGL__LOADL_MEMORY_, _XorL_rRegL__LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL];
        DFA_PRODUCTION(_XORL__LOADL_MEMORY__RREGL, _XorL__LoadL_memory__rRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[RREGL]+150;
        DFA_PRODUCTION(RREGL, xorL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, xorL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RAX_REGL, xorL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, xorL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RCX_REGL, xorL_rReg_mem_0_rule, c)
        DFA_PRODUCTION(RDX_REGL, xorL_rReg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_LOADL_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, xorL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, xorL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, xorL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, xorL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, xorL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, xorL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML32]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, xorL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, xorL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, xorL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, xorL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, xorL_rReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, xorL_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML_M1]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, xorL_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, xorL_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, xorL_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, xorL_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, xorL_rReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, xorL_rReg_im1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, xorL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, xorL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, xorL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, xorL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, xorL_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, xorL_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], _ADDL_RREGL_IMML_M1) &&
        (
#line 10407 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 16442 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[_ADDL_RREGL_IMML_M1]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsmskL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsmskL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsmskL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsmskL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsmskL_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsmskL_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL_RREGL_IMML_M1) && STATE__VALID_CHILD(_kids[1], RREGL) &&
        (
#line 10407 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 16471 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDL_RREGL_IMML_M1]+_kids[1]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsmskL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsmskL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsmskL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsmskL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsmskL_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsmskL_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _ADDL__LOADL_MEMORY__IMML_M1) &&
        (
#line 10392 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 16500 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsmskL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsmskL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsmskL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsmskL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsmskL_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsmskL_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL__LOADL_MEMORY__IMML_M1) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 10392 "src/hotspot/cpu/x86/x86_64.ad"
UseBMI1Instructions
#line 16529 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+_kids[1]->_cost[_LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, blsmskL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, blsmskL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, blsmskL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, blsmskL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, blsmskL_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, blsmskL_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], IMML_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[IMML_M1];
        DFA_PRODUCTION(_XORL_RREGL_IMML_M1, _XorL_rRegL_immL_M1_rule, c)
    }
}
void  State::_sub_Op_AddVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vadd_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vadd_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5265 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 16579 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddB_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5265 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 16594 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddB_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5254 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16608 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5244 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16622 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vadd_mem_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vadd_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5299 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 16653 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddS_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5299 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 16668 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddS_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5288 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16682 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5278 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16696 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vadd_mem_masked_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vadd_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _MULADDVS2VI_VEC_VEC) &&
        (
#line 8733 "src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512_vnni()
#line 16726 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_MULADDVS2VI_VEC_VEC]+10;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmuladdaddS2I_reg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _MULADDVS2VI_VEC_VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8733 "src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512_vnni()
#line 16740 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_MULADDVS2VI_VEC_VEC]+_kids[1]->_cost[VEC]+10;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmuladdaddS2I_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5334 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 16755 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5334 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 16770 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5322 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16784 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5312 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16798 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddReductionVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5020 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_SHORT
#line 16814 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, reductionS_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionS_rule, c)
        DFA_PRODUCTION(RBX_REGI, reductionS_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionS_rule, c)
        DFA_PRODUCTION(RCX_REGI, reductionS_rule, c)
        DFA_PRODUCTION(RDX_REGI, reductionS_rule, c)
        DFA_PRODUCTION(RDI_REGI, reductionS_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4999 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && VM_Version::supports_avx512bw()
#line 16831 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_avx512bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_avx512bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_avx512bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_avx512bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_avx512bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_avx512bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_avx512bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_avx512bw_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4981 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && !VM_Version::supports_avx512bw()
#line 16866 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4829 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_INT
#line 16901 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionI_rule, c)
      }
    }
}
void  State::_sub_Op_AddVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vadd_mem_masked_2_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vadd_reg_masked_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5368 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 16953 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddL_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5368 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 16968 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5357 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16982 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5347 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16996 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddReductionVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4870 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && VM_Version::supports_avx512dq()
#line 17012 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(RREGL, reductionL_avx512dq_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_avx512dq_rule, c)
        DFA_PRODUCTION(RAX_REGL, reductionL_avx512dq_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_avx512dq_rule, c)
        DFA_PRODUCTION(RCX_REGL, reductionL_avx512dq_rule, c)
        DFA_PRODUCTION(RDX_REGL, reductionL_avx512dq_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4851 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && !VM_Version::supports_avx512dq()
#line 17027 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, reductionL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, reductionL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, reductionL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, reductionL_rule, c)
      }
    }
}
void  State::_sub_Op_AddVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vadd_mem_masked_3_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vadd_reg_masked_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5402 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17073 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddF_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5402 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17088 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5391 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17102 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5381 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17116 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddReductionVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4920 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 16
#line 17132 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(REGF, reduction16F_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4906 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 8
#line 17144 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, reduction8F_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4892 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) <= 4
#line 17164 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, reductionF128_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_AddVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vadd_mem_masked_4_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vadd_reg_masked_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5436 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17201 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddD_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5436 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17216 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5425 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17230 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5415 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17244 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddReductionVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4964 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 8
#line 17260 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(REGD, reduction8D_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4950 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 4
#line 17272 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, reduction4D_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4936 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 2
#line 17292 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, reduction2D_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_SubVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vsub_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsub_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5472 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17329 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubB_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5461 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17343 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5451 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17357 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vsub_mem_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsub_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5507 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17388 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubS_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5496 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17402 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5485 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17416 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vsub_mem_masked_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsub_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5541 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17447 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5530 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17461 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5520 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17475 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vsub_mem_masked_2_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsub_reg_masked_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5576 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17506 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5564 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17520 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5554 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17534 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vsub_mem_masked_3_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsub_reg_masked_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5610 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17565 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5599 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17579 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5589 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17593 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vsub_mem_masked_4_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsub_reg_masked_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5644 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17624 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5633 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17638 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5623 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17652 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5701 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 && Matcher::vector_length_in_bytes(n) > 8
#line 17668 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmulB_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5676 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0 && Matcher::vector_length_in_bytes(n) > 8
#line 17678 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5659 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) <= 8
#line 17692 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmul8B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vmul_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmul_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5745 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17723 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulS_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5745 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17738 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulS_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5734 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17752 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5724 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17766 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vmul_mem_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmul_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5780 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17797 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5780 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 17812 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5769 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17826 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5758 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17840 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulReductionVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5055 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE &&
            Matcher::vector_length(n->in(2)) == 64
#line 17857 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(RBX_REGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(RCX_REGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(RDX_REGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(RDI_REGI, mul_reduction64B_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5041 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE &&
            Matcher::vector_length(n->in(2)) <= 32
#line 17875 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, mul_reductionB_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5020 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_SHORT
#line 17910 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionS_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4829 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_INT
#line 17945 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionI_0_rule, c)
      }
    }
}
void  State::_sub_Op_MulVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vmul_mem_masked_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmul_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5843 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            ((Matcher::vector_length_in_bytes(n) == 64 &&
              !VM_Version::supports_avx512dq()) ||
             (Matcher::vector_length_in_bytes(n) < 64 &&
              !VM_Version::supports_avx512vldq()))
#line 18000 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5822 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 18014 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5807 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_length_in_bytes(n) == 64 &&
             VM_Version::supports_avx512dq()) ||
            (Matcher::vector_length_in_bytes(n) > 8 &&
             VM_Version::supports_avx512vldq())
#line 18031 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, evmulL_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5807 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_length_in_bytes(n) == 64 &&
             VM_Version::supports_avx512dq()) ||
            (Matcher::vector_length_in_bytes(n) > 8 &&
             VM_Version::supports_avx512vldq())
#line 18048 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, evmulL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5793 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_length_in_bytes(n) == 64 &&
             VM_Version::supports_avx512dq()) ||
            VM_Version::supports_avx512vldq()
#line 18064 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, evmulL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulReductionVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4870 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && VM_Version::supports_avx512dq()
#line 18080 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(RREGL, reductionL_avx512dq_0_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_avx512dq_0_rule, c)
        DFA_PRODUCTION(RAX_REGL, reductionL_avx512dq_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_avx512dq_0_rule, c)
        DFA_PRODUCTION(RCX_REGL, reductionL_avx512dq_0_rule, c)
        DFA_PRODUCTION(RDX_REGL, reductionL_avx512dq_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4851 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && !VM_Version::supports_avx512dq()
#line 18095 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, reductionL_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, reductionL_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, reductionL_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, reductionL_0_rule, c)
      }
    }
}
void  State::_sub_Op_MulVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vmul_mem_masked_2_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmul_reg_masked_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5889 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 18141 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulF_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5889 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 18156 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5878 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 18170 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5868 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 18184 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulReductionVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4920 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 16
#line 18200 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(REGF, reduction16F_0_rule, c)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4906 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 8
#line 18212 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, reduction8F_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4892 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) <= 4
#line 18232 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, reductionF128_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+95)
      }
    }
}
void  State::_sub_Op_MulVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vmul_mem_masked_3_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmul_reg_masked_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5923 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 18269 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulD_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5923 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 18284 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5912 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 18298 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5902 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 18312 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulReductionVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4964 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 8
#line 18328 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(REGD, reduction8D_0_rule, c)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4950 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 4
#line 18340 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, reduction4D_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4936 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(2)) == 2
#line 18360 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, reduction2D_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+95)
      }
    }
}
void  State::_sub_Op_MulAddVS2VI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC];
        DFA_PRODUCTION(_MULADDVS2VI_VEC_VEC, _MulAddVS2VI_vec_vec_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8720 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 18386 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmuladdS2I_reg_avx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8710 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 18396 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmuladdS2I_reg_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_FmaVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY__LOADVECTOR_MEMORY__KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY__LOADVECTOR_MEMORY__KREG]+100;
        DFA_PRODUCTION(VEC, vfma_mem_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY_VEC_KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vfma_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC__LOADVECTOR_MEMORY_) &&
        (
#line 8695 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) > 8
#line 18426 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vfmaD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_VEC]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vfmaD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_FmaVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY__LOADVECTOR_MEMORY__KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY__LOADVECTOR_MEMORY__KREG]+100;
        DFA_PRODUCTION(VEC, vfma_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY_VEC_KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vfma_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC__LOADVECTOR_MEMORY_) &&
        (
#line 8670 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) > 8
#line 18465 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vfmaF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_VEC]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vfmaF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_DivVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vdiv_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdiv_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5959 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 18505 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5948 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 18519 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5938 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 18533 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_DivVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vdiv_mem_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdiv_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5993 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 18564 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5982 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 18578 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5972 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 18592 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AbsVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vabs_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vabsB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AbsVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vabs_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vabsS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AbsVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vabs_masked_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vabsI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AbsVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vabs_masked_2_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vabsL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AbsVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 7943 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 4
#line 18672 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+150;
        DFA_PRODUCTION(VEC, vabsneg4F_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 7923 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) != 4
#line 18682 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vabsnegF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AbsVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vabsnegD_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_NegVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 7943 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 4
#line 18705 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+150;
        DFA_PRODUCTION(VEC, vabsneg4F_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 7923 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) != 4
#line 18715 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vabsnegF_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_NegVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vabsnegD_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_SqrtVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vsqrt_reg_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && _kids[1] == nullptr &&
        (
#line 6322 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) > 8
#line 18743 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsqrtD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsqrtD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SqrtVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vsqrt_reg_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && _kids[1] == nullptr &&
        (
#line 6298 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) > 8
#line 18773 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsqrtF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsqrtF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_LShiftCntV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[IMMI8];
        DFA_PRODUCTION(_LSHIFTCNTV_IMMI8_, _LShiftCntV_immI8__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(VEC, vshiftcnt_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_RShiftCntV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[IMMI8];
        DFA_PRODUCTION(_RSHIFTCNTV_IMMI8_, _RShiftCntV_immI8__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(VEC, vshiftcnt_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_LShiftVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6744 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 64 &&
            n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 18822 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift64B_var_evex_bw_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6725 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 32 &&
            n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 18834 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_var_evex_bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6689 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 32 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 18850 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6661 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 18866 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6641 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 18882 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8B_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6440 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 64 && !n->as_ShiftV()->is_var_shift()
#line 18896 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift64B_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6415 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 32 && !n->as_ShiftV()->is_var_shift()
#line 18910 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6394 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 && !n->as_ShiftV()->is_var_shift() &&
            UseAVX > 1
#line 18925 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6369 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 && !n->as_ShiftV()->is_var_shift() &&
            UseAVX <= 1
#line 18940 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6349 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 && !n->as_ShiftV()->is_var_shift()
#line 18954 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_LShiftVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vlshift_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9627 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 18975 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshiftv_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9611 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 18989 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshift_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshift_imm_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6829 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 19013 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_evex_bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6793 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19029 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6768 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19045 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8S_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6473 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19059 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_LShiftVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vlshift_mem_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9627 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19080 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshiftv_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9611 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19094 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshift_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshift_imm_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6850 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19117 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_var_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6504 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19140 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_LShiftVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vlshift_mem_masked_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9627 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19161 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshiftv_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9611 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19175 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshift_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vlshift_imm_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6867 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19198 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_var_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6558 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19221 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RShiftVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6744 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 64 &&
            n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 19239 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift64B_var_evex_bw_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6725 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 32 &&
            n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 19251 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_var_evex_bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6689 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 32 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19267 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6661 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19283 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6641 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19299 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8B_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6440 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 64 && !n->as_ShiftV()->is_var_shift()
#line 19313 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift64B_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6415 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 32 && !n->as_ShiftV()->is_var_shift()
#line 19327 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6394 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 && !n->as_ShiftV()->is_var_shift() &&
            UseAVX > 1
#line 19342 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6369 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 && !n->as_ShiftV()->is_var_shift() &&
            UseAVX <= 1
#line 19357 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6349 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 && !n->as_ShiftV()->is_var_shift()
#line 19371 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RShiftVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vrshift_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9689 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19392 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshiftv_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9673 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19406 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshift_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__RSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__RSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshift_imm_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6829 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 19430 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_evex_bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6793 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19446 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6768 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19462 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8S_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6473 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19476 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RShiftVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vrshift_mem_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9689 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19497 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshiftv_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9673 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19511 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshift_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__RSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__RSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshift_imm_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6850 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19534 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_var_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _RSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_RSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_imm_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6504 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19557 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RShiftVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vrshift_mem_masked_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9689 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19578 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshiftv_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9673 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19592 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshift_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__RSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__RSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vrshift_imm_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6899 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift() &&
            UseAVX > 2
#line 19616 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_arith_var_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6883 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 4 &&
            n->as_ShiftV()->is_var_shift() &&
            UseAVX == 2
#line 19632 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_arith_var_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6628 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift() && UseAVX > 2
#line 19646 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_arith_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6599 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift() && UseAVX <= 2
#line 19660 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_arith_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_URShiftVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6744 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 64 &&
            n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 19678 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift64B_var_evex_bw_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6725 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 32 &&
            n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 19690 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_var_evex_bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6689 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 32 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19706 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6661 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19722 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6641 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19738 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8B_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6440 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 64 && !n->as_ShiftV()->is_var_shift()
#line 19752 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift64B_avx_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6415 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 32 && !n->as_ShiftV()->is_var_shift()
#line 19766 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_avx_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6394 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 && !n->as_ShiftV()->is_var_shift() &&
            UseAVX > 1
#line 19781 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_avx_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6369 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 && !n->as_ShiftV()->is_var_shift() &&
            UseAVX <= 1
#line 19796 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6349 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 && !n->as_ShiftV()->is_var_shift()
#line 19810 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_URShiftVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vurshift_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9751 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19831 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshiftv_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9735 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19845 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshift_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__RSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__RSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshift_imm_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6829 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift() &&
            VM_Version::supports_avx512bw()
#line 19869 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_evex_bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6793 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 16 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19885 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6768 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 8 &&
            n->as_ShiftV()->is_var_shift() &&
            !VM_Version::supports_avx512bw()
#line 19901 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8S_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6473 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19915 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftS_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_URShiftVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vurshift_mem_masked_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9751 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19936 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshiftv_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9735 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19950 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshift_reg_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__RSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__RSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshift_imm_masked_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6850 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 19973 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_var_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _RSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_RSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_imm_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6504 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 19996 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_URShiftVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vurshift_mem_masked_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9751 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 20017 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshiftv_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 9735 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 20031 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshift_reg_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__RSHIFTCNTV_IMMI8_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__RSHIFTCNTV_IMMI8_]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vurshift_imm_masked_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6867 "src/hotspot/cpu/x86/x86.ad"
n->as_ShiftV()->is_var_shift()
#line 20054 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_var_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _RSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_RSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_imm_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6558 "src/hotspot/cpu/x86/x86.ad"
!n->as_ShiftV()->is_var_shift()
#line 20077 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AndV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vand_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vand_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6935 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 20108 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vand_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 6935 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 20123 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vand_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6924 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 20137 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vand_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6914 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 20151 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vand_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AndReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5020 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_SHORT
#line 20167 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, reductionS_1_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionS_1_rule, c)
        DFA_PRODUCTION(RBX_REGI, reductionS_1_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionS_1_rule, c)
        DFA_PRODUCTION(RCX_REGI, reductionS_1_rule, c)
        DFA_PRODUCTION(RDX_REGI, reductionS_1_rule, c)
        DFA_PRODUCTION(RDI_REGI, reductionS_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4999 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && VM_Version::supports_avx512bw()
#line 20184 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_avx512bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_avx512bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_avx512bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_avx512bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_avx512bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_avx512bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_avx512bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_avx512bw_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4981 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && !VM_Version::supports_avx512bw()
#line 20219 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4870 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && VM_Version::supports_avx512dq()
#line 20254 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(RREGL, reductionL_avx512dq_1_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_avx512dq_1_rule, c)
        DFA_PRODUCTION(RAX_REGL, reductionL_avx512dq_1_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_avx512dq_1_rule, c)
        DFA_PRODUCTION(RCX_REGL, reductionL_avx512dq_1_rule, c)
        DFA_PRODUCTION(RDX_REGL, reductionL_avx512dq_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4851 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && !VM_Version::supports_avx512dq()
#line 20269 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, reductionL_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, reductionL_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, reductionL_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, reductionL_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4829 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_INT
#line 20298 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionI_1_rule, c)
      }
    }
}
void  State::_sub_Op_OrV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vor_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vor_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6970 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 20350 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vor_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 6970 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 20365 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vor_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6959 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 20379 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vor_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6949 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 20393 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vor_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_OrReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5020 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_SHORT
#line 20409 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, reductionS_2_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionS_2_rule, c)
        DFA_PRODUCTION(RBX_REGI, reductionS_2_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionS_2_rule, c)
        DFA_PRODUCTION(RCX_REGI, reductionS_2_rule, c)
        DFA_PRODUCTION(RDX_REGI, reductionS_2_rule, c)
        DFA_PRODUCTION(RDI_REGI, reductionS_2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4999 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && VM_Version::supports_avx512bw()
#line 20426 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_avx512bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_avx512bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_avx512bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_avx512bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_avx512bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_avx512bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_avx512bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_avx512bw_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4981 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && !VM_Version::supports_avx512bw()
#line 20461 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4870 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && VM_Version::supports_avx512dq()
#line 20496 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(RREGL, reductionL_avx512dq_2_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_avx512dq_2_rule, c)
        DFA_PRODUCTION(RAX_REGL, reductionL_avx512dq_2_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_avx512dq_2_rule, c)
        DFA_PRODUCTION(RCX_REGL, reductionL_avx512dq_2_rule, c)
        DFA_PRODUCTION(RDX_REGL, reductionL_avx512dq_2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4851 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && !VM_Version::supports_avx512dq()
#line 20511 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, reductionL_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, reductionL_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, reductionL_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, reductionL_2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4829 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_INT
#line 20540 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionI_2_rule, c)
      }
    }
}
void  State::_sub_Op_XorV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vxor_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vxor_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7005 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 20592 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vxor_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 7005 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 8)
#line 20607 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vxor_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6994 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 20621 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vxor_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6984 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 20635 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vxor_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_XorReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5020 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_SHORT
#line 20651 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, reductionS_3_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionS_3_rule, c)
        DFA_PRODUCTION(RBX_REGI, reductionS_3_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionS_3_rule, c)
        DFA_PRODUCTION(RCX_REGI, reductionS_3_rule, c)
        DFA_PRODUCTION(RDX_REGI, reductionS_3_rule, c)
        DFA_PRODUCTION(RDI_REGI, reductionS_3_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4999 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && VM_Version::supports_avx512bw()
#line 20668 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_avx512bw_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_avx512bw_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_avx512bw_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_avx512bw_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_avx512bw_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_avx512bw_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_avx512bw_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_avx512bw_2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4981 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && !VM_Version::supports_avx512bw()
#line 20703 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4870 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && VM_Version::supports_avx512dq()
#line 20738 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(RREGL, reductionL_avx512dq_3_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_avx512dq_3_rule, c)
        DFA_PRODUCTION(RAX_REGL, reductionL_avx512dq_3_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_avx512dq_3_rule, c)
        DFA_PRODUCTION(RCX_REGL, reductionL_avx512dq_3_rule, c)
        DFA_PRODUCTION(RDX_REGL, reductionL_avx512dq_3_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4851 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && !VM_Version::supports_avx512dq()
#line 20753 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, reductionL_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, reductionL_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, reductionL_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, reductionL_3_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4829 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_INT
#line 20782 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionI_3_rule, c)
      }
    }
}
void  State::_sub_Op_MinV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vminv_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminv_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6120 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) == 64 &&
            is_floating_point_type(Matcher::vector_element_basic_type(n))
#line 20834 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, evminmaxFP_reg_eavx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 6098 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) <= 32 &&
            is_floating_point_type(Matcher::vector_element_basic_type(n)) && // T_FLOAT, T_DOUBLE
            UseAVX > 0
#line 20850 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, minmaxFP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6078 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_length_in_bytes(n) == 64 || VM_Version::supports_avx512vl()) &&
            Matcher::vector_element_basic_type(n) == T_LONG
#line 20865 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminmaxL_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 6060 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) <= 32 && Matcher::vector_element_basic_type(n) == T_LONG &&
            UseAVX > 0 && !VM_Version::supports_avx512vl()
#line 20880 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vminmaxL_reg_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6041 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) == 16 && Matcher::vector_element_basic_type(n) == T_LONG &&
            UseAVX == 0
#line 20895 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, minmaxL_reg_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6024 "src/hotspot/cpu/x86/x86.ad"
is_integral_type(Matcher::vector_element_basic_type(n)) && Matcher::vector_element_basic_type(n) != T_LONG && // T_BYTE, T_SHORT, T_INT
            UseAVX > 0
#line 20910 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminmax_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6008 "src/hotspot/cpu/x86/x86.ad"
is_integral_type(Matcher::vector_element_basic_type(n)) && Matcher::vector_element_basic_type(n) != T_LONG && // T_BYTE, T_SHORT, T_INT
            UseAVX == 0
#line 20925 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, minmax_reg_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MaxV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC__LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vmaxv_mem_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmaxv_reg_masked_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6120 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) == 64 &&
            is_floating_point_type(Matcher::vector_element_basic_type(n))
#line 20956 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, evminmaxFP_reg_eavx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 6098 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) <= 32 &&
            is_floating_point_type(Matcher::vector_element_basic_type(n)) && // T_FLOAT, T_DOUBLE
            UseAVX > 0
#line 20972 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, minmaxFP_reg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6078 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_length_in_bytes(n) == 64 || VM_Version::supports_avx512vl()) &&
            Matcher::vector_element_basic_type(n) == T_LONG
#line 20987 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminmaxL_reg_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 6060 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) <= 32 && Matcher::vector_element_basic_type(n) == T_LONG &&
            UseAVX > 0 && !VM_Version::supports_avx512vl()
#line 21002 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vminmaxL_reg_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6041 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) == 16 && Matcher::vector_element_basic_type(n) == T_LONG &&
            UseAVX == 0
#line 21017 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, minmaxL_reg_sse_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6024 "src/hotspot/cpu/x86/x86.ad"
is_integral_type(Matcher::vector_element_basic_type(n)) && Matcher::vector_element_basic_type(n) != T_LONG && // T_BYTE, T_SHORT, T_INT
            UseAVX > 0
#line 21032 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminmax_reg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6008 "src/hotspot/cpu/x86/x86.ad"
is_integral_type(Matcher::vector_element_basic_type(n)) && Matcher::vector_element_basic_type(n) != T_LONG && // T_BYTE, T_SHORT, T_INT
            UseAVX == 0
#line 21047 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, minmax_reg_sse_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MinReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5221 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            Matcher::vector_length(n->in(2)) >= 4
#line 21064 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGREGD, minmax_reductionD_av_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5201 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            Matcher::vector_length(n->in(2)) == 2
#line 21077 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reduction2D_av_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5178 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeD::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeD::NEG_INF)) &&
            Matcher::vector_length(n->in(2)) >= 4
#line 21100 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reductionD_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5156 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeD::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeD::NEG_INF)) &&
            Matcher::vector_length(n->in(2)) == 2
#line 21123 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reduction2D_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5134 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_FLOAT &&
            Matcher::vector_length(n->in(2)) >= 4
#line 21144 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGREGF, minmax_reductionF_av_rule, c)
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5114 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_FLOAT &&
            Matcher::vector_length(n->in(2)) == 2
#line 21157 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reduction2F_av_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5093 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_FLOAT &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeF::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeF::NEG_INF)) &&
            Matcher::vector_length(n->in(2)) >= 4
#line 21180 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reductionF_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5072 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_FLOAT &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeF::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeF::NEG_INF)) &&
            Matcher::vector_length(n->in(2)) == 2
#line 21203 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reduction2F_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5020 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_SHORT
#line 21223 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, reductionS_4_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionS_4_rule, c)
        DFA_PRODUCTION(RBX_REGI, reductionS_4_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionS_4_rule, c)
        DFA_PRODUCTION(RCX_REGI, reductionS_4_rule, c)
        DFA_PRODUCTION(RDX_REGI, reductionS_4_rule, c)
        DFA_PRODUCTION(RDI_REGI, reductionS_4_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4999 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && VM_Version::supports_avx512bw()
#line 21240 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_avx512bw_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_avx512bw_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_avx512bw_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_avx512bw_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_avx512bw_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_avx512bw_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_avx512bw_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_avx512bw_3_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4981 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && !VM_Version::supports_avx512bw()
#line 21275 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_3_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4870 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && VM_Version::supports_avx512dq()
#line 21310 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(RREGL, reductionL_avx512dq_4_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_avx512dq_4_rule, c)
        DFA_PRODUCTION(RAX_REGL, reductionL_avx512dq_4_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_avx512dq_4_rule, c)
        DFA_PRODUCTION(RCX_REGL, reductionL_avx512dq_4_rule, c)
        DFA_PRODUCTION(RDX_REGL, reductionL_avx512dq_4_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4851 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && !VM_Version::supports_avx512dq()
#line 21325 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, reductionL_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, reductionL_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, reductionL_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, reductionL_4_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4829 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_INT
#line 21354 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionI_4_rule, c)
      }
    }
}
void  State::_sub_Op_MaxReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5221 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            Matcher::vector_length(n->in(2)) >= 4
#line 21392 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGREGD, minmax_reductionD_av_0_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5201 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            Matcher::vector_length(n->in(2)) == 2
#line 21405 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reduction2D_av_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5178 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeD::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeD::NEG_INF)) &&
            Matcher::vector_length(n->in(2)) >= 4
#line 21428 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reductionD_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5156 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeD::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeD::NEG_INF)) &&
            Matcher::vector_length(n->in(2)) == 2
#line 21451 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reduction2D_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5134 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_FLOAT &&
            Matcher::vector_length(n->in(2)) >= 4
#line 21472 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGREGF, minmax_reductionF_av_0_rule, c)
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5114 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_FLOAT &&
            Matcher::vector_length(n->in(2)) == 2
#line 21485 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reduction2F_av_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5093 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_FLOAT &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeF::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeF::NEG_INF)) &&
            Matcher::vector_length(n->in(2)) >= 4
#line 21508 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reductionF_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5072 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_FLOAT &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeF::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeF::NEG_INF)) &&
            Matcher::vector_length(n->in(2)) == 2
#line 21531 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reduction2F_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5020 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_SHORT
#line 21551 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, reductionS_5_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionS_5_rule, c)
        DFA_PRODUCTION(RBX_REGI, reductionS_5_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionS_5_rule, c)
        DFA_PRODUCTION(RCX_REGI, reductionS_5_rule, c)
        DFA_PRODUCTION(RDX_REGI, reductionS_5_rule, c)
        DFA_PRODUCTION(RDI_REGI, reductionS_5_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4999 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && VM_Version::supports_avx512bw()
#line 21568 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_avx512bw_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_avx512bw_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_avx512bw_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_avx512bw_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_avx512bw_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_avx512bw_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_avx512bw_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_avx512bw_4_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4981 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_BYTE && !VM_Version::supports_avx512bw()
#line 21603 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionB_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionB_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionB_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionB_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionB_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionB_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionB_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionB_4_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4870 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && VM_Version::supports_avx512dq()
#line 21638 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(RREGL, reductionL_avx512dq_5_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_avx512dq_5_rule, c)
        DFA_PRODUCTION(RAX_REGL, reductionL_avx512dq_5_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_avx512dq_5_rule, c)
        DFA_PRODUCTION(RCX_REGL, reductionL_avx512dq_5_rule, c)
        DFA_PRODUCTION(RDX_REGL, reductionL_avx512dq_5_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4851 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_LONG && !VM_Version::supports_avx512dq()
#line 21653 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, reductionL_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, reductionL_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, reductionL_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, reductionL_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, reductionL_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, reductionL_5_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4829 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n->in(2)) == T_INT
#line 21682 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, reductionI_5_rule, c)
      }
    }
}
void  State::_sub_Op_CompressV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vcompress_expand_reg_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_CompressM(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], KREG) ) {
      unsigned int c = _kids[0]->_cost[KREG]+100;
        DFA_PRODUCTION(KREG, vcompress_mask_reg_evex_rule, c)
    }
}
void  State::_sub_Op_ExpandV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vcompress_expand_reg_evex_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_LoadVector(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(VEC, loadV_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADVECTOR_MEMORY_, _LoadVector_memory__rule, c)
    }
}
void  State::_sub_Op_LoadVectorGather(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4067 "src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512vl() || Matcher::vector_length_in_bytes(n) == 64
#line 21750 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, evgather_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4042 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512vl() && Matcher::vector_length_in_bytes(n) <= 32
#line 21760 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, gather_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
}
void  State::_sub_Op_LoadVectorGatherMasked(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_KREG) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_VEC_KREG]+100;
        DFA_PRODUCTION(VEC, evgather_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_StoreVector(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[VEC]+145;
        DFA_PRODUCTION(UNIVERSE, storeV_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _VECTORCASTF2HF_VEC_) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_VECTORCASTF2HF_VEC_]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, vconvF2HF_mem_reg_rule, c)
      }
    }
}
void  State::_sub_Op_StoreVectorScatter(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) &&
        (
#line 4109 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 2
#line 21795 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_VEC_VEC]+100;
        DFA_PRODUCTION(UNIVERSE, scatter_rule, c)
    }
}
void  State::_sub_Op_StoreVectorScatterMasked(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC__BINARY_VEC_KREG) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_VEC__BINARY_VEC_KREG]+100;
        DFA_PRODUCTION(UNIVERSE, scatter_masked_rule, c)
    }
}
void  State::_sub_Op_LoadVectorMasked(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 8924 "src/hotspot/cpu/x86/x86.ad"
n->in(3)->bottom_type()->isa_vectmask()
#line 21812 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vmasked_load_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8911 "src/hotspot/cpu/x86/x86.ad"
!n->in(3)->bottom_type()->isa_vectmask()
#line 21822 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmasked_load_avx_non_subword_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_StoreVectorMasked(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_KREG) &&
        (
#line 8949 "src/hotspot/cpu/x86/x86.ad"
n->in(3)->in(2)->bottom_type()->isa_vectmask()
#line 21838 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_VEC_KREG]+100;
        DFA_PRODUCTION(UNIVERSE, vmasked_store_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) &&
        (
#line 8936 "src/hotspot/cpu/x86/x86.ad"
!n->in(3)->in(2)->bottom_type()->isa_vectmask()
#line 21847 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_VEC_VEC]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, vmasked_store_avx_non_subword_rule, c)
      }
    }
}
void  State::_sub_Op_VectorCmpMasked(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_KREG) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_KREG]+100;
        DFA_PRODUCTION(RREGI, vmask_cmp_node_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, vmask_cmp_node_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_cmp_node_rule, c)
        DFA_PRODUCTION(RBX_REGI, vmask_cmp_node_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_cmp_node_rule, c)
        DFA_PRODUCTION(RCX_REGI, vmask_cmp_node_rule, c)
        DFA_PRODUCTION(RDX_REGI, vmask_cmp_node_rule, c)
        DFA_PRODUCTION(RDI_REGI, vmask_cmp_node_rule, c)
    }
}
void  State::_sub_Op_VectorMaskGen(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMML) ) {
      unsigned int c = _kids[0]->_cost[IMML]+100;
        DFA_PRODUCTION(KREG, vmask_gen_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, vmask_gen_rule, c)
      }
    }
}
void  State::_sub_Op_VectorMaskTrueCount(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _VECTORSTOREMASK_VEC_IMMI) &&
        (
#line 9092 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->in(1)->bottom_type()->isa_vectmask() == NULL
#line 21886 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_VECTORSTOREMASK_VEC_IMMI]+100;
        DFA_PRODUCTION(RREGI, vmask_truecount_avx_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, vmask_truecount_avx_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_truecount_avx_rule, c)
        DFA_PRODUCTION(RBX_REGI, vmask_truecount_avx_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_truecount_avx_rule, c)
        DFA_PRODUCTION(RCX_REGI, vmask_truecount_avx_rule, c)
        DFA_PRODUCTION(RDX_REGI, vmask_truecount_avx_rule, c)
        DFA_PRODUCTION(RDI_REGI, vmask_truecount_avx_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 9076 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 21903 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, vmask_truecount_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, vmask_truecount_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_truecount_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, vmask_truecount_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_truecount_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, vmask_truecount_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, vmask_truecount_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, vmask_truecount_bool_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) &&
        (
#line 9059 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask()
#line 21938 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, vmask_truecount_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, vmask_truecount_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_truecount_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, vmask_truecount_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_truecount_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, vmask_truecount_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, vmask_truecount_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, vmask_truecount_evex_rule, c)
      }
    }
}
void  State::_sub_Op_VectorMaskFirstTrue(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _VECTORSTOREMASK_VEC_IMMI) && _kids[1] == nullptr &&
        (
#line 9143 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->in(1)->bottom_type()->isa_vectmask() == NULL
#line 21975 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_VECTORSTOREMASK_VEC_IMMI]+100;
        DFA_PRODUCTION(RREGI, vmask_first_or_last_true_avx_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, vmask_first_or_last_true_avx_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_first_or_last_true_avx_rule, c)
        DFA_PRODUCTION(RBX_REGI, vmask_first_or_last_true_avx_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_first_or_last_true_avx_rule, c)
        DFA_PRODUCTION(RCX_REGI, vmask_first_or_last_true_avx_rule, c)
        DFA_PRODUCTION(RDX_REGI, vmask_first_or_last_true_avx_rule, c)
        DFA_PRODUCTION(RDI_REGI, vmask_first_or_last_true_avx_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 9126 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 21992 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, vmask_first_or_last_true_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, vmask_first_or_last_true_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_first_or_last_true_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, vmask_first_or_last_true_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_first_or_last_true_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, vmask_first_or_last_true_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, vmask_first_or_last_true_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, vmask_first_or_last_true_bool_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) && _kids[1] == nullptr &&
        (
#line 9108 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask()
#line 22027 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, vmask_first_or_last_true_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, vmask_first_or_last_true_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_first_or_last_true_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, vmask_first_or_last_true_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_first_or_last_true_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, vmask_first_or_last_true_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, vmask_first_or_last_true_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, vmask_first_or_last_true_evex_rule, c)
      }
    }
}
void  State::_sub_Op_VectorMaskLastTrue(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _VECTORSTOREMASK_VEC_IMMI) &&
        (
#line 9143 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->in(1)->bottom_type()->isa_vectmask() == NULL
#line 22064 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_VECTORSTOREMASK_VEC_IMMI]+100;
        DFA_PRODUCTION(RREGI, vmask_first_or_last_true_avx_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, vmask_first_or_last_true_avx_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_first_or_last_true_avx_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, vmask_first_or_last_true_avx_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_first_or_last_true_avx_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, vmask_first_or_last_true_avx_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, vmask_first_or_last_true_avx_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, vmask_first_or_last_true_avx_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 9126 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 22081 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, vmask_first_or_last_true_bool_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, vmask_first_or_last_true_bool_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_first_or_last_true_bool_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, vmask_first_or_last_true_bool_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_first_or_last_true_bool_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, vmask_first_or_last_true_bool_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, vmask_first_or_last_true_bool_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, vmask_first_or_last_true_bool_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) &&
        (
#line 9108 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask()
#line 22116 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, vmask_first_or_last_true_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, vmask_first_or_last_true_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, vmask_first_or_last_true_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, vmask_first_or_last_true_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vmask_first_or_last_true_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, vmask_first_or_last_true_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, vmask_first_or_last_true_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, vmask_first_or_last_true_evex_0_rule, c)
      }
    }
}
void  State::_sub_Op_VectorMaskToLong(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _VECTORSTOREMASK_VEC_IMMI) &&
        (
#line 9043 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->in(1)->bottom_type()->isa_vectmask() == NULL
#line 22153 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_VECTORSTOREMASK_VEC_IMMI]+100;
        DFA_PRODUCTION(RREGL, vmask_tolong_avx_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, vmask_tolong_avx_rule, c)
        DFA_PRODUCTION(RAX_REGL, vmask_tolong_avx_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, vmask_tolong_avx_rule, c)
        DFA_PRODUCTION(RCX_REGL, vmask_tolong_avx_rule, c)
        DFA_PRODUCTION(RDX_REGL, vmask_tolong_avx_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 9027 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 22168 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, vmask_tolong_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, vmask_tolong_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, vmask_tolong_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, vmask_tolong_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, vmask_tolong_bool_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, vmask_tolong_bool_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) &&
        (
#line 9010 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask()
#line 22197 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, vmask_tolong_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, vmask_tolong_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, vmask_tolong_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, vmask_tolong_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, vmask_tolong_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, vmask_tolong_evex_rule, c)
      }
    }
}
void  State::_sub_Op_VectorLongToMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 10008 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask()
#line 22228 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(KREG, long_to_mask_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 9993 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() == NULL && Matcher::vector_length(n) > 8
#line 22237 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
        DFA_PRODUCTION(VEC, long_to_maskGT8_avx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) &&
        (
#line 9978 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() == NULL && Matcher::vector_length(n) <= 8
#line 22247 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, long_to_maskLE8_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_M1) &&
        (
#line 4315 "src/hotspot/cpu/x86/x86.ad"
UseSSE >= 2
#line 22263 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMI_M1]+100;
        DFA_PRODUCTION(VEC, ReplI_M1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_zero_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI) ) {
      unsigned int c = _kids[0]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) &&
        (
#line 4184 "src/hotspot/cpu/x86/x86.ad"
UseAVX >= 2
#line 22291 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplB_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 4167 "src/hotspot/cpu/x86/x86.ad"
UseAVX < 2
#line 22305 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 4149 "src/hotspot/cpu/x86/x86.ad"
UseAVX >= 2
#line 22319 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vReplB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_M1) &&
        (
#line 4315 "src/hotspot/cpu/x86/x86.ad"
UseSSE >= 2
#line 22335 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMI_M1]+100;
        DFA_PRODUCTION(VEC, ReplI_M1_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_zero_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI) ) {
      unsigned int c = _kids[0]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_imm_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADS_MEMORY_) &&
        (
#line 4232 "src/hotspot/cpu/x86/x86.ad"
UseAVX >= 2
#line 22363 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADS_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplS_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 4215 "src/hotspot/cpu/x86/x86.ad"
UseAVX < 2
#line 22377 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 4197 "src/hotspot/cpu/x86/x86.ad"
UseAVX >= 2
#line 22391 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vReplS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_M1) &&
        (
#line 4315 "src/hotspot/cpu/x86/x86.ad"
UseSSE >= 2
#line 22407 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMI_M1]+100;
        DFA_PRODUCTION(VEC, ReplI_M1_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_zero_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI) ) {
      unsigned int c = _kids[0]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_imm_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMML_M1) &&
        (
#line 4449 "src/hotspot/cpu/x86/x86.ad"
UseSSE >= 2
#line 22455 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMML_M1]+100;
        DFA_PRODUCTION(VEC, ReplL_M1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMML0) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplL_zero_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMML) ) {
      unsigned int c = _kids[0]->_cost[IMML]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplL_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMF0) ) {
      unsigned int c = _kids[0]->_cost[IMMF0]+100;
        DFA_PRODUCTION(VEC, ReplF_zero_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) &&
        (
#line 4492 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 22517 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VLREGF) &&
        (
#line 4482 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 22531 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGF]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VLREGF) &&
        (
#line 4462 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 22545 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGF]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vReplF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMD0) ) {
      unsigned int c = _kids[0]->_cost[IMMD0]+100;
        DFA_PRODUCTION(VEC, ReplD_zero_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) &&
        (
#line 4563 "src/hotspot/cpu/x86/x86.ad"
UseSSE >= 3
#line 22575 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VLREGD) &&
        (
#line 4553 "src/hotspot/cpu/x86/x86.ad"
UseSSE < 3
#line 22589 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGD]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VLREGD) &&
        (
#line 4533 "src/hotspot/cpu/x86/x86.ad"
UseSSE >= 3
#line 22603 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGD]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vReplD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RoundVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7423 "src/hotspot/cpu/x86/x86.ad"
(VM_Version::supports_avx512vl() ||
             Matcher::vector_length_in_bytes(n) == 64) &&
             Matcher::vector_element_basic_type(n) == T_INT
#line 22621 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vround_float_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7406 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512vl() &&
            Matcher::vector_length_in_bytes(n) < 64 &&
            Matcher::vector_element_basic_type(n) == T_INT
#line 22633 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vround_float_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RoundVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7440 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_LONG
#line 22649 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vround_reg_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_ExtractB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7679 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) == 32 || // src
            Matcher::vector_length_in_bytes(n->in(1)) == 64
#line 22662 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(RREGI, vextractI_1_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, vextractI_1_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, vextractI_1_rule, c)
        DFA_PRODUCTION(RBX_REGI, vextractI_1_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vextractI_1_rule, c)
        DFA_PRODUCTION(RCX_REGI, vextractI_1_rule, c)
        DFA_PRODUCTION(RDX_REGI, vextractI_1_rule, c)
        DFA_PRODUCTION(RDI_REGI, vextractI_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7662 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) <= 16
#line 22679 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, extractI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, extractI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, extractI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, extractI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, extractI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, extractI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, extractI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, extractI_1_rule, c)
      }
    }
}
void  State::_sub_Op_ExtractS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7679 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) == 32 || // src
            Matcher::vector_length_in_bytes(n->in(1)) == 64
#line 22717 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(RREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, vextractI_0_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, vextractI_0_rule, c)
        DFA_PRODUCTION(RBX_REGI, vextractI_0_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vextractI_0_rule, c)
        DFA_PRODUCTION(RCX_REGI, vextractI_0_rule, c)
        DFA_PRODUCTION(RDX_REGI, vextractI_0_rule, c)
        DFA_PRODUCTION(RDI_REGI, vextractI_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7662 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) <= 16
#line 22734 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, extractI_0_rule, c)
      }
    }
}
void  State::_sub_Op_ExtractI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7679 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) == 32 || // src
            Matcher::vector_length_in_bytes(n->in(1)) == 64
#line 22772 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(RREGI, vextractI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, vextractI_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, vextractI_rule, c)
        DFA_PRODUCTION(RBX_REGI, vextractI_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, vextractI_rule, c)
        DFA_PRODUCTION(RCX_REGI, vextractI_rule, c)
        DFA_PRODUCTION(RDX_REGI, vextractI_rule, c)
        DFA_PRODUCTION(RDI_REGI, vextractI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7662 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) <= 16
#line 22789 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(RAX_REGI) || _cost[RAX_REGI] > c) {
        DFA_PRODUCTION(RAX_REGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGI) || _cost[NO_RBP_R13_REGI] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RBX_REGI) || _cost[RBX_REGI] > c) {
        DFA_PRODUCTION(RBX_REGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGI) || _cost[NO_RAX_RDX_REGI] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGI) || _cost[RCX_REGI] > c) {
        DFA_PRODUCTION(RCX_REGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGI) || _cost[RDX_REGI] > c) {
        DFA_PRODUCTION(RDX_REGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDI_REGI) || _cost[RDI_REGI] > c) {
        DFA_PRODUCTION(RDI_REGI, extractI_rule, c)
      }
    }
}
void  State::_sub_Op_ExtractL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7713 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(1)) == 4 || // src
            Matcher::vector_length(n->in(1)) == 8
#line 22827 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
        DFA_PRODUCTION(RREGL, vextractL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
        DFA_PRODUCTION(NO_RAX_RDX_REGL, vextractL_rule, c)
        DFA_PRODUCTION(RAX_REGL, vextractL_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGL, vextractL_rule, c)
        DFA_PRODUCTION(RCX_REGL, vextractL_rule, c)
        DFA_PRODUCTION(RDX_REGL, vextractL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7700 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(1)) <= 2
#line 22842 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(RREGL) || _cost[RREGL] > c) {
        DFA_PRODUCTION(RREGL, extractL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+100) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NO_RAX_RDX_REGL) || _cost[NO_RAX_RDX_REGL] > c) {
        DFA_PRODUCTION(NO_RAX_RDX_REGL, extractL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RAX_REGL) || _cost[RAX_REGL] > c) {
        DFA_PRODUCTION(RAX_REGL, extractL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NO_RBP_R13_REGL) || _cost[NO_RBP_R13_REGL] > c) {
        DFA_PRODUCTION(NO_RBP_R13_REGL, extractL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RCX_REGL) || _cost[RCX_REGL] > c) {
        DFA_PRODUCTION(RCX_REGL, extractL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RDX_REGL) || _cost[RDX_REGL] > c) {
        DFA_PRODUCTION(RDX_REGL, extractL_rule, c)
      }
    }
}
void  State::_sub_Op_ExtractF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7742 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(1)/*src*/) == 8 ||
            Matcher::vector_length(n->in(1)/*src*/) == 16
#line 22874 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
        DFA_PRODUCTION(LEGREGF, vextractF_rule, c)
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7729 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(1)) <= 4
#line 22886 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, extractF_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTF, storeSSF_rule, c+100+95)
      }
    }
}
void  State::_sub_Op_ExtractD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7769 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(1)) == 4 || // src
            Matcher::vector_length(n->in(1)) == 8
#line 22909 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
        DFA_PRODUCTION(LEGREGD, vextractD_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7757 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(1)) == 2
#line 22921 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, extractD_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c+100+95) {
        DFA_PRODUCTION(STACKSLOTD, storeSSD_rule, c+100+95)
      }
    }
}
void  State::_sub_Op_VectorMaskCmp(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_IMMI8_KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY_IMMI8_KREG]+100;
        DFA_PRODUCTION(KREG, evcmp_masked_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 7622 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() &&
            is_integral_type(Matcher::vector_element_basic_type(n->in(1)->in(1)))
#line 22948 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, evcmp_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 7587 "src/hotspot/cpu/x86/x86.ad"
(n->bottom_type()->isa_vectmask() == NULL &&
             Matcher::vector_length_in_bytes(n->in(1)->in(1)) == 64) && // src1
             is_integral_type(Matcher::vector_element_basic_type(n->in(1)->in(1)))
#line 22961 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[IMMI8]+100;
        DFA_PRODUCTION(VEC, vcmp64_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 7560 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() == NULL &&
            Matcher::is_unsigned_booltest_pred(n->in(2)->get_int()) &&
            Matcher::vector_length_in_bytes(n->in(1)->in(1)) >=  4 && // src1
            Matcher::vector_length_in_bytes(n->in(1)->in(1)) <= 32 && // src1
            is_integral_type(Matcher::vector_element_basic_type(n->in(1)->in(1)))
#line 22975 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vcmpu_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 7539 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() == NULL &&
            !Matcher::is_unsigned_booltest_pred(n->in(2)->get_int()) &&
            Matcher::vector_length_in_bytes(n->in(1)->in(1)) >=  4 && // src1
            Matcher::vector_length_in_bytes(n->in(1)->in(1)) <= 32 && // src1
            is_integral_type(Matcher::vector_element_basic_type(n->in(1)->in(1))) &&
            (n->in(2)->get_int() == BoolTest::ne ||
             n->in(2)->get_int() == BoolTest::le ||
             n->in(2)->get_int() == BoolTest::ge)
#line 22996 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vcmp_negate_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 7519 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() == NULL &&
            !Matcher::is_unsigned_booltest_pred(n->in(2)->get_int()) &&
            Matcher::vector_length_in_bytes(n->in(1)->in(1)) >=  4 && // src1
            Matcher::vector_length_in_bytes(n->in(1)->in(1)) <= 32 && // src1
            is_integral_type(Matcher::vector_element_basic_type(n->in(1)->in(1))) &&
            (n->in(2)->get_int() == BoolTest::eq ||
             n->in(2)->get_int() == BoolTest::lt ||
             n->in(2)->get_int() == BoolTest::gt)
#line 23017 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vcmp_direct_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 7500 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() &&
            is_floating_point_type(Matcher::vector_element_basic_type(n->in(1)->in(1)))
#line 23032 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, evcmpFD_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 7478 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)->in(1)) == 64 && // src1
            n->bottom_type()->isa_vectmask() == NULL &&
            is_floating_point_type(Matcher::vector_element_basic_type(n->in(1)->in(1)))
#line 23045 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, evcmpFD64_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 7459 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() == NULL &&
            Matcher::vector_length_in_bytes(n->in(1)->in(1)) >=  8 && // src1
            Matcher::vector_length_in_bytes(n->in(1)->in(1)) <= 32 && // src1
            is_floating_point_type(Matcher::vector_element_basic_type(n->in(1)->in(1)))
#line 23062 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vcmpFD_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorMaskCast(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8269 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) != Matcher::vector_length_in_bytes(n->in(1))
#line 23078 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmaskcast_avx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8258 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) == Matcher::vector_length_in_bytes(n->in(1))
#line 23088 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC];
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmaskcast_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) ) {
      unsigned int c = _kids[0]->_cost[KREG];
        DFA_PRODUCTION(KREG, vmaskcast_evex_rule, c)
    }
}
void  State::_sub_Op_VectorTest(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 8033 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n->in(1)) >= 16 ||
            (Matcher::vector_length(n->in(1)) == 8 && VM_Version::supports_avx512dq())
#line 23109 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(RFLAGSREGU, ktest_ge8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 8018 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_length(n->in(1)) < 8 ||
             (Matcher::vector_length(n->in(1)) == 8 && !VM_Version::supports_avx512dq())) &&
            static_cast<const VectorTestNode*>(n)->get_predicate() == BoolTest::ne
#line 23120 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, ktest_anytrue_le8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 8002 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_length(n->in(1)) < 8 ||
             (Matcher::vector_length(n->in(1)) == 8 && !VM_Version::supports_avx512dq())) &&
            static_cast<const VectorTestNode*>(n)->get_predicate() == BoolTest::overflow
#line 23133 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, ktest_alltrue_le8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 7990 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) >= 16
#line 23144 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, vptest_ge16_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 7977 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n->in(1)) < 16
#line 23155 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RFLAGSREGU) || _cost[RFLAGSREGU] > c) {
        DFA_PRODUCTION(RFLAGSREGU, vptest_lt16_rule, c)
      }
    }
}
void  State::_sub_Op_VectorBlend(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) &&
        (
#line 7846 "src/hotspot/cpu/x86/x86.ad"
n->in(2)->bottom_type()->isa_vectmask() &&
            (!is_subword_type(Matcher::vector_element_basic_type(n)) ||
             VM_Version::supports_avx512bw())
#line 23170 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, evblendvp64_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7830 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) == 64 &&
            n->in(2)->bottom_type()->isa_vectmask() == NULL
#line 23181 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, evblendvp64_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 7816 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            n->in(2)->bottom_type()->isa_vectmask() == NULL &&
            Matcher::vector_length_in_bytes(n) <= 32 &&
            !is_integral_type(Matcher::vector_element_basic_type(n))
#line 23198 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vblendvpFD_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 7802 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            n->in(2)->bottom_type()->isa_vectmask() == NULL &&
            Matcher::vector_length_in_bytes(n) <= 32 &&
            is_integral_type(Matcher::vector_element_basic_type(n))
#line 23215 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vblendvpI_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7786 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 23229 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, blendvp_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorRearrange(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(VEC, vrearrangev_reg_masked_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8638 "src/hotspot/cpu/x86/x86.ad"
is_double_word_type(Matcher::vector_element_basic_type(n)) && // T_LONG, T_DOUBLE
            (Matcher::vector_length(n) == 8 || VM_Version::supports_avx512vl())
#line 23251 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8610 "src/hotspot/cpu/x86/x86.ad"
is_double_word_type(Matcher::vector_element_basic_type(n)) && // T_LONG, T_DOUBLE
            Matcher::vector_length(n) < 8 && !VM_Version::supports_avx512vl()
#line 23266 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8568 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_element_basic_type(n) == T_INT || Matcher::vector_element_basic_type(n) == T_FLOAT) &&
            UseAVX > 0
#line 23281 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeI_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8544 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_element_basic_type(n) == T_INT || Matcher::vector_element_basic_type(n) == T_FLOAT) &&
            UseAVX == 0
#line 23296 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8497 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_SHORT &&
            VM_Version::supports_avx512bw()
#line 23311 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeS_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8460 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_SHORT &&
            Matcher::vector_length(n) == 16 && !VM_Version::supports_avx512bw()
#line 23326 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, rearrangeS_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8448 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_SHORT &&
            Matcher::vector_length(n) <= 8 && !VM_Version::supports_avx512bw()
#line 23341 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8392 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_BYTE &&
            Matcher::vector_length(n) >= 32 && VM_Version::supports_avx512_vbmi()
#line 23356 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeB_evex_vbmi_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8377 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_BYTE &&
            Matcher::vector_length(n) > 32 && !VM_Version::supports_avx512_vbmi()
#line 23371 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8354 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_BYTE &&
            Matcher::vector_length(n) == 32 && !VM_Version::supports_avx512_vbmi()
#line 23386 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, rearrangeB_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8342 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_BYTE &&
            Matcher::vector_length(n) < 32
#line 23401 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorLoadMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8073 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() && VM_Version::supports_avx512vlbw()
#line 23417 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(KREG, loadMask_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && _kids[1] == nullptr &&
        (
#line 8061 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() && !VM_Version::supports_avx512vlbw()
#line 23426 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, loadMask64_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && _kids[1] == nullptr &&
        (
#line 8048 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() == NULL && !VM_Version::supports_avx512vlbw()
#line 23437 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGVEC, loadMask_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
}
void  State::_sub_Op_VectorLoadShuffle(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8624 "src/hotspot/cpu/x86/x86.ad"
is_double_word_type(Matcher::vector_element_basic_type(n)) && // T_LONG, T_DOUBLE
            (Matcher::vector_length(n) == 8 || VM_Version::supports_avx512vl())
#line 23450 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, loadShuffleL_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8583 "src/hotspot/cpu/x86/x86.ad"
is_double_word_type(Matcher::vector_element_basic_type(n)) && // T_LONG, T_DOUBLE
            Matcher::vector_length(n) < 8 && !VM_Version::supports_avx512vl()
#line 23461 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8556 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_element_basic_type(n) == T_INT || Matcher::vector_element_basic_type(n) == T_FLOAT) &&
            UseAVX > 0
#line 23476 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleI_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8514 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_element_basic_type(n) == T_INT || Matcher::vector_element_basic_type(n) == T_FLOAT) &&
            Matcher::vector_length(n) == 4 && UseAVX == 0
#line 23491 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8482 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_SHORT &&
            VM_Version::supports_avx512bw()
#line 23506 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleS_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8406 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_SHORT &&
            Matcher::vector_length(n) <= 16 && !VM_Version::supports_avx512bw()
#line 23521 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 8332 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_BYTE
#line 23535 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorLoadConst(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+100;
        DFA_PRODUCTION(VEC, loadIotaIndices_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorStoreMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_VECTORSTOREMASK_VEC_IMMI, _VectorStoreMask_vec_immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 8235 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask() && VM_Version::supports_avx512vlbw()
#line 23562 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(VEC, vstoreMask_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 8221 "src/hotspot/cpu/x86/x86.ad"
n->in(1)->bottom_type()->isa_vectmask() && !VM_Version::supports_avx512vlbw()
#line 23572 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask_evex_vectmask_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_8) &&
        (
#line 8205 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 && n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 23586 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask8B_evex_novectmask_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_4) &&
        (
#line 8189 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 && n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 23600 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_4]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask4B_evex_novectmask_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_8) &&
        (
#line 8171 "src/hotspot/cpu/x86/x86.ad"
UseAVX <= 2 && Matcher::vector_length(n) == 4
#line 23614 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, storeMask8B_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_8) &&
        (
#line 8155 "src/hotspot/cpu/x86/x86.ad"
UseAVX <= 2 && Matcher::vector_length(n) == 2
#line 23628 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, storeMask8B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_4) &&
        (
#line 8129 "src/hotspot/cpu/x86/x86.ad"
UseAVX <= 2 && Matcher::vector_length(n) <= 8 && n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 23642 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_4]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask4B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_2) &&
        (
#line 8106 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 16 && n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 23656 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_2]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_1) &&
        (
#line 8088 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) < 64 && n->in(1)->bottom_type()->isa_vectmask() == NULL
#line 23670 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask1B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorReinterpret(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) &&
        (
#line 3847 "src/hotspot/cpu/x86/x86.ad"
!n->bottom_type()->isa_vectmask() &&
            Matcher::vector_length_in_bytes(n->in(1)) > Matcher::vector_length_in_bytes(n)
#line 23687 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+125;
        DFA_PRODUCTION(VEC, reinterpret_shrink_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 3828 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            !n->bottom_type()->isa_vectmask() &&
            (Matcher::vector_length_in_bytes(n->in(1)) > 4) && // src
            (Matcher::vector_length_in_bytes(n->in(1)) < Matcher::vector_length_in_bytes(n))
#line 23700 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vreinterpret_expand_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 3813 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            !n->bottom_type()->isa_vectmask() &&
            (Matcher::vector_length_in_bytes(n->in(1)) == 4) && // src
            (Matcher::vector_length_in_bytes(n->in(1)) < Matcher::vector_length_in_bytes(n))
#line 23717 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vreinterpret_expand4_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 3790 "src/hotspot/cpu/x86/x86.ad"
UseAVX == 0 &&
            (Matcher::vector_length_in_bytes(n->in(1)) < Matcher::vector_length_in_bytes(n))
#line 23732 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, reinterpret_expand_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 3778 "src/hotspot/cpu/x86/x86.ad"
!n->bottom_type()->isa_vectmask() &&
            Matcher::vector_length_in_bytes(n) == Matcher::vector_length_in_bytes(n->in(1))
#line 23747 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, reinterpret_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) &&
        (
#line 3757 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 && Matcher::vector_length(n) != Matcher::vector_length(n->in(1)) &&
            n->bottom_type()->isa_vectmask() &&
            n->in(1)->bottom_type()->isa_vectmask() &&
            (n->in(1)->bottom_type()->is_vectmask()->element_basic_type() == T_LONG ||
             n->in(1)->bottom_type()->is_vectmask()->element_basic_type() == T_DOUBLE) &&
            n->bottom_type()->is_vectmask()->element_basic_type() == T_BYTE
#line 23766 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+100;
        DFA_PRODUCTION(KREG, reinterpret_mask_Q2B_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) &&
        (
#line 3736 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 && Matcher::vector_length(n) != Matcher::vector_length(n->in(1)) &&
            n->bottom_type()->isa_vectmask() &&
            n->in(1)->bottom_type()->isa_vectmask() &&
            (n->in(1)->bottom_type()->is_vectmask()->element_basic_type() == T_INT ||
             n->in(1)->bottom_type()->is_vectmask()->element_basic_type() == T_FLOAT) &&
            n->bottom_type()->is_vectmask()->element_basic_type() == T_BYTE
#line 23780 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, reinterpret_mask_D2B_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) &&
        (
#line 3716 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 && Matcher::vector_length(n) != Matcher::vector_length(n->in(1)) &&
            n->bottom_type()->isa_vectmask() &&
            n->in(1)->bottom_type()->isa_vectmask() &&
            n->in(1)->bottom_type()->is_vectmask()->element_basic_type() == T_SHORT &&
            n->bottom_type()->is_vectmask()->element_basic_type() == T_BYTE
#line 23795 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, reinterpret_mask_W2B_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) &&
        (
#line 3704 "src/hotspot/cpu/x86/x86.ad"
n->bottom_type()->isa_vectmask() &&
            Matcher::vector_length(n) == Matcher::vector_length(n->in(1))
#line 23807 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+125;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, reinterpret_mask_rule, c)
      }
    }
}
void  State::_sub_Op_VectorCastB2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastBtoX_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorCastS2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7065 "src/hotspot/cpu/x86/x86.ad"
(UseAVX > 2 && VM_Version::supports_avx512vlbw()) ||
            (Matcher::vector_length_in_bytes(n) >= Matcher::vector_length_in_bytes(n->in(1)))
#line 23828 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastStoX_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7047 "src/hotspot/cpu/x86/x86.ad"
(UseAVX <= 2 || !VM_Version::supports_avx512vlbw()) &&
            Matcher::vector_length(n->in(1)) == 16 && // src
            Matcher::vector_element_basic_type(n) == T_BYTE
#line 23840 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcastStoX_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7032 "src/hotspot/cpu/x86/x86.ad"
(UseAVX <= 2 || !VM_Version::supports_avx512vlbw()) &&
            Matcher::vector_length(n->in(1)) <= 8 && // src
            Matcher::vector_element_basic_type(n) == T_BYTE
#line 23856 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, castStoX_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastI2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7157 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 ||
            (Matcher::vector_length_in_bytes(n) >= Matcher::vector_length_in_bytes(n->in(1)))
#line 23873 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastItoX_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7129 "src/hotspot/cpu/x86/x86.ad"
UseAVX <= 2 &&
            (Matcher::vector_length_in_bytes(n->in(1)) == 32) &&
            (Matcher::vector_length_in_bytes(n) < Matcher::vector_length_in_bytes(n->in(1)))
#line 23885 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcastItoX_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7104 "src/hotspot/cpu/x86/x86.ad"
UseAVX <= 2 &&
            (Matcher::vector_length_in_bytes(n->in(1)) <= 16) &&
            (Matcher::vector_length_in_bytes(n) < Matcher::vector_length_in_bytes(n->in(1)))
#line 23901 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, castItoX_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastL2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7227 "src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 ||
            (Matcher::vector_element_basic_type(n) == T_INT ||
             Matcher::vector_element_basic_type(n) == T_FLOAT ||
             Matcher::vector_element_basic_type(n) == T_DOUBLE)
#line 23920 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastLtoX_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7197 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_element_basic_type(n) == T_BYTE || Matcher::vector_element_basic_type(n) == T_SHORT) &&
            UseAVX <= 2
#line 23931 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcastLtoBS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastF2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7322 "src/hotspot/cpu/x86/x86.ad"
(VM_Version::supports_avx512vl() || Matcher::vector_length_in_bytes(n->in(1)) == 64) &&
            is_integral_type(Matcher::vector_element_basic_type(n))
#line 23948 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, castFtoX_reg_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7299 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512vl() && Matcher::vector_length_in_bytes(n->in(1)) < 64 &&
            type2aelembytes(Matcher::vector_element_basic_type(n)) <= 4
#line 23959 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, castFtoX_reg_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7287 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_DOUBLE
#line 23973 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcastFtoD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastD2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7372 "src/hotspot/cpu/x86/x86.ad"
(VM_Version::supports_avx512vl() || Matcher::vector_length_in_bytes(n->in(1)) == 64) &&
            is_integral_type(Matcher::vector_element_basic_type(n))
#line 23990 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, castDtoX_reg_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7356 "src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512vl() && Matcher::vector_length_in_bytes(n->in(1)) < 64 &&
            is_integral_type(Matcher::vector_element_basic_type(n))
#line 24001 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, castDtoX_reg_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7345 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_element_basic_type(n) == T_FLOAT
#line 24015 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcastDtoF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastF2HF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC];
        DFA_PRODUCTION(_VECTORCASTF2HF_VEC_, _VectorCastF2HF_vec__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vconvF2HF_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorCastHF2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
        DFA_PRODUCTION(VEC, vconvHF2F_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vconvHF2F_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorUCastB2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vucast_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorUCastS2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vucast_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorUCastI2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vucast_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorizedHashCode(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RDI_REGP_RDX_REGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RBX_REGI_IMMU8) &&
        (
#line 12039 "src/hotspot/cpu/x86/x86_64.ad"
UseAVX >= 2
#line 24079 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RDI_REGP_RDX_REGI]+_kids[1]->_cost[_BINARY_RBX_REGI_IMMU8]+100;
        DFA_PRODUCTION(RBX_REGI, arrays_hashcode_rule, c)
        DFA_PRODUCTION(RREGI, arrays_hashcode_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(RAX_REGI, arrays_hashcode_rule, c)
        DFA_PRODUCTION(NO_RBP_R13_REGI, arrays_hashcode_rule, c)
        DFA_PRODUCTION(RCX_REGI, arrays_hashcode_rule, c)
        DFA_PRODUCTION(NO_RAX_RDX_REGI, arrays_hashcode_rule, c)
        DFA_PRODUCTION(RDX_REGI, arrays_hashcode_rule, c)
        DFA_PRODUCTION(RDI_REGI, arrays_hashcode_rule, c)
    }
}
void  State::_sub_Op_VectorInsert(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_REGD) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 4805 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 8
#line 24098 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_REGD]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(VEC, insert8D_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_REGD) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4785 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 4
#line 24108 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_REGD]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert4D_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_REGD) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4769 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 2
#line 24122 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_REGD]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert2D_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_REGF) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4740 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) >= 8
#line 24136 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_REGF]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vinsertF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_REGF) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4724 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) < 8
#line 24150 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_REGF]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insertF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGL) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4705 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 8
#line 24164 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGL]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert8L_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGL) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4686 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 4
#line 24178 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGL]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert4L_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGL) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4672 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) == 2
#line 24192 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGL]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGI) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4647 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) == 64
#line 24206 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGI]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert64_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGI) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4624 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) == 32
#line 24220 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGI]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert32_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGI) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4606 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length_in_bytes(n) < 32
#line 24234 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGI]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MaskAll(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_M1) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[IMMI_M1];
        DFA_PRODUCTION(_MASKALL_IMMI_M1_, _MaskAll_immI_M1__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && _kids[1] == nullptr &&
        (
#line 9941 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) <= 32
#line 24254 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(KREG, mask_all_evexI_LE32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && _kids[1] == nullptr &&
        (
#line 13346 "src/hotspot/cpu/x86/x86_64.ad"
Matcher::vector_length(n) > 32
#line 24263 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, mask_all_evexI_GT32_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGL) && _kids[1] == nullptr ) {
      unsigned int c = _kids[0]->_cost[RREGL]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, mask_all_evexL_rule, c)
      }
    }
}
void  State::_sub_Op_AndVMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(KREG, mask_opers_evex_rule, c)
    }
}
void  State::_sub_Op_OrVMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(KREG, mask_opers_evex_0_rule, c)
    }
}
void  State::_sub_Op_XorVMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], KREG) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[KREG]+100;
        DFA_PRODUCTION(KREG, mask_opers_evex_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], _MASKALL_IMMI_M1_) &&
        (
#line 9965 "src/hotspot/cpu/x86/x86.ad"
(Matcher::vector_length(n) == 8 && VM_Version::supports_avx512dq()) ||
            (Matcher::vector_length(n) == 16) ||
            (Matcher::vector_length(n) > 16 && VM_Version::supports_avx512bw())
#line 24300 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[_MASKALL_IMMI_M1_]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, mask_not_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], KREG) && STATE__VALID_CHILD(_kids[1], _MASKALL_IMMI_M1_) &&
        (
#line 9953 "src/hotspot/cpu/x86/x86.ad"
Matcher::vector_length(n) < 8 && VM_Version::supports_avx512dq()
#line 24311 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[KREG]+_kids[1]->_cost[_MASKALL_IMMI_M1_]+100;
      if (STATE__NOT_YET_VALID(KREG) || _cost[KREG] > c) {
        DFA_PRODUCTION(KREG, mask_not_immLT8_rule, c)
      }
    }
}
bool State::DFA(int opcode, const Node *n) {
  switch(opcode) {
  case Op_RegN: { _sub_Op_RegN(n);
    break;
  }
  case Op_RegI: { _sub_Op_RegI(n);
    break;
  }
  case Op_RegP: { _sub_Op_RegP(n);
    break;
  }
  case Op_RegF: { _sub_Op_RegF(n);
    break;
  }
  case Op_RegD: { _sub_Op_RegD(n);
    break;
  }
  case Op_RegL: { _sub_Op_RegL(n);
    break;
  }
  case Op_VecS: { _sub_Op_VecS(n);
    break;
  }
  case Op_VecD: { _sub_Op_VecD(n);
    break;
  }
  case Op_VecX: { _sub_Op_VecX(n);
    break;
  }
  case Op_VecY: { _sub_Op_VecY(n);
    break;
  }
  case Op_VecZ: { _sub_Op_VecZ(n);
    break;
  }
  case Op_RegVectMask: { _sub_Op_RegVectMask(n);
    break;
  }
  case Op_RegFlags: { _sub_Op_RegFlags(n);
    break;
  }
  case Op_AbsD: { _sub_Op_AbsD(n);
    break;
  }
  case Op_AbsF: { _sub_Op_AbsF(n);
    break;
  }
  case Op_AbsI: { _sub_Op_AbsI(n);
    break;
  }
  case Op_AbsL: { _sub_Op_AbsL(n);
    break;
  }
  case Op_AddD: { _sub_Op_AddD(n);
    break;
  }
  case Op_AddF: { _sub_Op_AddF(n);
    break;
  }
  case Op_AddI: { _sub_Op_AddI(n);
    break;
  }
  case Op_AddL: { _sub_Op_AddL(n);
    break;
  }
  case Op_AddP: { _sub_Op_AddP(n);
    break;
  }
  case Op_AndI: { _sub_Op_AndI(n);
    break;
  }
  case Op_AndL: { _sub_Op_AndL(n);
    break;
  }
  case Op_AryEq: { _sub_Op_AryEq(n);
    break;
  }
  case Op_Binary: { _sub_Op_Binary(n);
    break;
  }
  case Op_Bool: { _sub_Op_Bool(n);
    break;
  }
  case Op_ReverseBytesI: { _sub_Op_ReverseBytesI(n);
    break;
  }
  case Op_ReverseBytesL: { _sub_Op_ReverseBytesL(n);
    break;
  }
  case Op_ReverseBytesUS: { _sub_Op_ReverseBytesUS(n);
    break;
  }
  case Op_ReverseBytesS: { _sub_Op_ReverseBytesS(n);
    break;
  }
  case Op_ReverseBytesV: { _sub_Op_ReverseBytesV(n);
    break;
  }
  case Op_CacheWB: { _sub_Op_CacheWB(n);
    break;
  }
  case Op_CacheWBPreSync: { _sub_Op_CacheWBPreSync(n);
    break;
  }
  case Op_CacheWBPostSync: { _sub_Op_CacheWBPostSync(n);
    break;
  }
  case Op_CallDynamicJava: { _sub_Op_CallDynamicJava(n);
    break;
  }
  case Op_CallLeaf: { _sub_Op_CallLeaf(n);
    break;
  }
  case Op_CallLeafNoFP: { _sub_Op_CallLeafNoFP(n);
    break;
  }
  case Op_CallLeafVector: { _sub_Op_CallLeafVector(n);
    break;
  }
  case Op_CallRuntime: { _sub_Op_CallRuntime(n);
    break;
  }
  case Op_CallStaticJava: { _sub_Op_CallStaticJava(n);
    break;
  }
  case Op_CastDD: { _sub_Op_CastDD(n);
    break;
  }
  case Op_CastFF: { _sub_Op_CastFF(n);
    break;
  }
  case Op_CastII: { _sub_Op_CastII(n);
    break;
  }
  case Op_CastLL: { _sub_Op_CastLL(n);
    break;
  }
  case Op_CastVV: { _sub_Op_CastVV(n);
    break;
  }
  case Op_CastX2P: { _sub_Op_CastX2P(n);
    break;
  }
  case Op_CastP2X: { _sub_Op_CastP2X(n);
    break;
  }
  case Op_CastPP: { _sub_Op_CastPP(n);
    break;
  }
  case Op_CheckCastPP: { _sub_Op_CheckCastPP(n);
    break;
  }
  case Op_ClearArray: { _sub_Op_ClearArray(n);
    break;
  }
  case Op_CompressBits: { _sub_Op_CompressBits(n);
    break;
  }
  case Op_ExpandBits: { _sub_Op_ExpandBits(n);
    break;
  }
  case Op_CMoveD: { _sub_Op_CMoveD(n);
    break;
  }
  case Op_CMoveF: { _sub_Op_CMoveF(n);
    break;
  }
  case Op_CMoveI: { _sub_Op_CMoveI(n);
    break;
  }
  case Op_CMoveL: { _sub_Op_CMoveL(n);
    break;
  }
  case Op_CMoveP: { _sub_Op_CMoveP(n);
    break;
  }
  case Op_CMoveN: { _sub_Op_CMoveN(n);
    break;
  }
  case Op_CmpN: { _sub_Op_CmpN(n);
    break;
  }
  case Op_CmpD: { _sub_Op_CmpD(n);
    break;
  }
  case Op_CmpD3: { _sub_Op_CmpD3(n);
    break;
  }
  case Op_CmpF: { _sub_Op_CmpF(n);
    break;
  }
  case Op_CmpF3: { _sub_Op_CmpF3(n);
    break;
  }
  case Op_CmpI: { _sub_Op_CmpI(n);
    break;
  }
  case Op_CmpL: { _sub_Op_CmpL(n);
    break;
  }
  case Op_CmpL3: { _sub_Op_CmpL3(n);
    break;
  }
  case Op_CmpLTMask: { _sub_Op_CmpLTMask(n);
    break;
  }
  case Op_CmpP: { _sub_Op_CmpP(n);
    break;
  }
  case Op_CmpU: { _sub_Op_CmpU(n);
    break;
  }
  case Op_CmpU3: { _sub_Op_CmpU3(n);
    break;
  }
  case Op_CmpUL: { _sub_Op_CmpUL(n);
    break;
  }
  case Op_CmpUL3: { _sub_Op_CmpUL3(n);
    break;
  }
  case Op_CompareAndSwapB: { _sub_Op_CompareAndSwapB(n);
    break;
  }
  case Op_CompareAndSwapS: { _sub_Op_CompareAndSwapS(n);
    break;
  }
  case Op_CompareAndSwapI: { _sub_Op_CompareAndSwapI(n);
    break;
  }
  case Op_CompareAndSwapL: { _sub_Op_CompareAndSwapL(n);
    break;
  }
  case Op_CompareAndSwapP: { _sub_Op_CompareAndSwapP(n);
    break;
  }
  case Op_CompareAndSwapN: { _sub_Op_CompareAndSwapN(n);
    break;
  }
  case Op_WeakCompareAndSwapB: { _sub_Op_WeakCompareAndSwapB(n);
    break;
  }
  case Op_WeakCompareAndSwapS: { _sub_Op_WeakCompareAndSwapS(n);
    break;
  }
  case Op_WeakCompareAndSwapI: { _sub_Op_WeakCompareAndSwapI(n);
    break;
  }
  case Op_WeakCompareAndSwapL: { _sub_Op_WeakCompareAndSwapL(n);
    break;
  }
  case Op_WeakCompareAndSwapP: { _sub_Op_WeakCompareAndSwapP(n);
    break;
  }
  case Op_WeakCompareAndSwapN: { _sub_Op_WeakCompareAndSwapN(n);
    break;
  }
  case Op_CompareAndExchangeB: { _sub_Op_CompareAndExchangeB(n);
    break;
  }
  case Op_CompareAndExchangeS: { _sub_Op_CompareAndExchangeS(n);
    break;
  }
  case Op_CompareAndExchangeI: { _sub_Op_CompareAndExchangeI(n);
    break;
  }
  case Op_CompareAndExchangeL: { _sub_Op_CompareAndExchangeL(n);
    break;
  }
  case Op_CompareAndExchangeP: { _sub_Op_CompareAndExchangeP(n);
    break;
  }
  case Op_CompareAndExchangeN: { _sub_Op_CompareAndExchangeN(n);
    break;
  }
  case Op_GetAndAddB: { _sub_Op_GetAndAddB(n);
    break;
  }
  case Op_GetAndAddS: { _sub_Op_GetAndAddS(n);
    break;
  }
  case Op_GetAndAddI: { _sub_Op_GetAndAddI(n);
    break;
  }
  case Op_GetAndAddL: { _sub_Op_GetAndAddL(n);
    break;
  }
  case Op_GetAndSetB: { _sub_Op_GetAndSetB(n);
    break;
  }
  case Op_GetAndSetS: { _sub_Op_GetAndSetS(n);
    break;
  }
  case Op_GetAndSetI: { _sub_Op_GetAndSetI(n);
    break;
  }
  case Op_GetAndSetL: { _sub_Op_GetAndSetL(n);
    break;
  }
  case Op_GetAndSetP: { _sub_Op_GetAndSetP(n);
    break;
  }
  case Op_GetAndSetN: { _sub_Op_GetAndSetN(n);
    break;
  }
  case Op_ConN: { _sub_Op_ConN(n);
    break;
  }
  case Op_ConNKlass: { _sub_Op_ConNKlass(n);
    break;
  }
  case Op_ConD: { _sub_Op_ConD(n);
    break;
  }
  case Op_ConF: { _sub_Op_ConF(n);
    break;
  }
  case Op_ConI: { _sub_Op_ConI(n);
    break;
  }
  case Op_ConL: { _sub_Op_ConL(n);
    break;
  }
  case Op_ConP: { _sub_Op_ConP(n);
    break;
  }
  case Op_ConvD2F: { _sub_Op_ConvD2F(n);
    break;
  }
  case Op_ConvD2I: { _sub_Op_ConvD2I(n);
    break;
  }
  case Op_ConvD2L: { _sub_Op_ConvD2L(n);
    break;
  }
  case Op_ConvF2D: { _sub_Op_ConvF2D(n);
    break;
  }
  case Op_ConvF2I: { _sub_Op_ConvF2I(n);
    break;
  }
  case Op_ConvF2L: { _sub_Op_ConvF2L(n);
    break;
  }
  case Op_ConvI2D: { _sub_Op_ConvI2D(n);
    break;
  }
  case Op_ConvI2F: { _sub_Op_ConvI2F(n);
    break;
  }
  case Op_ConvI2L: { _sub_Op_ConvI2L(n);
    break;
  }
  case Op_ConvL2D: { _sub_Op_ConvL2D(n);
    break;
  }
  case Op_ConvL2F: { _sub_Op_ConvL2F(n);
    break;
  }
  case Op_ConvL2I: { _sub_Op_ConvL2I(n);
    break;
  }
  case Op_ConvF2HF: { _sub_Op_ConvF2HF(n);
    break;
  }
  case Op_ConvHF2F: { _sub_Op_ConvHF2F(n);
    break;
  }
  case Op_CountedLoopEnd: { _sub_Op_CountedLoopEnd(n);
    break;
  }
  case Op_CountLeadingZerosI: { _sub_Op_CountLeadingZerosI(n);
    break;
  }
  case Op_CountLeadingZerosL: { _sub_Op_CountLeadingZerosL(n);
    break;
  }
  case Op_CountLeadingZerosV: { _sub_Op_CountLeadingZerosV(n);
    break;
  }
  case Op_CountTrailingZerosI: { _sub_Op_CountTrailingZerosI(n);
    break;
  }
  case Op_CountTrailingZerosL: { _sub_Op_CountTrailingZerosL(n);
    break;
  }
  case Op_CountTrailingZerosV: { _sub_Op_CountTrailingZerosV(n);
    break;
  }
  case Op_CreateEx: { _sub_Op_CreateEx(n);
    break;
  }
  case Op_DecodeN: { _sub_Op_DecodeN(n);
    break;
  }
  case Op_DecodeNKlass: { _sub_Op_DecodeNKlass(n);
    break;
  }
  case Op_DivD: { _sub_Op_DivD(n);
    break;
  }
  case Op_DivF: { _sub_Op_DivF(n);
    break;
  }
  case Op_DivI: { _sub_Op_DivI(n);
    break;
  }
  case Op_DivL: { _sub_Op_DivL(n);
    break;
  }
  case Op_UDivI: { _sub_Op_UDivI(n);
    break;
  }
  case Op_UDivL: { _sub_Op_UDivL(n);
    break;
  }
  case Op_DivModI: { _sub_Op_DivModI(n);
    break;
  }
  case Op_DivModL: { _sub_Op_DivModL(n);
    break;
  }
  case Op_UDivModI: { _sub_Op_UDivModI(n);
    break;
  }
  case Op_UDivModL: { _sub_Op_UDivModL(n);
    break;
  }
  case Op_EncodeISOArray: { _sub_Op_EncodeISOArray(n);
    break;
  }
  case Op_EncodeP: { _sub_Op_EncodeP(n);
    break;
  }
  case Op_EncodePKlass: { _sub_Op_EncodePKlass(n);
    break;
  }
  case Op_FastLock: { _sub_Op_FastLock(n);
    break;
  }
  case Op_FastUnlock: { _sub_Op_FastUnlock(n);
    break;
  }
  case Op_FmaD: { _sub_Op_FmaD(n);
    break;
  }
  case Op_FmaF: { _sub_Op_FmaF(n);
    break;
  }
  case Op_Goto: { _sub_Op_Goto(n);
    break;
  }
  case Op_Halt: { _sub_Op_Halt(n);
    break;
  }
  case Op_CountPositives: { _sub_Op_CountPositives(n);
    break;
  }
  case Op_If: { _sub_Op_If(n);
    break;
  }
  case Op_Jump: { _sub_Op_Jump(n);
    break;
  }
  case Op_LShiftI: { _sub_Op_LShiftI(n);
    break;
  }
  case Op_LShiftL: { _sub_Op_LShiftL(n);
    break;
  }
  case Op_LoadB: { _sub_Op_LoadB(n);
    break;
  }
  case Op_LoadUB: { _sub_Op_LoadUB(n);
    break;
  }
  case Op_LoadUS: { _sub_Op_LoadUS(n);
    break;
  }
  case Op_LoadD: { _sub_Op_LoadD(n);
    break;
  }
  case Op_LoadF: { _sub_Op_LoadF(n);
    break;
  }
  case Op_LoadI: { _sub_Op_LoadI(n);
    break;
  }
  case Op_LoadKlass: { _sub_Op_LoadKlass(n);
    break;
  }
  case Op_LoadNKlass: { _sub_Op_LoadNKlass(n);
    break;
  }
  case Op_LoadL: { _sub_Op_LoadL(n);
    break;
  }
  case Op_LoadP: { _sub_Op_LoadP(n);
    break;
  }
  case Op_LoadN: { _sub_Op_LoadN(n);
    break;
  }
  case Op_LoadRange: { _sub_Op_LoadRange(n);
    break;
  }
  case Op_LoadS: { _sub_Op_LoadS(n);
    break;
  }
  case Op_MulAddS2I: { _sub_Op_MulAddS2I(n);
    break;
  }
  case Op_MaxI: { _sub_Op_MaxI(n);
    break;
  }
  case Op_MaxD: { _sub_Op_MaxD(n);
    break;
  }
  case Op_MaxF: { _sub_Op_MaxF(n);
    break;
  }
  case Op_MemBarAcquire: { _sub_Op_MemBarAcquire(n);
    break;
  }
  case Op_LoadFence: { _sub_Op_LoadFence(n);
    break;
  }
  case Op_MemBarAcquireLock: { _sub_Op_MemBarAcquireLock(n);
    break;
  }
  case Op_MemBarRelease: { _sub_Op_MemBarRelease(n);
    break;
  }
  case Op_StoreFence: { _sub_Op_StoreFence(n);
    break;
  }
  case Op_StoreStoreFence: { _sub_Op_StoreStoreFence(n);
    break;
  }
  case Op_MemBarReleaseLock: { _sub_Op_MemBarReleaseLock(n);
    break;
  }
  case Op_MemBarVolatile: { _sub_Op_MemBarVolatile(n);
    break;
  }
  case Op_MemBarStoreStore: { _sub_Op_MemBarStoreStore(n);
    break;
  }
  case Op_MinI: { _sub_Op_MinI(n);
    break;
  }
  case Op_MinF: { _sub_Op_MinF(n);
    break;
  }
  case Op_MinD: { _sub_Op_MinD(n);
    break;
  }
  case Op_ModI: { _sub_Op_ModI(n);
    break;
  }
  case Op_ModL: { _sub_Op_ModL(n);
    break;
  }
  case Op_UModI: { _sub_Op_UModI(n);
    break;
  }
  case Op_UModL: { _sub_Op_UModL(n);
    break;
  }
  case Op_MoveI2F: { _sub_Op_MoveI2F(n);
    break;
  }
  case Op_MoveF2I: { _sub_Op_MoveF2I(n);
    break;
  }
  case Op_MoveL2D: { _sub_Op_MoveL2D(n);
    break;
  }
  case Op_MoveD2L: { _sub_Op_MoveD2L(n);
    break;
  }
  case Op_IsInfiniteF: { _sub_Op_IsInfiniteF(n);
    break;
  }
  case Op_IsInfiniteD: { _sub_Op_IsInfiniteD(n);
    break;
  }
  case Op_MulD: { _sub_Op_MulD(n);
    break;
  }
  case Op_MulF: { _sub_Op_MulF(n);
    break;
  }
  case Op_MulHiL: { _sub_Op_MulHiL(n);
    break;
  }
  case Op_UMulHiL: { _sub_Op_UMulHiL(n);
    break;
  }
  case Op_MulI: { _sub_Op_MulI(n);
    break;
  }
  case Op_MulL: { _sub_Op_MulL(n);
    break;
  }
  case Op_NegI: { _sub_Op_NegI(n);
    break;
  }
  case Op_NegL: { _sub_Op_NegL(n);
    break;
  }
  case Op_NegD: { _sub_Op_NegD(n);
    break;
  }
  case Op_NegF: { _sub_Op_NegF(n);
    break;
  }
  case Op_OnSpinWait: { _sub_Op_OnSpinWait(n);
    break;
  }
  case Op_OrI: { _sub_Op_OrI(n);
    break;
  }
  case Op_OrL: { _sub_Op_OrL(n);
    break;
  }
  case Op_OverflowAddI: { _sub_Op_OverflowAddI(n);
    break;
  }
  case Op_OverflowSubI: { _sub_Op_OverflowSubI(n);
    break;
  }
  case Op_OverflowMulI: { _sub_Op_OverflowMulI(n);
    break;
  }
  case Op_OverflowAddL: { _sub_Op_OverflowAddL(n);
    break;
  }
  case Op_OverflowSubL: { _sub_Op_OverflowSubL(n);
    break;
  }
  case Op_OverflowMulL: { _sub_Op_OverflowMulL(n);
    break;
  }
  case Op_PartialSubtypeCheck: { _sub_Op_PartialSubtypeCheck(n);
    break;
  }
  case Op_PopCountI: { _sub_Op_PopCountI(n);
    break;
  }
  case Op_PopCountL: { _sub_Op_PopCountL(n);
    break;
  }
  case Op_PopCountVI: { _sub_Op_PopCountVI(n);
    break;
  }
  case Op_PopCountVL: { _sub_Op_PopCountVL(n);
    break;
  }
  case Op_PopulateIndex: { _sub_Op_PopulateIndex(n);
    break;
  }
  case Op_PrefetchAllocation: { _sub_Op_PrefetchAllocation(n);
    break;
  }
  case Op_RShiftI: { _sub_Op_RShiftI(n);
    break;
  }
  case Op_RShiftL: { _sub_Op_RShiftL(n);
    break;
  }
  case Op_Rethrow: { _sub_Op_Rethrow(n);
    break;
  }
  case Op_Return: { _sub_Op_Return(n);
    break;
  }
  case Op_ReverseI: { _sub_Op_ReverseI(n);
    break;
  }
  case Op_ReverseL: { _sub_Op_ReverseL(n);
    break;
  }
  case Op_ReverseV: { _sub_Op_ReverseV(n);
    break;
  }
  case Op_RoundDoubleMode: { _sub_Op_RoundDoubleMode(n);
    break;
  }
  case Op_RoundDoubleModeV: { _sub_Op_RoundDoubleModeV(n);
    break;
  }
  case Op_RotateLeft: { _sub_Op_RotateLeft(n);
    break;
  }
  case Op_RotateLeftV: { _sub_Op_RotateLeftV(n);
    break;
  }
  case Op_RotateRight: { _sub_Op_RotateRight(n);
    break;
  }
  case Op_RotateRightV: { _sub_Op_RotateRightV(n);
    break;
  }
  case Op_SafePoint: { _sub_Op_SafePoint(n);
    break;
  }
  case Op_ShenandoahCompareAndExchangeP: { _sub_Op_ShenandoahCompareAndExchangeP(n);
    break;
  }
  case Op_ShenandoahCompareAndExchangeN: { _sub_Op_ShenandoahCompareAndExchangeN(n);
    break;
  }
  case Op_ShenandoahCompareAndSwapN: { _sub_Op_ShenandoahCompareAndSwapN(n);
    break;
  }
  case Op_ShenandoahCompareAndSwapP: { _sub_Op_ShenandoahCompareAndSwapP(n);
    break;
  }
  case Op_ShenandoahWeakCompareAndSwapN: { _sub_Op_ShenandoahWeakCompareAndSwapN(n);
    break;
  }
  case Op_ShenandoahWeakCompareAndSwapP: { _sub_Op_ShenandoahWeakCompareAndSwapP(n);
    break;
  }
  case Op_CopySignD: { _sub_Op_CopySignD(n);
    break;
  }
  case Op_CopySignF: { _sub_Op_CopySignF(n);
    break;
  }
  case Op_SignumD: { _sub_Op_SignumD(n);
    break;
  }
  case Op_SignumF: { _sub_Op_SignumF(n);
    break;
  }
  case Op_SignumVF: { _sub_Op_SignumVF(n);
    break;
  }
  case Op_SignumVD: { _sub_Op_SignumVD(n);
    break;
  }
  case Op_SqrtD: { _sub_Op_SqrtD(n);
    break;
  }
  case Op_SqrtF: { _sub_Op_SqrtF(n);
    break;
  }
  case Op_RoundF: { _sub_Op_RoundF(n);
    break;
  }
  case Op_RoundD: { _sub_Op_RoundD(n);
    break;
  }
  case Op_StoreB: { _sub_Op_StoreB(n);
    break;
  }
  case Op_StoreC: { _sub_Op_StoreC(n);
    break;
  }
  case Op_StoreCM: { _sub_Op_StoreCM(n);
    break;
  }
  case Op_StoreD: { _sub_Op_StoreD(n);
    break;
  }
  case Op_StoreF: { _sub_Op_StoreF(n);
    break;
  }
  case Op_StoreI: { _sub_Op_StoreI(n);
    break;
  }
  case Op_StoreL: { _sub_Op_StoreL(n);
    break;
  }
  case Op_StoreP: { _sub_Op_StoreP(n);
    break;
  }
  case Op_StoreN: { _sub_Op_StoreN(n);
    break;
  }
  case Op_StoreNKlass: { _sub_Op_StoreNKlass(n);
    break;
  }
  case Op_StrComp: { _sub_Op_StrComp(n);
    break;
  }
  case Op_StrCompressedCopy: { _sub_Op_StrCompressedCopy(n);
    break;
  }
  case Op_StrEquals: { _sub_Op_StrEquals(n);
    break;
  }
  case Op_StrIndexOf: { _sub_Op_StrIndexOf(n);
    break;
  }
  case Op_StrIndexOfChar: { _sub_Op_StrIndexOfChar(n);
    break;
  }
  case Op_StrInflatedCopy: { _sub_Op_StrInflatedCopy(n);
    break;
  }
  case Op_SubD: { _sub_Op_SubD(n);
    break;
  }
  case Op_SubF: { _sub_Op_SubF(n);
    break;
  }
  case Op_SubI: { _sub_Op_SubI(n);
    break;
  }
  case Op_SubL: { _sub_Op_SubL(n);
    break;
  }
  case Op_TailCall: { _sub_Op_TailCall(n);
    break;
  }
  case Op_TailJump: { _sub_Op_TailJump(n);
    break;
  }
  case Op_MacroLogicV: { _sub_Op_MacroLogicV(n);
    break;
  }
  case Op_ThreadLocal: { _sub_Op_ThreadLocal(n);
    break;
  }
  case Op_URShiftI: { _sub_Op_URShiftI(n);
    break;
  }
  case Op_URShiftL: { _sub_Op_URShiftL(n);
    break;
  }
  case Op_XorI: { _sub_Op_XorI(n);
    break;
  }
  case Op_XorL: { _sub_Op_XorL(n);
    break;
  }
  case Op_AddVB: { _sub_Op_AddVB(n);
    break;
  }
  case Op_AddVS: { _sub_Op_AddVS(n);
    break;
  }
  case Op_AddVI: { _sub_Op_AddVI(n);
    break;
  }
  case Op_AddReductionVI: { _sub_Op_AddReductionVI(n);
    break;
  }
  case Op_AddVL: { _sub_Op_AddVL(n);
    break;
  }
  case Op_AddReductionVL: { _sub_Op_AddReductionVL(n);
    break;
  }
  case Op_AddVF: { _sub_Op_AddVF(n);
    break;
  }
  case Op_AddReductionVF: { _sub_Op_AddReductionVF(n);
    break;
  }
  case Op_AddVD: { _sub_Op_AddVD(n);
    break;
  }
  case Op_AddReductionVD: { _sub_Op_AddReductionVD(n);
    break;
  }
  case Op_SubVB: { _sub_Op_SubVB(n);
    break;
  }
  case Op_SubVS: { _sub_Op_SubVS(n);
    break;
  }
  case Op_SubVI: { _sub_Op_SubVI(n);
    break;
  }
  case Op_SubVL: { _sub_Op_SubVL(n);
    break;
  }
  case Op_SubVF: { _sub_Op_SubVF(n);
    break;
  }
  case Op_SubVD: { _sub_Op_SubVD(n);
    break;
  }
  case Op_MulVB: { _sub_Op_MulVB(n);
    break;
  }
  case Op_MulVS: { _sub_Op_MulVS(n);
    break;
  }
  case Op_MulVI: { _sub_Op_MulVI(n);
    break;
  }
  case Op_MulReductionVI: { _sub_Op_MulReductionVI(n);
    break;
  }
  case Op_MulVL: { _sub_Op_MulVL(n);
    break;
  }
  case Op_MulReductionVL: { _sub_Op_MulReductionVL(n);
    break;
  }
  case Op_MulVF: { _sub_Op_MulVF(n);
    break;
  }
  case Op_MulReductionVF: { _sub_Op_MulReductionVF(n);
    break;
  }
  case Op_MulVD: { _sub_Op_MulVD(n);
    break;
  }
  case Op_MulReductionVD: { _sub_Op_MulReductionVD(n);
    break;
  }
  case Op_MulAddVS2VI: { _sub_Op_MulAddVS2VI(n);
    break;
  }
  case Op_FmaVD: { _sub_Op_FmaVD(n);
    break;
  }
  case Op_FmaVF: { _sub_Op_FmaVF(n);
    break;
  }
  case Op_DivVF: { _sub_Op_DivVF(n);
    break;
  }
  case Op_DivVD: { _sub_Op_DivVD(n);
    break;
  }
  case Op_AbsVB: { _sub_Op_AbsVB(n);
    break;
  }
  case Op_AbsVS: { _sub_Op_AbsVS(n);
    break;
  }
  case Op_AbsVI: { _sub_Op_AbsVI(n);
    break;
  }
  case Op_AbsVL: { _sub_Op_AbsVL(n);
    break;
  }
  case Op_AbsVF: { _sub_Op_AbsVF(n);
    break;
  }
  case Op_AbsVD: { _sub_Op_AbsVD(n);
    break;
  }
  case Op_NegVF: { _sub_Op_NegVF(n);
    break;
  }
  case Op_NegVD: { _sub_Op_NegVD(n);
    break;
  }
  case Op_SqrtVD: { _sub_Op_SqrtVD(n);
    break;
  }
  case Op_SqrtVF: { _sub_Op_SqrtVF(n);
    break;
  }
  case Op_LShiftCntV: { _sub_Op_LShiftCntV(n);
    break;
  }
  case Op_RShiftCntV: { _sub_Op_RShiftCntV(n);
    break;
  }
  case Op_LShiftVB: { _sub_Op_LShiftVB(n);
    break;
  }
  case Op_LShiftVS: { _sub_Op_LShiftVS(n);
    break;
  }
  case Op_LShiftVI: { _sub_Op_LShiftVI(n);
    break;
  }
  case Op_LShiftVL: { _sub_Op_LShiftVL(n);
    break;
  }
  case Op_RShiftVB: { _sub_Op_RShiftVB(n);
    break;
  }
  case Op_RShiftVS: { _sub_Op_RShiftVS(n);
    break;
  }
  case Op_RShiftVI: { _sub_Op_RShiftVI(n);
    break;
  }
  case Op_RShiftVL: { _sub_Op_RShiftVL(n);
    break;
  }
  case Op_URShiftVB: { _sub_Op_URShiftVB(n);
    break;
  }
  case Op_URShiftVS: { _sub_Op_URShiftVS(n);
    break;
  }
  case Op_URShiftVI: { _sub_Op_URShiftVI(n);
    break;
  }
  case Op_URShiftVL: { _sub_Op_URShiftVL(n);
    break;
  }
  case Op_AndV: { _sub_Op_AndV(n);
    break;
  }
  case Op_AndReductionV: { _sub_Op_AndReductionV(n);
    break;
  }
  case Op_OrV: { _sub_Op_OrV(n);
    break;
  }
  case Op_OrReductionV: { _sub_Op_OrReductionV(n);
    break;
  }
  case Op_XorV: { _sub_Op_XorV(n);
    break;
  }
  case Op_XorReductionV: { _sub_Op_XorReductionV(n);
    break;
  }
  case Op_MinV: { _sub_Op_MinV(n);
    break;
  }
  case Op_MaxV: { _sub_Op_MaxV(n);
    break;
  }
  case Op_MinReductionV: { _sub_Op_MinReductionV(n);
    break;
  }
  case Op_MaxReductionV: { _sub_Op_MaxReductionV(n);
    break;
  }
  case Op_CompressV: { _sub_Op_CompressV(n);
    break;
  }
  case Op_CompressM: { _sub_Op_CompressM(n);
    break;
  }
  case Op_ExpandV: { _sub_Op_ExpandV(n);
    break;
  }
  case Op_LoadVector: { _sub_Op_LoadVector(n);
    break;
  }
  case Op_LoadVectorGather: { _sub_Op_LoadVectorGather(n);
    break;
  }
  case Op_LoadVectorGatherMasked: { _sub_Op_LoadVectorGatherMasked(n);
    break;
  }
  case Op_StoreVector: { _sub_Op_StoreVector(n);
    break;
  }
  case Op_StoreVectorScatter: { _sub_Op_StoreVectorScatter(n);
    break;
  }
  case Op_StoreVectorScatterMasked: { _sub_Op_StoreVectorScatterMasked(n);
    break;
  }
  case Op_LoadVectorMasked: { _sub_Op_LoadVectorMasked(n);
    break;
  }
  case Op_StoreVectorMasked: { _sub_Op_StoreVectorMasked(n);
    break;
  }
  case Op_VectorCmpMasked: { _sub_Op_VectorCmpMasked(n);
    break;
  }
  case Op_VectorMaskGen: { _sub_Op_VectorMaskGen(n);
    break;
  }
  case Op_VectorMaskTrueCount: { _sub_Op_VectorMaskTrueCount(n);
    break;
  }
  case Op_VectorMaskFirstTrue: { _sub_Op_VectorMaskFirstTrue(n);
    break;
  }
  case Op_VectorMaskLastTrue: { _sub_Op_VectorMaskLastTrue(n);
    break;
  }
  case Op_VectorMaskToLong: { _sub_Op_VectorMaskToLong(n);
    break;
  }
  case Op_VectorLongToMask: { _sub_Op_VectorLongToMask(n);
    break;
  }
  case Op_ReplicateB: { _sub_Op_ReplicateB(n);
    break;
  }
  case Op_ReplicateS: { _sub_Op_ReplicateS(n);
    break;
  }
  case Op_ReplicateI: { _sub_Op_ReplicateI(n);
    break;
  }
  case Op_ReplicateL: { _sub_Op_ReplicateL(n);
    break;
  }
  case Op_ReplicateF: { _sub_Op_ReplicateF(n);
    break;
  }
  case Op_ReplicateD: { _sub_Op_ReplicateD(n);
    break;
  }
  case Op_RoundVF: { _sub_Op_RoundVF(n);
    break;
  }
  case Op_RoundVD: { _sub_Op_RoundVD(n);
    break;
  }
  case Op_ExtractB: { _sub_Op_ExtractB(n);
    break;
  }
  case Op_ExtractS: { _sub_Op_ExtractS(n);
    break;
  }
  case Op_ExtractI: { _sub_Op_ExtractI(n);
    break;
  }
  case Op_ExtractL: { _sub_Op_ExtractL(n);
    break;
  }
  case Op_ExtractF: { _sub_Op_ExtractF(n);
    break;
  }
  case Op_ExtractD: { _sub_Op_ExtractD(n);
    break;
  }
  case Op_VectorMaskCmp: { _sub_Op_VectorMaskCmp(n);
    break;
  }
  case Op_VectorMaskCast: { _sub_Op_VectorMaskCast(n);
    break;
  }
  case Op_VectorTest: { _sub_Op_VectorTest(n);
    break;
  }
  case Op_VectorBlend: { _sub_Op_VectorBlend(n);
    break;
  }
  case Op_VectorRearrange: { _sub_Op_VectorRearrange(n);
    break;
  }
  case Op_VectorLoadMask: { _sub_Op_VectorLoadMask(n);
    break;
  }
  case Op_VectorLoadShuffle: { _sub_Op_VectorLoadShuffle(n);
    break;
  }
  case Op_VectorLoadConst: { _sub_Op_VectorLoadConst(n);
    break;
  }
  case Op_VectorStoreMask: { _sub_Op_VectorStoreMask(n);
    break;
  }
  case Op_VectorReinterpret: { _sub_Op_VectorReinterpret(n);
    break;
  }
  case Op_VectorCastB2X: { _sub_Op_VectorCastB2X(n);
    break;
  }
  case Op_VectorCastS2X: { _sub_Op_VectorCastS2X(n);
    break;
  }
  case Op_VectorCastI2X: { _sub_Op_VectorCastI2X(n);
    break;
  }
  case Op_VectorCastL2X: { _sub_Op_VectorCastL2X(n);
    break;
  }
  case Op_VectorCastF2X: { _sub_Op_VectorCastF2X(n);
    break;
  }
  case Op_VectorCastD2X: { _sub_Op_VectorCastD2X(n);
    break;
  }
  case Op_VectorCastF2HF: { _sub_Op_VectorCastF2HF(n);
    break;
  }
  case Op_VectorCastHF2F: { _sub_Op_VectorCastHF2F(n);
    break;
  }
  case Op_VectorUCastB2X: { _sub_Op_VectorUCastB2X(n);
    break;
  }
  case Op_VectorUCastS2X: { _sub_Op_VectorUCastS2X(n);
    break;
  }
  case Op_VectorUCastI2X: { _sub_Op_VectorUCastI2X(n);
    break;
  }
  case Op_VectorizedHashCode: { _sub_Op_VectorizedHashCode(n);
    break;
  }
  case Op_VectorInsert: { _sub_Op_VectorInsert(n);
    break;
  }
  case Op_MaskAll: { _sub_Op_MaskAll(n);
    break;
  }
  case Op_AndVMask: { _sub_Op_AndVMask(n);
    break;
  }
  case Op_OrVMask: { _sub_Op_OrVMask(n);
    break;
  }
  case Op_XorVMask: { _sub_Op_XorVMask(n);
    break;
  }
  
  default:
    tty->print("Default case invoked for: \n");
    tty->print("   opcode  = %d, \"%s\"\n", opcode, NodeClassNames[opcode]);
    return false;
  }
  return true;
}
